Page MenuHomePhabricator

Crash on startup with dual monitors
Closed, ResolvedPublic

Description

I login. Enlightenment freezes for a moment while transitioning from the loading screen to the desktop and then WBOD (or firefox will start and then WBOD).
I have a few applications set to autostart when I log in: Firefox, Visual Studio Code, Terminology, Discord.
When this crash occurs, only Firefox and Terminology managed to start.
I've got two 4K monitors set up. One in landscape and the other in portrait.

Steps

  1. Login in
  2. E freezes
  3. Crash
  4. Wait a few moments before hitting F1 to avoid being booted back out to LightDM.
  5. Use Enlightenment

Build Info

Name : efl-git
Version : 1.22.99.62403.g2ef8894fcd-1
Build Date : Wed 19 Jun 2019 04:34:58 PM EDT
Install Date : Wed 19 Jun 2019 04:39:32 PM EDT

Name : enlightenment-git
Version : 0.23.0.23578.g4d6a47374-1
Build Date : Wed 19 Jun 2019 04:39:33 PM EDT
Install Date : Wed 19 Jun 2019 04:41:38 PM EDT

Name : nvidia-dkms
Version : 430.26-4
Build Date : Tue 18 Jun 2019 12:19:05 AM EDT
Install Date : Tue 18 Jun 2019 08:14:47 PM EDT

Backtrace:

#0  0x00007f198f2f12a2 in pause () from /usr/lib/libpthread.so.0
#1  0x0000564bafb3fd70 in e_alert_show () at ../src/bin/e_alert.c:43
#2  0x0000564bafae584a in _e_crash () at ../src/bin/e_signals.c:81
#3  0x0000564bafae5865 in e_sigseg_act (x=11, info=0x7ffce4bb3f30, data=0x7ffce4bb3e00) at ../src/bin/e_signals.c:91
#4  <signal handler called>
#5  0x00007f19852eee90 in ?? () from /usr/lib/libnvidia-eglcore.so.430.26
#6  0x00007f1984dbf1f6 in ?? () from /usr/lib/libnvidia-eglcore.so.430.26
#7  0x00007f1984dc9e1a in ?? () from /usr/lib/libnvidia-eglcore.so.430.26
#8  0x00007f1984f38a63 in ?? () from /usr/lib/libnvidia-eglcore.so.430.26
#9  0x00007f1984f05314 in ?? () from /usr/lib/libnvidia-eglcore.so.430.26
#10 0x00007f1984f06c37 in ?? () from /usr/lib/libnvidia-eglcore.so.430.26
#11 0x00007f1984f1b107 in ?? () from /usr/lib/libnvidia-eglcore.so.430.26
#12 0x00007f198c0da44c in _tex_sub_2d (gc=0x564bb1007b60, x=1, y=1, w=450, h=527, fmt=32993, type=5121, pix=0x7f197b068000)
    at ../src/modules/evas/engines/gl_common/evas_gl_common.h:964
#13 0x00007f198c0dd639 in evas_gl_common_texture_upload (tex=0x564bb1eddba0, im=0x564bb12b1340, bytes_count=4)
    at ../src/modules/evas/engines/gl_common/evas_gl_texture.c:1189
#14 0x00007f198c0de911 in evas_gl_common_texture_update (tex=0x564bb1eddba0, im=0x564bb12b1340)
    at ../src/modules/evas/engines/gl_common/evas_gl_texture.c:1542
#15 0x00007f198c0db83c in evas_gl_common_texture_new (gc=0x564bb1007b60, im=0x564bb12b1340, disable_atlas=0 '\000')
    at ../src/modules/evas/engines/gl_common/evas_gl_texture.c:589
#16 0x00007f198c0e50c8 in evas_gl_common_image_alpha_set (im=0x564bb128f7f0, alpha=1)
    at ../src/modules/evas/engines/gl_common/evas_gl_image.c:498
#17 0x00007f198c0aa87e in eng_image_alpha_set (engine=0x564bb0c22730, image=0x564bb128f7f0, has_alpha=1)
    at ../src/modules/evas/engines/gl_generic/evas_engine.c:287
#18 0x00007f198fc67ec8 in _efl_canvas_image_internal_efl_gfx_buffer_alpha_set (eo_obj=0x40000010e801, o=0x564bb127a130, 
    has_alpha=1 '\001') at ../src/lib/evas/canvas/evas_object_image.c:774
#19 0x00007f198ee518d1 in efl_gfx_buffer_alpha_set (obj=0x40000010e801, alpha=1 '\001')
    at src/lib/efl/interfaces/efl_gfx_buffer.eo.c:20
#20 0x00007f198fc5ea90 in evas_object_image_alpha_set (obj=0x40000010e801, alpha=1 '\001')
    at ../src/lib/evas/canvas/evas_image_legacy.c:106
#21 0x0000564baf9e196f in e_comp_object_dirty (obj=0x4000000d1f1f) at ../src/bin/e_comp_object.c:4111
#22 0x0000564baf9c747b in _e_comp_client_update (ec=0x564bb1dba340) at ../src/bin/e_comp.c:332
#23 0x0000564baf9c785c in _e_comp_cb_update () at ../src/bin/e_comp.c:390
#24 0x0000564baf9c813f in _e_comp_cb_job (data=0x564bb0c34120) at ../src/bin/e_comp.c:534
#25 0x00007f19900036e3 in _ecore_job_event_handler (data=0x0, type=15, ev=0x564bb14a9540) at ../src/lib/ecore/ecore_job.c:95
#26 0x00007f199000a8a7 in _ecore_event_message_handler_efl_loop_message_handler_message_call (obj=0x400000000c16, 
    pd=0x564bb0a204d0, message=0x40000004dc2f) at ../src/lib/ecore/ecore_event_message_handler.c:362
#27 0x00007f1990017467 in efl_loop_message_handler_message_call (obj=0x400000000c16, message=0x40000004dc2f)
    at src/lib/ecore/efl_loop_message_handler.eo.c:14
#28 0x00007f199000eee9 in _efl_loop_message_process (obj=0x400000000013, pd=0x564bb0a18ab0) at ../src/lib/ecore/efl_loop.c:594
#29 0x00007f199000f0e6 in efl_loop_message_process (obj=0x400000000013) at ../src/lib/ecore/efl_loop.c:624
#30 0x00007f19900081f5 in _ecore_main_loop_iterate_internal (obj=0x400000000013, pd=0x564bb0a18ab0, once_only=0)
    at ../src/lib/ecore/ecore_main.c:2483
#31 0x00007f199000548e in _ecore_main_loop_begin (obj=0x400000000013, pd=0x564bb0a18ab0) at ../src/lib/ecore/ecore_main.c:1194
#32 0x00007f199000d5b6 in _efl_loop_begin (obj=0x400000000013, pd=0x564bb0a18ab0) at ../src/lib/ecore/efl_loop.c:57
#33 0x00007f199000f6fb in efl_loop_begin (obj=0x400000000013) at src/lib/ecore/efl_loop.eo.c:28
#34 0x00007f1990005603 in ecore_main_loop_begin () at ../src/lib/ecore/ecore_main.c:1277
#35 0x0000564bafaabc60 in main (argc=1, argv=0x7ffce4bed598) at ../src/bin/e_main.c:1092
quit
Detaching from program: /usr/bin/enlightenment, process 5069
[Inferior 1 (process 5069) detached]
abyomi0 created this task.Jun 19 2019, 1:46 PM
Herald closed this task as Invalid. · View Herald TranscriptJun 19 2019, 1:46 PM
Herald added a project: Restricted Project. · View Herald Transcript

This ticket has been closed as spam because it lacks a description. If this ticket is not spam, please reopen it after adding a description.

abyomi0 renamed this task from Crash on startup to Crash on startup dual monitors.Jun 19 2019, 1:58 PM
abyomi0 reopened this task as Open.
abyomi0 updated the task description. (Show Details)
abyomi0 edited projects, added enlightenment-git; removed Restricted Project.

Here's a more recent backtrace:


Method to reproduce is the same.
Also, I am using nVidia (dkms, on Arch), if that happens to be significant.

Build Info / Versions:

Name : enlightenment-git
Version : 0.23.0.23604.g9df606dff-1
Build Date : Wed 17 Jul 2019 07:28:33 PM EDT
Install Date : Wed 17 Jul 2019 07:30:37 PM EDT

Name : efl-git
Version : 1.22.99.62678.gf331d1c6cc-1
Build Date : Wed 17 Jul 2019 07:23:52 PM EDT
Install Date : Wed 17 Jul 2019 07:28:32 PM EDT

Name : nvidia-dkms
Version : 430.34-1
Build Date : Wed 17 Jul 2019 01:30:43 AM EDT
Install Date : Wed 17 Jul 2019 07:19:03 PM EDT

Name : linux
Version : 5.2.1.arch1-1
Build Date : Sun 14 Jul 2019 10:52:06 AM EDT
Install Date : Wed 17 Jul 2019 07:18:58 PM EDT

#0  0x00007f25bfcb52f2 in pause () from /usr/lib/libpthread.so.0
#1  0x0000555584441f5f in e_alert_show () at ../src/bin/e_alert.c:43
#2  0x00005555843e7a39 in _e_crash () at ../src/bin/e_signals.c:81
#3  0x00005555843e7a54 in e_sigseg_act (x=11, info=0x7ffeb805c3b0, data=0x7ffeb805c280) at ../src/bin/e_signals.c:91
#4  <signal handler called>
#5  0x00007f25b5c29450 in ?? () from /usr/lib/libnvidia-eglcore.so.430.34
#6  0x00007f25b56f9766 in ?? () from /usr/lib/libnvidia-eglcore.so.430.34
#7  0x00007f25b570438a in ?? () from /usr/lib/libnvidia-eglcore.so.430.34
#8  0x00007f25b5872fd3 in ?? () from /usr/lib/libnvidia-eglcore.so.430.34
#9  0x00007f25b583f884 in ?? () from /usr/lib/libnvidia-eglcore.so.430.34
#10 0x00007f25b58411a7 in ?? () from /usr/lib/libnvidia-eglcore.so.430.34
#11 0x00007f25b5855677 in ?? () from /usr/lib/libnvidia-eglcore.so.430.34
#12 0x00007f25bc2ba44c in _tex_sub_2d (gc=0x555584ef7860, x=1, y=1, w=450, h=527, fmt=32993, type=5121, pix=0x7f25bd139000)
    at ../src/modules/evas/engines/gl_common/evas_gl_common.h:964
#13 0x00007f25bc2bd639 in evas_gl_common_texture_upload (tex=0x5555876b55c0, im=0x555587973320, bytes_count=4)
    at ../src/modules/evas/engines/gl_common/evas_gl_texture.c:1189
#14 0x00007f25bc2be911 in evas_gl_common_texture_update (tex=0x5555876b55c0, im=0x555587973320)
    at ../src/modules/evas/engines/gl_common/evas_gl_texture.c:1542
#15 0x00007f25bc2bb83c in evas_gl_common_texture_new (gc=0x555584ef7860, im=0x555587973320, disable_atlas=0 '\000')
    at ../src/modules/evas/engines/gl_common/evas_gl_texture.c:589
#16 0x00007f25bc2c50c8 in evas_gl_common_image_alpha_set (im=0x55558747c4b0, alpha=1)
    at ../src/modules/evas/engines/gl_common/evas_gl_image.c:498
#17 0x00007f25bc28a87e in eng_image_alpha_set (engine=0x555584b12d90, image=0x55558747c4b0, has_alpha=1)
    at ../src/modules/evas/engines/gl_generic/evas_engine.c:287
#18 0x00007f25c063aa3c in _efl_canvas_image_internal_efl_gfx_buffer_alpha_set (eo_obj=0x40000012c110, o=0x5555870a7970, 
    has_alpha=1 '\001') at ../src/lib/evas/canvas/evas_object_image.c:1172
#19 0x00007f25bf53acc2 in efl_gfx_buffer_alpha_set (obj=0x40000012c110, alpha=1 '\001')
    at src/lib/efl/interfaces/efl_gfx_buffer.eo.c:20
#20 0x00007f25c06306fa in evas_object_image_alpha_set (obj=0x40000012c110, alpha=1 '\001')
    at ../src/lib/evas/canvas/evas_image_legacy.c:106
#21 0x00005555842e39f2 in e_comp_object_dirty (obj=0x4000000e5c19) at ../src/bin/e_comp_object.c:4111
#22 0x00005555842c94fe in _e_comp_client_update (ec=0x5555870f85a0) at ../src/bin/e_comp.c:332
#23 0x00005555842c98df in _e_comp_cb_update () at ../src/bin/e_comp.c:390
#24 0x00005555842ca1c2 in _e_comp_cb_job (data=0x555584b2bab0) at ../src/bin/e_comp.c:534
#25 0x00007f25c09df713 in _ecore_job_event_handler (data=0x0, type=15, ev=0x555587356980) at ../src/lib/ecore/ecore_job.c:95
#26 0x00007f25c09e6906 in _ecore_event_message_handler_efl_loop_message_handler_message_call (obj=0x400000000ccc, 
    pd=0x555584918a20, message=0x40000014c149) at ../src/lib/ecore/ecore_event_message_handler.c:362
#27 0x00007f25c09f33e4 in efl_loop_message_handler_message_call (obj=0x400000000ccc, message=0x40000014c149)
    at src/lib/ecore/efl_loop_message_handler.eo.c:14
#28 0x00007f25c09eb0e8 in _efl_loop_message_process (obj=0x4000000000c9, pd=0x555584910fc0) at ../src/lib/ecore/efl_loop.c:577
#29 0x00007f25c09eb2e5 in efl_loop_message_process (obj=0x4000000000c9) at ../src/lib/ecore/efl_loop.c:607
#30 0x00007f25c09e420a in _ecore_main_loop_iterate_internal (obj=0x4000000000c9, pd=0x555584910fc0, once_only=0)
    at ../src/lib/ecore/ecore_main.c:2483
#31 0x00007f25c09e14be in _ecore_main_loop_begin (obj=0x4000000000c9, pd=0x555584910fc0) at ../src/lib/ecore/ecore_main.c:1194
#32 0x00007f25c09e9615 in _efl_loop_begin (obj=0x4000000000c9, pd=0x555584910fc0) at ../src/lib/ecore/efl_loop.c:57
#33 0x00007f25c09eb8fa in efl_loop_begin (obj=0x4000000000c9) at src/lib/ecore/efl_loop.eo.c:28
#34 0x00007f25c09e1633 in ecore_main_loop_begin () at ../src/lib/ecore/ecore_main.c:1277
#35 0x00005555843adce3 in main (argc=1, argv=0x7ffeb8095a28) at ../src/bin/e_main.c:1092
quit
Detaching from program: /usr/bin/enlightenment, process 756
[Inferior 1 (process 756) detached]
abyomi0 renamed this task from Crash on startup dual monitors to Crash on startup with dual monitors.Jul 17 2019, 4:48 PM
abyomi0 updated the task description. (Show Details)
abyomi0 added a subscriber: raster.Jul 19 2019, 7:57 PM

your output seems to have color codes init. that's odd and unusual for gdb. makes it hard to read, but...

_tex_sub_2d() is the last point of efl calls before entering the nvidia driver blob. now some decode of the color codes i get:

_tex_sub_2d(gc=0x555584ef7860, x=1, y=1, w=450, h=527, fmt=32993, type=5121, pix=0x7f25bd139000)

so it is barfing inside glCompressedTexSubImage2D(). first port of call is when this happens, to attach gdb:

gdb enlightenment `pidof enlightenment`

and then got to frame 12 like:

frame 12
print ((int *)pix)[(w * h) - 1]

does that give you a value (it doesn't matter what the value is) or say it's inaccessible? if it's inaccessible then somehow we're passing in a junk pixel pointer.that pointer does not look like junk, but we'll find out from the above. do the above from a text tty or sshing in from another machine. if you get a value then that pixel array is almost certainly all accessible (we'd have to test every pixel in it or every page at least to be 100% sure but if the end is then it almost certainly all is - try the 0 entry like print ((int *)pix)[0] to be a bit more sure). if its accessible then unfortunately i think it's time to hand this one off to nvidia - it's in their binary blob and we can't do anything there or look at it and you probably have an nvidia blob bug, but i can't say more about it as it's not debuggable due to the nature of the binary blobs. if the memory is inaccessible then we need to dig further as to why (maybe valgrind? let's see).

abyomi0 added a comment.EditedJul 21 2019, 9:59 AM

Did:

frame 12
print ((int *)pix)[(w * h) - 1]

and

print ((int *)pix)[0]

Got: Cannot access memory at address.

Output from GDB

Already logging to gdb.txt.
Quit
quit
Already logging to gdb.txt.
#12 0x00007f4d2943544c in _tex_sub_2d (gc=0x556c5a13fae0, x=1, y=1, w=450, h=527, fmt=32993, type=5121, pix=0x7f4d2b2ab000)
    at ../src/modules/evas/engines/gl_common/evas_gl_common.h:964
964	../src/modules/evas/engines/gl_common/evas_gl_common.h: No such file or directory.
Cannot access memory at address 0x7f4d2b392974
Cannot access memory at address 0x7f4d2b2ab000
quit
Detaching from program: /usr/bin/enlightenment, process 2791
[Inferior 1 (process 2791) detached]

ok. we're passing in a bad ptr for the pixel data... and then the nvidia driver is barfing at trying to access it, so our problem... but why? next port of call - valgrind i guess.

ok. we're passing in a bad ptr for the pixel data... and then the nvidia driver is barfing at trying to access it, so our problem... but why? next port of call - valgrind i guess.

So, I should just follow this section here?

https://www.enlightenment.org/contrib/enlightenment-debug.md#Valgrind

yup. :) That's why we wrote it :)

yup. :) That's why we wrote it :)

Tried with Xephyr and Xinit, but E doesn't crash.

raster added a comment.Aug 1 2019, 3:26 PM

you're going to have to try it with a raw xserver then and valrind it from another box... (ssh in)

abyomi0 added a comment.EditedAug 1 2019, 9:23 PM

you're going to have to try it with a raw xserver then and valrind it from another box... (ssh in)

Followed: https://www.enlightenment.org/contrib/enlightenment-debug.md#Remote_Debugging

But I'm unable to get enlightenment to start on my host machine. E says it can't create a compositor and then exits.

Am I understanding these directions correctly? The "host" machine is where E is crashing, right?

Looks like this:

ESTART: 0.00022 [0.00022] - Begin Startup
ESTART: 0.01833 [0.01811] - Signal Trap
ESTART: 0.01987 [0.00153] - Signal Trap Done
ESTART: 0.03209 [0.01223] - Eina Init
ESTART: 0.10827 [0.07618] - Eina Init Done
ESTART: 0.10863 [0.00036] - Determine Prefix
ESTART: 0.12717 [0.01854] - Determine Prefix Done
ESTART: 0.12929 [0.00212] - Environment Variables
ESTART: 0.13767 [0.00838] - Environment Variables Done
ESTART: 0.13789 [0.00022] - Parse Arguments
ESTART: 0.14059 [0.00270] - Parse Arguments Done
ESTART: 0.14081 [0.00021] - Eet Init
ESTART: 0.14358 [0.00278] - Eet Init Done
ESTART: 0.14394 [0.00036] - Ecore Init
ESTART: 0.53923 [0.39529] - Ecore Init Done
ESTART: 1.09509 [0.55586] - EFX Init
ESTART: 1.09598 [0.00089] - EFX Init Done
ESTART: 1.09904 [0.00306] - EIO Init
ESTART: 1.80146 [0.70242] - EIO Init Done
ESTART: 1.80216 [0.00070] - Ecore Event Handlers
ESTART: 1.80275 [0.00060] - Ecore Event Handlers Done
ESTART: 1.80299 [0.00024] - Ecore_File Init
ESTART: 1.80334 [0.00034] - Ecore_File Init Done
ESTART: 1.80370 [0.00036] - Ecore_Con Init
ESTART: 1.80405 [0.00035] - Ecore_Con Init Done
ESTART: 1.80441 [0.00036] - Ecore_Ipc Init
ESTART: 1.80481 [0.00040] - Ecore_Ipc Init Done
ESTART: 1.81100 [0.00620] - Ecore_Evas Init
ESTART: 1.96552 [0.15452] - Ecore_Evas Init Done
ESTART: 1.96672 [0.00120] - Elementary Init
ESTART: 3.78332 [1.81660] - Elementary Init Done
ESTART: 3.78357 [0.00025] - Emotion Init
ESTART: 3.78839 [0.00482] - Emotion Init Done
ESTART: 3.78883 [0.00044] - Ecore_Evas Engine Check
ESTART: 3.78955 [0.00072] - Ecore_Evas Engine Check Done
ESTART: 3.78997 [0.00041] - E Intl Init
ESTART: 3.79232 [0.00235] - E Intl Init Done
ESTART: 3.79268 [0.00037] - E_Alert Init
ESTART: 3.79305 [0.00037] - E_Alert Init Done
ESTART: 3.79340 [0.00036] - E Directories Init
ESTART: 3.79649 [0.00309] - E Directories Init Done
ESTART: 3.79686 [0.00037] - E_Filereg Init
ESTART: 3.79724 [0.00038] - E_Filereg Init Done
ESTART: 3.79760 [0.00036] - E_Config Init
ESTART: 4.06002 [0.26242] - E_Config Init Done
ESTART: 4.06071 [0.00069] - E_Env Init
ESTART: 4.06198 [0.00127] - E_Env Init Done
ESTART: 4.06323 [0.00125] - E Paths Init
ESTART: 4.07043 [0.00720] - E Paths Init Done
ESTART: 4.07082 [0.00039] - E_Ipc Init
ESTART: 4.11462 [0.04380] - E_Ipc Init Done
ESTART: 4.11546 [0.00084] - E_Font Init
ESTART: 4.11580 [0.00034] - E_Font Init Done
ESTART: 4.11615 [0.00036] - E_Font Apply
ESTART: 4.12311 [0.00696] - E_Font Apply Done
ESTART: 4.12335 [0.00024] - E_Theme Init
ESTART: 4.12496 [0.00161] - E_Theme Init Done
ESTART: 4.12534 [0.00037] - E_Moveresize Init
ESTART: 4.12727 [0.00193] - E_Moveresize Init Done
ESTART: 4.12785 [0.00058] - E_Msgbus Init
ESTART: 4.15694 [0.02909] - E_Msgbus Init Done
ESTART: 4.15720 [0.00026] - Efreet Init
ESTART: 4.15757 [0.00037] - Efreet Init Done
ESTART: 4.15811 [0.00054] - E_Intl Post Init
ESTART: 5.12800 [0.96989] - E_Intl Post Init Done
ESTART: 5.12846 [0.00046] - E_Configure Init
ESTART: 5.15429 [0.02583] - E_Configure Init Done
ESTART: 5.15511 [0.00082] - E_Actions Init
ESTART: 5.21575 [0.06063] - E_Actions Init Done
ESTART: 5.21901 [0.00326] - E_Powersave Init
ESTART: 5.21989 [0.00088] - E_Powersave Init Done
ESTART: 5.22066 [0.00077] - Screens Init
ESTART: 5.22096 [0.00030] -     screens: client
ESTART: 5.22323 [0.00227] - E_Screensaver Init
ESTART: 5.22426 [0.00103] -     screens: client volume
ESTART: 5.22494 [0.00069] -     screens: win
ESTART: 5.22585 [0.00091] - Compositor Init
Enlightenment cannot initialize X Connection...
<<<< Enlightenment Error >>>>
Enlightenment cannot create a compositor.

E: Begin Shutdown Procedure!
ERR<918>:e ../src/bin/e_msgbus.c:84 _e_msgbus_request_name_cb() Could not request bus name
raster added a comment.Aug 2 2019, 1:50 AM

you need to start an xserver manually. so somewhere as root (tty or ssh session - i recommend ssh'ing in from another system for comfort and a later copy & paste):

X -ac :0

then in another tty or ssh login session:

export DISPLAY=:0
export E_START=1
valgrind --main-stacksize=4096 --vgdb-error=0 --tool=memcheck \
  --num-callers=80 --show-reachable=no --read-var-info=yes \
  --leak-check=yes --leak-resolution=high --undef-value-errors=yes \
  --track-origins=yes enlightenment

(the valgrind command above is what i use personally so it's got a lot of options turned on - but i have an alias in my shell for it so i don't have to remember it all) then in ANOTHER ssh or tty session run:

gdb enlightenment

then copy & paste in the trace attach line valgrind tells you to and use the cont or c command in gdb to continue running in gdb until the error pops up and gdb breaks and gives you a backtrace and valgrind outputs where it thinks the problem is. some problems can be ignored, so you can just "continue" like "branch depends on uninitialized memory" ones. others like invalid access (to invalid or freed memory) are going to be the fatal ones. you want a backtrace from those and printing of local variables and structs etc.

abyomi0 added a comment.EditedAug 2 2019, 7:41 AM

you need to start an xserver manually. so somewhere as root (tty or ssh session - i recommend ssh'ing in from another system for comfort and a later copy & paste):

X -ac :0

then in another tty or ssh login session:

export DISPLAY=:0
export E_START=1
valgrind --main-stacksize=4096 --vgdb-error=0 --tool=memcheck \
  --num-callers=80 --show-reachable=no --read-var-info=yes \
  --leak-check=yes --leak-resolution=high --undef-value-errors=yes \
  --track-origins=yes enlightenment

(the valgrind command above is what i use personally so it's got a lot of options turned on - but i have an alias in my shell for it so i don't have to remember it all) then in ANOTHER ssh or tty session run:

gdb enlightenment

then copy & paste in the trace attach line valgrind tells you to and use the cont or c command in gdb to continue running in gdb until the error pops up and gdb breaks and gives you a backtrace and valgrind outputs where it thinks the problem is. some problems can be ignored, so you can just "continue" like "branch depends on uninitialized memory" ones. others like invalid access (to invalid or freed memory) are going to be the fatal ones. you want a backtrace from those and printing of local variables and structs etc.

Oh, so this allows Enlightenment to run at full speed on my main machine...that's pretty cool, raster! Why is that, though?

Here's what I got.

export DISPLAY=:0
export E_START=1
valgrind --main-stacksize=4096 --vgdb-error=0 --tool=memcheck \
  --num-callers=80 --show-reachable=no --read-var-info=yes \
  --leak-check=yes --leak-resolution=high --undef-value-errors=yes \
  --track-origins=yes enlightenment
==769== Memcheck, a memory error detector
==769== Copyright (C) 2002-2017, and GNU GPL'd, by Julian Seward et al.
==769== Using Valgrind-3.14.0 and LibVEX; rerun with -h for copyright info
==769== Command: enlightenment
==769==
==769== (action at startup) vgdb me ...
==769==
==769== TO DEBUG THIS PROCESS USING GDB: start GDB like this
==769==   /path/to/gdb enlightenment
==769== and then give GDB the following command
==769==   target remote | /usr/lib/valgrind/../../bin/vgdb --pid=769
==769== --pid is optional if only one valgrind process is running
==769==

parse DIE(readdwarf3.c:3685): confused by:
 <2><6bba9e>: Abbrev Number: 61 (DW_TAG_subrange_type)
     DW_AT_type        : <6b3671>
     DW_AT_count       : 0
parse_type_DIE:
--769-- WARNING: Serious error when reading debug info
--769-- When reading debug info from /usr/lib/libelementary.so.1.22.99:
--769-- confused by the above DIE
ESTART: 0.00023 [0.00023] - Begin Startup
ESTART: 0.01944 [0.01921] - Signal Trap
ESTART: 0.02107 [0.00163] - Signal Trap Done
ESTART: 0.03340 [0.01234] - Eina Init
ESTART: 0.11541 [0.08200] - Eina Init Done
ESTART: 0.11601 [0.00060] - Determine Prefix
ESTART: 0.15561 [0.03960] - Determine Prefix Done
ESTART: 0.15767 [0.00207] - Environment Variables
ESTART: 0.16654 [0.00887] - Environment Variables Done
ESTART: 0.16680 [0.00025] - Parse Arguments
ESTART: 0.16813 [0.00133] - Parse Arguments Done
ESTART: 0.16834 [0.00021] - Eet Init
ESTART: 0.17116 [0.00282] - Eet Init Done
ESTART: 0.17150 [0.00034] - Ecore Init
ESTART: 0.72036 [0.54886] - Ecore Init Done
ESTART: 1.45527 [0.73491] - EFX Init
ESTART: 1.45617 [0.00090] - EFX Init Done
ESTART: 1.45937 [0.00320] - EIO Init
ESTART: 1.72485 [0.26548] - EIO Init Done
ESTART: 1.72625 [0.00140] - Ecore Event Handlers
ESTART: 1.72674 [0.00049] - Ecore Event Handlers Done
ESTART: 1.72698 [0.00024] - Ecore_File Init
ESTART: 1.73181 [0.00483] - Ecore_File Init Done
ESTART: 1.73225 [0.00044] - Ecore_Con Init
ESTART: 1.73264 [0.00039] - Ecore_Con Init Done
ESTART: 1.73304 [0.00040] - Ecore_Ipc Init
ESTART: 1.73347 [0.00043] - Ecore_Ipc Init Done
ESTART: 1.73943 [0.00596] - Ecore_Evas Init
ESTART: 1.88653 [0.14710] - Ecore_Evas Init Done
ESTART: 1.88684 [0.00030] - Elementary Init
ESTART: 3.94874 [2.06191] - Elementary Init Done
ESTART: 3.94901 [0.00026] - Emotion Init
ESTART: 3.95405 [0.00505] - Emotion Init Done
ESTART: 3.95449 [0.00044] - Ecore_Evas Engine Check
ESTART: 3.95519 [0.00070] - Ecore_Evas Engine Check Done
ESTART: 3.95557 [0.00039] - E Intl Init
ESTART: 3.95798 [0.00240] - E Intl Init Done
ESTART: 3.95839 [0.00041] - E_Alert Init
ESTART: 3.95870 [0.00031] - E_Alert Init Done
ESTART: 3.95904 [0.00034] - E Directories Init
ESTART: 3.96222 [0.00318] - E Directories Init Done
ESTART: 3.96259 [0.00036] - E_Filereg Init
ESTART: 3.96296 [0.00037] - E_Filereg Init Done
ESTART: 3.96329 [0.00034] - E_Config Init
ESTART: 4.23657 [0.27328] - E_Config Init Done
ESTART: 4.23733 [0.00076] - E_Env Init
ESTART: 4.23864 [0.00131] - E_Env Init Done
ESTART: 4.23984 [0.00120] - E Paths Init
ESTART: 4.24745 [0.00761] - E Paths Init Done
ESTART: 4.24788 [0.00043] - E_Ipc Init
ESTART: 4.28625 [0.03837] - E_Ipc Init Done
ESTART: 4.28709 [0.00084] - E_Font Init
ESTART: 4.28743 [0.00034] - E_Font Init Done
ESTART: 4.28776 [0.00033] - E_Font Apply
ESTART: 4.29490 [0.00714] - E_Font Apply Done
ESTART: 4.29516 [0.00026] - E_Theme Init
ESTART: 4.29679 [0.00163] - E_Theme Init Done
ESTART: 4.29713 [0.00034] - E_Moveresize Init
ESTART: 4.29904 [0.00191] - E_Moveresize Init Done
ESTART: 4.29959 [0.00055] - E_Msgbus Init
ESTART: 4.32920 [0.02961] - E_Msgbus Init Done
ESTART: 4.32947 [0.00027] - Efreet Init
ESTART: 4.32984 [0.00037] - Efreet Init Done
ESTART: 4.33036 [0.00052] - E_Intl Post Init
ESTART: 4.40712 [0.07676] - E_Intl Post Init Done
ESTART: 4.40749 [0.00037] - E_Configure Init
ESTART: 4.43358 [0.02609] - E_Configure Init Done
ESTART: 4.43429 [0.00072] - E_Actions Init
ESTART: 4.49378 [0.05949] - E_Actions Init Done
ESTART: 4.49700 [0.00322] - E_Powersave Init
ESTART: 4.49786 [0.00086] - E_Powersave Init Done
ESTART: 4.49858 [0.00072] - Screens Init
ESTART: 4.49884 [0.00026] -     screens: client
ESTART: 4.50106 [0.00221] - E_Screensaver Init
ESTART: 4.50202 [0.00096] -     screens: client volume
ESTART: 4.50262 [0.00060] -     screens: win
ESTART: 4.50344 [0.00082] - Compositor Init
RRR: ................. info get!
RRR: .... out DVI-I-0
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes (nil)
RRR: .... out DVI-I-1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes (nil)
RRR: .... out DP-0
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 1
RRR: ...... modes 0xa6bbd20
RRR: 'DP-0' 0 840 3840x2160
RRR: .... out DP-1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes (nil)
RRR: .... out HDMI-0
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 1
RRR: ...... modes 0xa6e5ba0
RRR: 'HDMI-0' 3840 0 2160x3840
RRR:-------------------------------- 2
RRR: 'DP-0': 0 840 3840x2160
RRR: 'HDMI-0': 3840 0 2160x3840
RRR: result max: 6000x3840
RRR: loaded existing config
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
--------------------------------------------------
RRR: out id=DVI-I-0/:  connected=0
RRR: out id=DVI-I-1/:  connected=0
RRR: out id=DP-0/00ffffffffffff001e6d0777987c0200031d0104b53c22789e3e31ae5047ac270c50542108007140818081c0a9c0d1c08100010101014dd000a0f0703e803020650c5854210000
1a286800a0f0703e800890650c58542100001a000000fd00383d1e8738000a202020202020000000fc004c472048445220344b0a20202001560203197144900403012309070783010000e305c000e30
60501023a801871382d40582c450058542100001e565e00a0a0a029503020350058542100001a0000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000029:  connected=1
RRR: check lid for DP-0...
RRR: store scale mul 0.00000
RRR: out id=DP-1/:  connected=0
RRR: out id=HDMI-0/00ffffffffffff001e6d0677aa880200031d0103803c2278ea3e31ae5047ac270c50542108007140818081c0a9c0d1c081000101010108e80030f2705a80b0588a0058542100
001e04740030f2705a80b0588a0058542100001a000000fd00383d1e873c000a202020202020000000fc004c472048445220344b0a20202001aa020338714d9022201f1203040161605d5e5f2309070
76d030c001000b83c20006001020367d85dc401788003e30f0003e305c000e3060501023a801871382d40582c450058542100001e565e00a0a0a029503020350058542100001a000000ff003930334e
54445634573035380a0000000000000000000000000000000000d7:  connected=1
RRR: check lid for HDMI-0...
RRR: store scale mul 0.00000
--------------------------------------------------
xinerama screen 0 840 3840x2160
xinerama screen 3840 0 2160x3840
xinerama setup............... 2 (nil)
ERR<769>:e ../src/bin/e_comp_x.c:5670 _e_comp_x_setup() Another compositor is already running on your display server.
<<<< Enlightenment Error >>>>
Enlightenment cannot create a compositor.

E: Begin Shutdown Procedure!
ERR<769>:e ../src/bin/e_msgbus.c:84 _e_msgbus_request_name_cb() Could not request bus name
==769==
==769== HEAP SUMMARY:
==769==     in use at exit: 1,772,963 bytes in 9,986 blocks
==769==   total heap usage: 69,782 allocs, 48,152 frees, 20,839,424 bytes allocated
==769==
==769== 48 bytes in 1 blocks are definitely lost in loss record 986 of 2,411
==769==    at 0x4A6F1B6: _eina_chained_mempool_alloc_in (eina_chained_mempool.c:211)
==769==    by 0x4A6F44B: eina_chained_mempool_malloc (eina_chained_mempool.c:323)
==769==    by 0x4AA6E01: eina_mempool_malloc (eina_inline_mempool.x:95)
==769==    by 0x4AA6F2E: eet_file_node_malloc (eet_alloc.c:38)
==769==    by 0x4ABAF63: eet_internal_read2 (eet_lib.c:815)
==769==    by 0x4ABBDA6: eet_internal_read (eet_lib.c:1247)
==769==    by 0x4ABCAA4: eet_open (eet_lib.c:1644)
==769==    by 0x529CF21: _profile_fetch_from_conf (elm_config.c:1469)
==769==    by 0x52A5C85: _elm_config_init (elm_config.c:4170)
==769==    by 0x53B00B0: elm_quicklaunch_sub_init (elm_main.c:878)
==769==    by 0x53AF2ED: elm_init (elm_main.c:428)
==769==    by 0x25C85F: main (e_main.c:461)
==769==
==769== 48 bytes in 1 blocks are definitely lost in loss record 987 of 2,411
==769==    at 0x4A6F1B6: _eina_chained_mempool_alloc_in (eina_chained_mempool.c:211)
==769==    by 0x4A6F44B: eina_chained_mempool_malloc (eina_chained_mempool.c:323)
==769==    by 0x4AA6E01: eina_mempool_malloc (eina_inline_mempool.x:95)
==769==    by 0x4AA6F2E: eet_file_node_malloc (eet_alloc.c:38)
==769==    by 0x4ABAF63: eet_internal_read2 (eet_lib.c:815)
==769==    by 0x4ABBDA6: eet_internal_read (eet_lib.c:1247)
==769==    by 0x4ABCAA4: eet_open (eet_lib.c:1644)
==769==    by 0x529E07F: _config_user_load (elm_config.c:1643)
==769==    by 0x529E582: _config_load (elm_config.c:1729)
==769==    by 0x52A5C8A: _elm_config_init (elm_config.c:4171)
==769==    by 0x53B00B0: elm_quicklaunch_sub_init (elm_main.c:878)
==769==    by 0x53AF2ED: elm_init (elm_main.c:428)
==769==    by 0x25C85F: main (e_main.c:461)
==769==
==769== 432 bytes in 1 blocks are possibly lost in loss record 2,076 of 2,411
==769==    at 0x483AB65: calloc (vg_replace_malloc.c:752)
==769==    by 0x4012AC1: allocate_dtv (in /usr/lib/ld-2.29.so)
==769==    by 0x4013431: _dl_allocate_tls (in /usr/lib/ld-2.29.so)
==769==    by 0x58A71AD: pthread_create@@GLIBC_2.2.5 (in /usr/lib/libpthread-2.29.so)
==769==    by 0x4A49ED8: _eina_thread_create (eina_thread.c:98)
==769==    by 0x4A4A274: eina_thread_create (eina_thread.c:190)
==769==    by 0x4B6BD3A: ecore_thread_run (ecore_thread.c:708)
==769==    by 0x4BE2CDB: efl_net_connect_async_new (ecore_con.c:860)
==769==    by 0x4C49858: _efl_net_dialer_unix_efl_net_dialer_dial (efl_net_dialer_unix.c:179)
==769==    by 0x4C0CF9A: efl_net_dialer_dial (efl_net_dialer.eo.c:7)
==769==    by 0x4BAB8A7: ecore_ipc_server_connect (ecore_ipc.c:774)
==769==    by 0x5074A2F: efreet_cache_init (efreet_cache.c:332)
==769==    by 0x505AFCA: efreet_init (efreet.c:76)
==769==    by 0x5086B05: efreet_mime_init (efreet_mime.c:364)
==769==    by 0x50A0EB3: eio_init (eio_main.c:320)
==769==    by 0x25C070: main (e_main.c:388)
==769==
==769== 432 bytes in 1 blocks are possibly lost in loss record 2,077 of 2,411
==769==    at 0x483AB65: calloc (vg_replace_malloc.c:752)
==769==    by 0x4012AC1: allocate_dtv (in /usr/lib/ld-2.29.so)
==769==    by 0x4013431: _dl_allocate_tls (in /usr/lib/ld-2.29.so)
==769==    by 0x58A71AD: pthread_create@@GLIBC_2.2.5 (in /usr/lib/libpthread-2.29.so)
==769==    by 0x4A49ED8: _eina_thread_create (eina_thread.c:98)
==769==    by 0x4A4A274: eina_thread_create (eina_thread.c:190)
==769==    by 0x4D94C01: evas_thread_init (evas_thread_render.c:263)
==769==    by 0x4DD1A54: evas_init (evas_main.c:172)
==769==    by 0x56C7951: ecore_evas_init (ecore_evas.c:612)
==769==    by 0x25C731: main (e_main.c:452)
==769==
==769== 432 bytes in 1 blocks are possibly lost in loss record 2,078 of 2,411
==769==    at 0x483AB65: calloc (vg_replace_malloc.c:752)
==769==    by 0x4012AC1: allocate_dtv (in /usr/lib/ld-2.29.so)
==769==    by 0x4013431: _dl_allocate_tls (in /usr/lib/ld-2.29.so)
==769==    by 0x58A71AD: pthread_create@@GLIBC_2.2.5 (in /usr/lib/libpthread-2.29.so)
==769==    by 0x4A49ED8: _eina_thread_create (eina_thread.c:98)
==769==    by 0x4A4A274: eina_thread_create (eina_thread.c:190)
==769==    by 0x4D8375D: evas_common_scale_sample_init (evas_scale_sample.c:833)
==769==    by 0x4D64B07: evas_common_init (evas_draw_main.c:137)
==769==    by 0x4DD1A92: evas_init (evas_main.c:174)
==769==    by 0x56C7951: ecore_evas_init (ecore_evas.c:612)
==769==    by 0x25C731: main (e_main.c:452)
==769==
==769== 432 bytes in 1 blocks are possibly lost in loss record 2,079 of 2,411
==769==    at 0x483AB65: calloc (vg_replace_malloc.c:752)
==769==    by 0x4012AC1: allocate_dtv (in /usr/lib/ld-2.29.so)
==769==    by 0x4013431: _dl_allocate_tls (in /usr/lib/ld-2.29.so)
==769==    by 0x58A71AD: pthread_create@@GLIBC_2.2.5 (in /usr/lib/libpthread-2.29.so)
==769==    by 0x4A49ED8: _eina_thread_create (eina_thread.c:98)
==769==    by 0x4A4A274: eina_thread_create (eina_thread.c:190)
==769==    by 0x4B6C62A: ecore_thread_feedback_run (ecore_thread.c:955)
==769==    by 0x4B0F1D7: _timer_tick_begin (ecore_anim.c:406)
==769==    by 0x4B0F32E: _begin_tick (ecore_anim.c:452)
==769==    by 0x4B0F69D: _ecore_animator_add (ecore_anim.c:532)
==769==    by 0x4B0F6C6: ecore_animator_add (ecore_anim.c:541)
==769==    by 0x180B44: e_comp_new (e_comp.c:1377)
==769==    by 0x17F878: e_comp_init (e_comp.c:1079)
==769==    by 0x262872: _e_main_screens_init (e_main.c:1637)
==769==    by 0x25E1C1: main (e_main.c:728)
==769==
==769== 261,840 (12,144 direct, 249,696 indirect) bytes in 253 blocks are definitely lost in loss record 2,411 of 2,411
==769==    at 0x4A6F1B6: _eina_chained_mempool_alloc_in (eina_chained_mempool.c:211)
==769==    by 0x4A6F44B: eina_chained_mempool_malloc (eina_chained_mempool.c:323)
==769==    by 0x4AA6E01: eina_mempool_malloc (eina_inline_mempool.x:95)
==769==    by 0x4AA6F2E: eet_file_node_malloc (eet_alloc.c:38)
==769==    by 0x4ABAF63: eet_internal_read2 (eet_lib.c:815)
==769==    by 0x4ABBDA6: eet_internal_read (eet_lib.c:1247)
==769==    by 0x4ABC5BF: eet_mmap (eet_lib.c:1482)
==769==    by 0x571B56E: _edje_file_open (edje_cache.c:303)
==769==    by 0x571C181: _edje_cache_file_coll_open (edje_cache.c:488)
==769==    by 0x57BC320: edje_mmap_data_get (edje_load.c:460)
==769==    by 0x54570B4: _elm_theme_item_finalize (elm_theme.c:63)
==769==    by 0x5457459: _elm_theme_file_item_add (elm_theme.c:138)
==769==    by 0x5458520: _elm_theme_parse (elm_theme.c:486)
==769==    by 0x529DC1B: _config_apply (elm_config.c:1564)
==769==    by 0x52A5CD9: _elm_config_init (elm_config.c:4176)
==769==    by 0x53B00B0: elm_quicklaunch_sub_init (elm_main.c:878)
==769==    by 0x53AF2ED: elm_init (elm_main.c:428)
==769==    by 0x25C85F: main (e_main.c:461)
==769==
==769== LEAK SUMMARY:
==769==    definitely lost: 12,240 bytes in 255 blocks
==769==    indirectly lost: 249,696 bytes in 5,202 blocks
==769==      possibly lost: 1,728 bytes in 4 blocks
==769==    still reachable: 1,312,339 bytes in 13,711 blocks
==769==         suppressed: 0 bytes in 0 blocks
==769== Reachable blocks (those to which a pointer was found) are not shown.
==769== To see them, rerun with: --leak-check=full --show-leak-kinds=all
==769==
==769== For counts of detected and suppressed errors, rerun with: -v
==769== ERROR SUMMARY: 7 errors from 7 contexts (suppressed: 0 from 0)

I got E to crash twice. The Heap Summary is the same.

Oh, so this allows Enlightenment to run at full speed on my main machine...that's pretty cool, raster! Why is that, though?

that should not run at full speed.. valgrind will say to paste some trace command into gdb then continue running... did you paste that in? that will have gdb remotely attach to a special gdb debug port in valgrind that allows it to see the valgrind interpreted process...

ERR<769>:e ../src/bin/e_comp_x.c:5670 _e_comp_x_setup() Another compositor is already running on your display server.
<<<< Enlightenment Error >>>>
Enlightenment cannot create a compositor.

E: Begin Shutdown Procedure!

hmm no - e didn't even start there. another wm/compositor was running... was this the raw empty xserver you ran manually? did you ensure no other Xserver is running at that time?

Oh, so this allows Enlightenment to run at full speed on my main machine...that's pretty cool, raster! Why is that, though?

Oh.

that should not run at full speed.. valgrind will say to paste some trace command into gdb then continue running... did you paste that in? that will have gdb remotely attach to a special gdb debug port in valgrind that allows it to see the valgrind interpreted process...

ERR<769>:e ../src/bin/e_comp_x.c:5670 _e_comp_x_setup() Another compositor is already running on your display server.
<<<< Enlightenment Error >>>>
Enlightenment cannot create a compositor.

E: Begin Shutdown Procedure!

hmm no - e didn't even start there. another wm/compositor was running... was this the raw empty xserver you ran manually? did you ensure no other Xserver is running at that time?

That was the raw/empty X Server. I disabled sddm before starting the ssh sessions.

I can retry this in a few minutes.

Oh, so this allows Enlightenment to run at full speed on my main machine...that's pretty cool, raster! Why is that, though?

Oh.

that should not run at full speed.. valgrind will say to paste some trace command into gdb then continue running... did you paste that in? that will have gdb remotely attach to a special gdb debug port in valgrind that allows it to see the valgrind interpreted process...

ERR<769>:e ../src/bin/e_comp_x.c:5670 _e_comp_x_setup() Another compositor is already running on your display server.
<<<< Enlightenment Error >>>>
Enlightenment cannot create a compositor.

E: Begin Shutdown Procedure!

hmm no - e didn't even start there. another wm/compositor was running... was this the raw empty xserver you ran manually? did you ensure no other Xserver is running at that time?

That was the raw/empty X Server. I disabled sddm before starting the ssh sessions.

I can retry this in a few minutes.

I see where I was going wrong with your original instructions. I've got it running properly with valgrind now.
However, it doesn't crash. I'll retry.

raster added a comment.Aug 2 2019, 3:47 PM

it comes up with both screens working when under valgrind? just a bit slow... but works?

it comes up with both screens working when under valgrind? just a bit slow... but works?

That's exactly right. It's a bit slow, but everything launches just fine.

CRAP! heisenbug!

well... try just plain gdb then... run e under gdb instead of valgrind:

oh wait... never mind... that's what we had to begin with... shit. ummm... bugger... hmmm

raster added a comment.Aug 3 2019, 3:42 PM

i had a look over the evas image back end that deals with image data. every path i see that will free/unmap the image data also replaces the image data ptr with NULL ... or in 1 case it replaces it with new data (the cs.data). i was going to suggest adding some ERR() debug macros that will give a print of the image ptr value and a bt of where it is freed/unmapped but ... looking at it it's all seemingly ok. that pixel data ptr should be null... or it's a valid move to cd.data with normalize.

if you run e under gdb, before starts running... can y set a breakpoint for evas_common_image_colorspace_normalize ? so:

gdb enlightenment
br evas_common_image_colorspace_normalize
r

br == set breakpoint
r == run

do u get the breakpoint triggered. if so, can you step through and see what im->cs.data and im->image.data are.... then continue running.... (cont) then if/when it crashes later is that the image.data ptr later on? is the breakpoint hit at all?

we're now into deep debugging land. :(

the only other option i can think of is that memory for the image struct is being scribbled over with junk thus producing a bad data ptr. i could start adding checksums to the struct etc. to try detect something going wrong.... but it won't find the source of the issue - just detect it went wrong (which gdb/os kernel is doing already - thus the crash).

i had a look over the evas image back end that deals with image data. every path i see that will free/unmap the image data also replaces the image data ptr with NULL ... or in 1 case it replaces it with new data (the cs.data). i was going to suggest adding some ERR() debug macros that will give a print of the image ptr value and a bt of where it is freed/unmapped but ... looking at it it's all seemingly ok. that pixel data ptr should be null... or it's a valid move to cd.data with normalize.

if you run e under gdb, before starts running... can y set a breakpoint for evas_common_image_colorspace_normalize ? so:

gdb enlightenment
br evas_common_image_colorspace_normalize
r

br == set breakpoint
r == run

do u get the breakpoint triggered. if so, can you step through and see what im->cs.data and im->image.data are.... then continue running.... (cont) then if/when it crashes later is that the image.data ptr later on? is the breakpoint hit at all?

we're now into deep debugging land. :(

the only other option i can think of is that memory for the image struct is being scribbled over with junk thus producing a bad data ptr. i could start adding checksums to the struct etc. to try detect something going wrong.... but it won't find the source of the issue - just detect it went wrong (which gdb/os kernel is doing already - thus the crash).

I started a raw Xserver on my machine and ran enlightenment from GDB.

This is what I got (more color codes, though).

Function "evas_common_image_colorspace_normalize" not defined.
Breakpoint 1 (evas_common_image_colorspace_normalize) pending.
Starting program: /usr/bin/enlightenment 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Detaching after fork from child process 845]
[New Thread 0x7ffff47ae700 (LWP 846)]
[Thread 0x7ffff47ae700 (LWP 846) exited]
[New Thread 0x7ffff3fad700 (LWP 847)]
[New Thread 0x7ffff37ac700 (LWP 848)]
[Detaching after vfork from child process 852]
[New Thread 0x7ffff2fab700 (LWP 853)]
[Detaching after fork from child process 856]
[Detaching after vfork from child process 858]
[New Thread 0x7fffeb02a700 (LWP 868)]
[Thread 0x7fffeb02a700 (LWP 868) exited]
[Detaching after fork from child process 869]
[New Thread 0x7fffea829700 (LWP 875)]
[Thread 0x7fffea829700 (LWP 875) exited]
[New Thread 0x7fffea028700 (LWP 882)]
[New Thread 0x7fffe9827700 (LWP 883)]
[Thread 0x7fffe9827700 (LWP 883) exited]
[Detaching after fork from child process 885]
[Thread 0x7fffea028700 (LWP 882) exited]

Thread 1 "enlightenment" hit Breakpoint 1, evas_common_image_colorspace_normalize (im=0x555555e98bd0)
    at ../src/lib/evas/common/evas_image_main.c:912
912	   if ((!im->cs.data) ||
$1 = (void *) 0x0
$2 = (DATA32 *) 0x7fffe9024000
Continuing.
[Detaching after fork from child process 930]
[Detaching after fork from child process 940]
[Detaching after fork from child process 951]
[Detaching after fork from child process 952]
[Detaching after fork from child process 954]
[Detaching after fork from child process 955]

Thread 1 "enlightenment" hit Breakpoint 1, evas_common_image_colorspace_normalize (im=0x555555e98bd0)
    at ../src/lib/evas/common/evas_image_main.c:912
912	   if ((!im->cs.data) ||
$3 = (void *) 0x0
$4 = (DATA32 *) 0x7fffe9024000
Continuing.

Thread 1 "enlightenment" hit Breakpoint 1, evas_common_image_colorspace_normalize (im=0x555555e9d9d0)
    at ../src/lib/evas/common/evas_image_main.c:912
912	   if ((!im->cs.data) ||
Continuing.
[New Thread 0x7fffea028700 (LWP 1970)]
[Detaching after fork from child process 1971]
[New Thread 0x7fffe9827700 (LWP 1978)]
[Thread 0x7fffe9827700 (LWP 1978) exited]

Thread 1 "enlightenment" hit Breakpoint 1, evas_common_image_colorspace_normalize (im=0x555555e98bd0)
    at ../src/lib/evas/common/evas_image_main.c:912
912	   if ((!im->cs.data) ||
$5 = (void *) 0x0
$6 = (DATA32 *) 0x7fffe9024000
$7 = (DATA32 *) 0x7fffe9024000
Continuing.

Thread 1 "enlightenment" hit Breakpoint 1, evas_common_image_colorspace_normalize (im=0x555555e9d9d0)
    at ../src/lib/evas/common/evas_image_main.c:912
912	   if ((!im->cs.data) ||
Continuing.
[New Thread 0x7fffe9827700 (LWP 2049)]
[Detaching after vfork from child process 2050]
[New Thread 0x7fffea829700 (LWP 2051)]
[New Thread 0x7fffeb02a700 (LWP 2052)]
[Detaching after vfork from child process 2053]
[New Thread 0x7fffe89e4700 (LWP 2054)]
[Detaching after fork from child process 2055]
[Detaching after vfork from child process 2056]
[Detaching after vfork from child process 2061]
[Detaching after vfork from child process 2064]
[Detaching after vfork from child process 2067]
[Detaching after vfork from child process 2071]
[Detaching after vfork from child process 2072]
[Thread 0x7fffeb02a700 (LWP 2052) exited]

Thread 1 "enlightenment" hit Breakpoint 1, evas_common_image_colorspace_normalize (im=0x555555e98bd0)
    at ../src/lib/evas/common/evas_image_main.c:912
912	   if ((!im->cs.data) ||
$8 = (void *) 0x0
$9 = (DATA32 *) 0x7fffe9024000
Continuing.
[Thread 0x7fffe89e4700 (LWP 2054) exited]
[Thread 0x7fffea829700 (LWP 2051) exited]
[Thread 0x7fffe9827700 (LWP 2049) exited]

Thread 1 "enlightenment" hit Breakpoint 1, evas_common_image_colorspace_normalize (im=0x555555e9d9d0)
    at ../src/lib/evas/common/evas_image_main.c:912
912	   if ((!im->cs.data) ||
Continuing.
[Detaching after fork from child process 2114]
[Detaching after fork from child process 2116]

Thread 1 "enlightenment" hit Breakpoint 1, evas_common_image_colorspace_normalize (im=0x555555e9d9d0)
    at ../src/lib/evas/common/evas_image_main.c:912
912	   if ((!im->cs.data) ||
Continuing.
[Detaching after fork from child process 2145]
[New Thread 0x7fffe9827700 (LWP 2149)]
[New Thread 0x7fffe89e4700 (LWP 2150)]
[Thread 0x7fffe89e4700 (LWP 2150) exited]
[New Thread 0x7fffea829700 (LWP 2151)]
[New Thread 0x7fffeb02a700 (LWP 2152)]
[Thread 0x7fffea829700 (LWP 2151) exited]
[Thread 0x7fffeb02a700 (LWP 2152) exited]
[Detaching after vfork from child process 2153]
[New Thread 0x7fffeb02a700 (LWP 2154)]
[Thread 0x7fffeb02a700 (LWP 2154) exited]
[Detaching after vfork from child process 2155]
[Detaching after vfork from child process 2158]
[Detaching after vfork from child process 2161]
[Detaching after vfork from child process 2164]
[Detaching after vfork from child process 2167]
[Detaching after vfork from child process 2170]
[Detaching after vfork from child process 2173]
[Detaching after fork from child process 2176]
[Detaching after fork from child process 2203]
[Detaching after fork from child process 2233]
[Detaching after fork from child process 2256]
[Detaching after fork from child process 2283]
[Detaching after vfork from child process 2329]
[Detaching after vfork from child process 2332]
[Detaching after vfork from child process 2339]
[Detaching after vfork from child process 2342]
[Detaching after vfork from child process 2349]
[Detaching after vfork from child process 2352]
[Detaching after vfork from child process 2360]
[Detaching after fork from child process 2363]
[Detaching after fork from child process 2376]
[Detaching after fork from child process 2411]
[Detaching after fork from child process 2450]
[Detaching after fork from child process 2472]

Thread 1 "enlightenment" received signal SIGINT, Interrupt.
0x00007ffff6e87e5b in select () from /usr/lib/libc.so.6
quit
Not confirmed.
Continuing.
[Detaching after fork from child process 2503]

Thread 1 "enlightenment" received signal SIGINT, Interrupt.
0x00007ffff6e87e5b in select () from /usr/lib/libc.so.6
quit

ok. so normalize is being called. that gives me something to look at. perhaps we free cs.data and don't fix up image.data at the same time? let me look a bit.

sorry about this. it's kind of "remote debugging" where now i have to ask you to do the things i would (slowly with long round-trips).

raster added a comment.Aug 4 2019, 1:03 AM

hmmm ok. can you be more special case. set a break for the case EVAS_COLORSPACE_AGRY88: where the if there is triggered.

so can you instead set a breakpoint for:

br evas_image_main.c:934

that should be:

   switch (im->cache_entry.space)
     {
      case EVAS_COLORSPACE_ARGB8888:
      case EVAS_COLORSPACE_GRY8:
      case EVAS_COLORSPACE_AGRY88:
        if (im->image.data != im->cs.data)
          {
             if (!im->image.no_free)
               {
                  evas_common_rgba_image_surface_munmap
                    (im->image.data,
                     im->cache_entry.allocated.w,
                     im->cache_entry.allocated.h,
                     im->cache_entry.space);
#ifdef SURFDBG
                  surfs = eina_list_remove(surfs, im);
#endif
                  ((Image_Entry *)im)->allocated.w = 0;
                  ((Image_Entry *)im)->allocated.h = 0;
               }
--> this     im->image.data = im->cs.data;
             im->cs.no_free = im->image.no_free;
          }
        break;

that im->image.data = im->cs.data;

line. double-check your source tree for that file and that line and line number, but i want to know that THAT line is happening. FYI i don't see it being triggered myself in regular e startup, but it's the only path i see that might end up at your situation. you could also add a printf() above that line or even an abort(); which will force a crash on that code path and allow gdb then to catch it to know for sure (and recompile efl of course adding that 1 line - remove it again to get back from that state).

ok. so normalize is being called. that gives me something to look at. perhaps we free cs.data and don't fix up image.data at the same time? let me look a bit.

sorry about this. it's kind of "remote debugging" where now i have to ask you to do the things i would (slowly with long round-trips).

It's fine.

hmmm ok. can you be more special case. set a break for the case EVAS_COLORSPACE_AGRY88: where the if there is triggered.

so can you instead set a breakpoint for:

br evas_image_main.c:934

that should be:

   switch (im->cache_entry.space)
     {
      case EVAS_COLORSPACE_ARGB8888:
      case EVAS_COLORSPACE_GRY8:
      case EVAS_COLORSPACE_AGRY88:
        if (im->image.data != im->cs.data)
          {
             if (!im->image.no_free)
               {
                  evas_common_rgba_image_surface_munmap
                    (im->image.data,
                     im->cache_entry.allocated.w,
                     im->cache_entry.allocated.h,
                     im->cache_entry.space);
#ifdef SURFDBG
                  surfs = eina_list_remove(surfs, im);
#endif
                  ((Image_Entry *)im)->allocated.w = 0;
                  ((Image_Entry *)im)->allocated.h = 0;
               }
--> this     im->image.data = im->cs.data;
             im->cs.no_free = im->image.no_free;
          }
        break;

that im->image.data = im->cs.data;

line. double-check your source tree for that file and that line and line number, but i want to know that THAT line is happening. FYI i don't see it being triggered myself in regular e startup, but it's the only path i see that might end up at your situation. you could also add a printf() above that line or even an abort(); which will force a crash on that code path and allow gdb then to catch it to know for sure (and recompile efl of course adding that 1 line - remove it again to get back from that state).

I can do this, but right now, I have E and the EFL installed via the AUR (but any change I make there ends up vanishing).
I also have the sources from enlightenment.org.

I just want to know how I'd go about removing the install with printf(); or abort(); after I install the EFL from source using meson.

I ran that, but the output I got doesn't appear to be anything useful whatsoever.

No symbol table is loaded.  Use the "file" command.
Breakpoint 1 (evas_image_main.c:934) pending.
Starting program: /usr/local/bin/enlightenment 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Detaching after fork from child process 4435]
[New Thread 0x7ffff47ae700 (LWP 4436)]
[Thread 0x7ffff47ae700 (LWP 4436) exited]
[New Thread 0x7ffff3fad700 (LWP 4437)]
[New Thread 0x7ffff37ac700 (LWP 4438)]
[Detaching after vfork from child process 4441]
[New Thread 0x7ffff2fab700 (LWP 4442)]
[Detaching after fork from child process 4443]
[Detaching after vfork from child process 4447]
[New Thread 0x7fffeb02a700 (LWP 4452)]
[Detaching after fork from child process 4453]
[Thread 0x7fffeb02a700 (LWP 4452) exited]
[New Thread 0x7fffea829700 (LWP 4454)]
[New Thread 0x7fffea028700 (LWP 4455)]
[New Thread 0x7fffe9827700 (LWP 4456)]
[Thread 0x7fffea829700 (LWP 4454) exited]
[Thread 0x7fffea028700 (LWP 4455) exited]
[Detaching after fork from child process 4457]
[Thread 0x7fffe9827700 (LWP 4456) exited]
[Detaching after fork from child process 4460]
[Detaching after fork from child process 4461]
[Detaching after fork from child process 4463]
[Detaching after fork from child process 4464]
[New Thread 0x7fffe9827700 (LWP 4474)]
[Detaching after fork from child process 4494]
[New Thread 0x7fffea028700 (LWP 4558)]
[Detaching after vfork from child process 4595]
[Detaching after vfork from child process 4674]
[Detaching after vfork from child process 4683]
[Detaching after vfork from child process 4686]
[Detaching after vfork from child process 4690]
[Detaching after vfork from child process 4700]
[Detaching after vfork from child process 4703]
[Detaching after vfork from child process 4706]
[Detaching after fork from child process 4737]
[Detaching after vfork from child process 4747]
[Detaching after vfork from child process 4751]
[Detaching after vfork from child process 5017]
[Detaching after vfork from child process 5020]
[Detaching after vfork from child process 5023]
[Detaching after vfork from child process 5026]
[Detaching after vfork from child process 5029]
[Detaching after fork from child process 5032]
[Detaching after vfork from child process 5037]
[Detaching after vfork from child process 5040]
[Detaching after vfork from child process 5049]
[Detaching after vfork from child process 5052]
[Detaching after vfork from child process 5059]
[Detaching after vfork from child process 5062]
[Detaching after vfork from child process 5069]
[New Thread 0x7fffea829700 (LWP 5072)]
[Thread 0x7fffea829700 (LWP 5072) exited]
[New Thread 0x7fffea829700 (LWP 5073)]
[Thread 0x7fffea829700 (LWP 5073) exited]
[New Thread 0x7fffea829700 (LWP 5074)]
[New Thread 0x7fffeb02a700 (LWP 5075)]
[Thread 0x7fffea829700 (LWP 5074) exited]
[Thread 0x7fffeb02a700 (LWP 5075) exited]
[New Thread 0x7fffeb02a700 (LWP 5076)]
[New Thread 0x7fffea829700 (LWP 5077)]
[Thread 0x7fffeb02a700 (LWP 5076) exited]
[Thread 0x7fffea829700 (LWP 5077) exited]
[New Thread 0x7fffea829700 (LWP 5078)]
[Thread 0x7fffea829700 (LWP 5078) exited]
[Detaching after fork from child process 5080]
[Detaching after fork from child process 5085]
[New Thread 0x7fffea829700 (LWP 5115)]
[Detaching after vfork from child process 5116]
[New Thread 0x7fffeb02a700 (LWP 5117)]
[New Thread 0x7fffbb05f700 (LWP 5119)]
[Detaching after vfork from child process 5118]
[New Thread 0x7fffba85e700 (LWP 5120)]
[New Thread 0x7fffba05d700 (LWP 5124)]
[Detaching after vfork from child process 5123]
[Detaching after vfork from child process 5127]
[Detaching after vfork from child process 5130]
[Detaching after vfork from child process 5131]
[Detaching after vfork from child process 5132]
[New Thread 0x7fffb985c700 (LWP 5133)]
[Detaching after vfork from child process 5136]
[Thread 0x7fffeb02a700 (LWP 5117) exited]
[Detaching after vfork from child process 5145]
[Detaching after vfork from child process 5152]
[Thread 0x7fffea829700 (LWP 5115) exited]
[Detaching after vfork from child process 5154]
[Detaching after vfork from child process 5157]
[Thread 0x7fffbb05f700 (LWP 5119) exited]
[Thread 0x7fffb985c700 (LWP 5133) exited]
[Thread 0x7fffba85e700 (LWP 5120) exited]
[Thread 0x7fffba05d700 (LWP 5124) exited]
[New Thread 0x7fffba05d700 (LWP 5171)]
[Detaching after vfork from child process 5172]
[New Thread 0x7fffba85e700 (LWP 5173)]
[Detaching after vfork from child process 5174]
[New Thread 0x7fffb985c700 (LWP 5175)]
[New Thread 0x7fffbb05f700 (LWP 5177)]
[Detaching after vfork from child process 5176]
[New Thread 0x7fffeb02a700 (LWP 5178)]
[New Thread 0x7fffea829700 (LWP 5179)]
[Detaching after vfork from child process 5180]
[Detaching after vfork from child process 5185]
[Detaching after vfork from child process 5188]
[Detaching after vfork from child process 5189]
[Detaching after vfork from child process 5191]
[Detaching after vfork from child process 5197]
[Detaching after vfork from child process 5200]
[Detaching after vfork from child process 5201]
[Detaching after vfork from child process 5212]
[Thread 0x7fffba05d700 (LWP 5171) exited]
[Thread 0x7fffb985c700 (LWP 5175) exited]
[Thread 0x7fffbb05f700 (LWP 5177) exited]
[Thread 0x7fffba85e700 (LWP 5173) exited]
[Thread 0x7fffea829700 (LWP 5179) exited]
[Thread 0x7fffeb02a700 (LWP 5178) exited]
[Detaching after vfork from child process 5235]
[Thread 0x7fffea028700 (LWP 4558) exited]
[Thread 0x7ffff2fab700 (LWP 4442) exited]
[Thread 0x7ffff37ac700 (LWP 4438) exited]
[Thread 0x7ffff3fad700 (LWP 4437) exited]
[Thread 0x7ffff50f1840 (LWP 4431) exited]
[Inferior 1 (process 4431) exited normally]
quit
raster added a comment.Aug 4 2019, 2:46 PM

well with nothing that means it's not being triggered... so your latest tells me that the only path that could lead to an invalid ptr ... maybe... is not being triggered. so...

now my major theory is that the data struct is being corrupted somehow... and there all bets are off. damn... grrr... need to think.

raster added a comment.Aug 5 2019, 2:39 AM

ok. new tack. ASAN. this will make efl+e a bit bloaty and slow, but nowhere near what valgrind does:

export CFLAGS="-g3 -O0 -fsanitize=address -fno-omit-frame-pointer"
export LDFLAGS="-lasan"
export ASAN_OPTIONS="detect_leaks=0"

rebuild efl and enlightenment with the above environment vars/cflags/ldflags options. the last ASAN_OPTIONS you want set up in ~/.xinitrc or wherever you launch enlightenment to silence leak warnings as we do not care about those.... now we need the logs when/if e crashes... I'm not that familiar with ASAN but it's now time to get into it... :) let's see what you get.

Unable to rebuild the EFL due to detected memory leaks.

raster added a comment.Aug 5 2019, 7:22 AM

you need to have the ASAN_OPTIONS part of the build. you may have to set it in the PKGBUILD...

I tried rebuilding efl-git (and efl from source) by exporting the those flags, but it just stops building partway through. It doesn't appear to crash, it just stops.

the build just stops? you add the export ASAN_OPTIONS="detect_leaks=0" in the build() function of the PKGBUILD files of efl-git and enlightenment-git at the top of those functions? you might also add the export CFLAGD+LDFLAGS lines too there...

the build just stops? you add the export ASAN_OPTIONS="detect_leaks=0" in the build() function of the PKGBUILD files of efl-git and enlightenment-git at the top of those functions? you might also add the export CFLAGD+LDFLAGS lines too there...

When building with makepkg, the output stops here: [1480/2185] Generating edje_cc_template.edc with a custom command.
...and doesn't go any further.

The EFL pkgbuild:

# Maintainer: Carsten Haitzler <raster@rasterman.com>
# Contributor: Gavin Fernandes <gavinfernandes2012@gmail.com>
# Contributor: Doug Newgard <scimmia at archlinux dot info>
# Contributor: Ronald van Haren <ronald.archlinux.org>

_pkgname=efl
pkgname=$_pkgname-git
pkgver=1.22.99.62926.g53649030db
pkgrel=1
pkgdesc="Enlightenment Foundation Libraries - Development version"
arch=('i686' 'x86_64' 'arm' 'armv6h' 'armv7h' 'aarch64')
url="http://www.enlightenment.org"
license=('BSD' 'LGPL2.1' 'GPL2' 'MIT' 'custom')
depends=('avahi' 'bullet' 'curl' 'fontconfig' 'fribidi'
         'gst-plugins-base-libs' 'luajit' 'libexif' 'libgl' 'libinput'
         'libpulse' 'libspectre' 'libraw' 'librsvg' 'libwebp' 'libxcomposite'
         'libxcursor' 'libxinerama' 'libxkbcommon' 'libxp' 'libxrandr'
         'libxss' 'libunwind' 'mesa' 'openjpeg2' 'poppler' 'wayland'
         'shared-mime-info' 'ttf-font' 'scim' 'libibus' 'glib2'
         'wayland' 'wayland-protocols' 'libxkbcommon-x11'
         'pulseaudio')
makedepends=('git' 'meson' 'ninja' 'pkgconf' 'gcc' 'binutils' 'fakeroot')
optdepends=('geoclue: For elocation'
            'gst-plugins-base: Video and thumbnail codecs'
            'gst-plugins-good: Video and thumbnail codecs'
            'gst-plugins-bad: Video and thumbnail codecs'
            'gst-plugins-ugly: Video and thumbnail codecs'
            'gst-libav: Video and thumbnails with ffmpeg/libav'
            'libreoffice: Office document thumbnails'
            'python2: Compare Eina benchmarks')
provides=("$_pkgname=$pkgver" elementary{,-git}=$pkgver "evas_generic_loaders=$pkgver")
conflicts=("$_pkgname" elementary{,-git} elementary_test{,-git} evas_generic_loaders{,-git})
options=('debug')
source=("git+https://git.enlightenment.org/core/$_pkgname.git")
sha256sums=('SKIP')

pkgver() {
  cd $_pkgname

  local v_ver=$(grep version meson.build | head -1 | sed s/version//g | tr ":'," "   " | awk '{print $1}')

  printf "%s.%s.g%s" "$v_ver" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

build() {
  cd $_pkgname

  export CFLAGS="$CFLAGS -fvisibility=hidden -g3 -O0 -fsanitize=address -fno-omit-frame-pointer"
  export LDFLAGS="-lasan"
  export ASAN_OPTIONS="detect_leaks=0"
  # fix -mfpu= flags that break a build e.g. for neon on armv7 due to
  # basically makepkg.conf being "bad' with default CFLAGS having
  # -mfpu=vfpv3-d16
  export CFLAGS=`echo -n $CFLAGS | sed 's/-mfpu=vfpv3-d16/-mfpu=neon-vfpv4/g'`
  export CXXFLAGS="$CXXFLAGS -fvisibility=hidden"

  MEM=`free -m | head -2 | tail -1 | awk '{printf("%s", $7);}'`
  if test "$MEM" -lt 300; then MEM=300; fi
  J=`expr $MEM / 300`
  CPUS=`echo /sys/devices/system/cpu/cpu[0-9]* | wc -w`
  if test "$J" -gt $CPUS; then J=$CPUS; fi
  if test "$J" -lt 1; then J=1; fi
  echo "Free Mem: $MEM M, using $J threads for build"

  rm -rf build
  meson --prefix=/usr \
    -Dopengl=es-egl \
    -Dxinput22=true \
    -Dbuffer=false \
    -Dfb=true \
    -Ddrm=true \
    -Dtslib=false \
    -Dharfbuzz=true \
    -Dwl=true \
    -Dnetwork-backend=connman \
    -Devas-loaders-disabler=json \
    -Dbindings= \
    -Dbuild-examples=false \
    -Dbuild-tests=false \
    -Decore-imf-loaders-disabler= \
    . build

  ninja -j $J -C build
}

package() {
  cd $_pkgname

  DESTDIR="$pkgdir" ninja -C build install

# compile python files
  python2 -m compileall -q "$pkgdir"
  python2 -O -m compileall -q "$pkgdir"

  install -Dm644 -t "$pkgdir/usr/share/doc/$_pkgname/" ChangeLog NEWS README
  install -Dm644 -t "$pkgdir/usr/share/licenses/$pkgname/" AUTHORS COMPLIANCE COPYING COPYING.images licenses/COPYING.{BSD,SMALL}
}

The Enlightenment pkgbuild

# Maintainer: Carsten Haitzler <raster@rasterman.com>
# Contributor: Gavin Fernandes <gavinfernandes2012@gmail.com>
# Contributor: Doug Newgard <scimmia22 at outlook dot com>
# Contributor: Ronald van Haren <ronald.archlinux.org>

# Performance note: If you want to run on Nvidia closed drivers in X11
# only then please remove the -Dwayland=true line below in build().
# You will lose wayland support but it's not going to work well (with
# acceleration) on proprietary nvidia drivers anyway. If you don't
# disable this line and option then you'll find performance degreads in
# enlightenment.

_pkgname=enlightenment
pkgname=$_pkgname-git
pkgver=0.23.0.23618.gfa0608b50
pkgrel=1
pkgdesc="Enlightenment window manager - Development version"
arch=('i686' 'x86_64')
url="http://www.enlightenment.org"
license=('BSD')
depends=('efl-git' 'xcb-util-keysyms' 'udisks2' 'wayland'
         'xorg-server-xwayland')
  [[ ! $(pacman -T bluez-libs) ]] && depends+=('bluez-libs') #l2ping support in enlightenment_sys is detected at build time
makedepends=('git' 'meson')
optdepends=('acpid: power events on laptop lid close'
            'bc: calculator in everything module'
            'bluez4: bluetooth module'
            'connman: network module'
            'gdb: create backtraces on crash'
            'geoclue2: geolocation module'
            'packagekit: packagekit module')
provides=("$_pkgname=$pkgver" 'notification-daemon')
conflicts=("$_pkgname")
backup=('etc/enlightenment/sysactions.conf'
        'etc/xdg/menus/e-applications.menu')
options=('debug')
source=("git+https://git.enlightenment.org/core/$_pkgname.git")
sha256sums=('SKIP')

pkgver() {
  cd $_pkgname

  local v_ver=$(grep version meson.build | head -1 | sed s/version//g | tr ":'," "   " | awk '{print $1}')

  printf "%s.%s.g%s" "$v_ver" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

build() {
  cd $_pkgname

  export CFLAGS="$CFLAGS -fvisibility=hidden -g3 -O0 -fsanitize=address -fno-omit-frame-pointer"
  export CFLAGS="$CFLAGS -g3 -O0 -fsanitize=address -fno-omit-frame-pointer"
  export LDFLAGS="-lasan"
  export ASAN_OPTIONS="detect_leaks=0"

  rm -rf build
  meson --prefix=/usr \
    . build

  ninja -C build
}

package() {
  cd $_pkgname

  DESTDIR="$pkgdir" ninja -C build install

  install -Dm644 -t "$pkgdir/usr/share/doc/$_pkgname/" README
  install -Dm644 -t "$pkgdir/usr/share/licenses/$pkgname/" AUTHORS COPYING
}

I had an idea.

Since I'm unable to build the EFL and Enlightenment on my system with ASAN, would it be possible for you to build them as packages that I could download and install?

Otherwise, I can take a look into whatever might be wrong/broken with my system.

hmm... possibly. let's see

raster added a comment.Aug 6 2019, 1:33 AM

oh wait.. u still had the old cflags inherited there there.. not what i told u to set which would override them:

export CFLAGS="$CFLAGS -fvisibility=hidden -g3 -O0 -fsanitize=address -fno-omit-frame-pointer"
export CFLAGS="$CFLAGS -g3 -O0 -fsanitize=address -fno-omit-frame-pointer"
export LDFLAGS="-lasan"
export ASAN_OPTIONS="detect_leaks=0"

notice this will add on to the cflags.. not totally reset them... you do NOT want any cflags inherited from makepkg global config etc. so you want:

export CFLAGS="-g3 -O0 -fsanitize=address -fno-omit-frame-pointer"
unset CXXFLAGS
unset CPPFLAGS
export LDFLAGS="-lasan"
export ASAN_OPTIONS="detect_leaks=0"

after trying myself i notice makepkg sets CPPFLAGS too and explicitly sets CXXFLAGS so you have to unset them... but... when i try and use makepkg i also get the hang... it sets up something else in some way to cause the hang that's different to my normal build. the only configure option that's different is i disable physics. yup. that solves it. so let's do this in full. in the mapkepkg for both efl-git and enlightenment-git do:

  1. the options near the top = change it from options=('debug') to options=('!strip')
  2. stick this blob of environment variable fixing at the top of build():
export CFLAGS="-g3 -O0 -fsanitize=address -fno-omit-frame-pointer"
unset CXXFLAGS
unset CPPFLAGS
unset MAKEFLAGS
unset CHOST
unset COMMAND_MODE
unset TEXTDOMAINDIR
unset TEXTDOMAIN
unset SOURCE_DATE_EPOCH
export LDFLAGS="-lasan"
export ASAN_OPTIONS="detect_leaks=0"

do not keep any export lines after it or have any before it - remove them. you want these environment variables set exactly to what i have there or removed from the environment entirely.

  1. in the meson options where it passes -Dxxx=yyy you want to add this like:
-Dphysics=false \

before the . build somewhere. i'd rather you be able to compile so you can do updates and try multiple times... for me to build i have to remove my existing /usr/local efl install out of the way that actually is running my desktop while i compile, BUT https://download.enlightenment.org/~raster/ has the 2 pkgs i built just now with asan and debug enabled. the problem is they will depend on my src tree for gdb debug etc. which will make them useless to you for that. so first try the above to get it to build...

abyomi0 added a comment.EditedAug 6 2019, 9:45 PM

oh wait.. u still had the old cflags inherited there there.. not what i told u to set which would override them:

export CFLAGS="$CFLAGS -fvisibility=hidden -g3 -O0 -fsanitize=address -fno-omit-frame-pointer"
export CFLAGS="$CFLAGS -g3 -O0 -fsanitize=address -fno-omit-frame-pointer"
export LDFLAGS="-lasan"
export ASAN_OPTIONS="detect_leaks=0"

notice this will add on to the cflags.. not totally reset them... you do NOT want any cflags inherited from makepkg global config etc. so you want:

export CFLAGS="-g3 -O0 -fsanitize=address -fno-omit-frame-pointer"
unset CXXFLAGS
unset CPPFLAGS
export LDFLAGS="-lasan"
export ASAN_OPTIONS="detect_leaks=0"

after trying myself i notice makepkg sets CPPFLAGS too and explicitly sets CXXFLAGS so you have to unset them... but... when i try and use makepkg i also get the hang... it sets up something else in some way to cause the hang that's different to my normal build. the only configure option that's different is i disable physics. yup. that solves it. so let's do this in full. in the mapkepkg for both efl-git and enlightenment-git do:

  1. the options near the top = change it from options=('debug') to options=('!strip')
  2. stick this blob of environment variable fixing at the top of build(): ` export CFLAGS="-g3 -O0 -fsanitize=address -fno-omit-frame-pointer" unset CXXFLAGS unset CPPFLAGS unset MAKEFLAGS unset CHOST unset COMMAND_MODE unset TEXTDOMAINDIR unset TEXTDOMAIN unset SOURCE_DATE_EPOCH export LDFLAGS="-lasan" export ASAN_OPTIONS="detect_leaks=0" ` do not keep any export lines after it or have any before it - remove them. you want these environment variables set exactly to what i have there or removed from the environment entirely.
  3. in the meson options where it passes -Dxxx=yyy you want to add this like: ` -Dphysics=false \ `

    before the . build somewhere. i'd rather you be able to compile so you can do updates and try multiple times... for me to build i have to remove my existing /usr/local efl install out of the way that actually is running my desktop while i compile, BUT https://download.enlightenment.org/~raster/ has the 2 pkgs i built just now with asan and debug enabled. the problem is they will depend on my src tree for gdb debug etc. which will make them useless to you for that. so first try the above to get it to build...

I was able to build the EFL and Enlightenment with your instructions above.

It only seems to happen once, but when I log in, E seems to crash. I just get thrown back out to SDDM. I wasn't getting a WBOD, so I decided to run E in gdb.

Here's what the output was (somewhere near the end there, I ended up running kill -SEGSEGV $(pidof gdb enlightenment) so some of this output might not be entirely needed: (apparently, tmux or gdb likes to format things..)

» export DISPLAY=:2
» export E_START=1
» gdb enlightenment

GNU gdb (GDB) 8.3
Copyright (C) 2019 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licen
ses/gpl.html>
This is free software: you are free to change and redistribute i
t.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from enlightenment...
(gdb) set logging file eASAN_2.txt
(gdb) set logging on
Copying output to eASAN_2.txt.
(gdb) r
Starting program: /usr/bin/enlightenment
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
ESTART: 0.00000 [0.00000] - Begin Startup
ESTART: 0.00005 [0.00004] - Signal Trap
ESTART: 0.00006 [0.00001] - Signal Trap Done
ESTART: 0.00009 [0.00004] - Eina Init
ESTART: 0.00103 [0.00094] - Eina Init Done
ESTART: 0.00104 [0.00001] - Determine Prefix
ESTART: 0.00185 [0.00081] - Determine Prefix Done
ESTART: 0.00187 [0.00002] - Environment Variables
ESTART: 0.00190 [0.00003] - Environment Variables Done
ESTART: 0.00190 [0.00000] - Parse Arguments
ESTART: 0.00191 [0.00001] - Parse Arguments Done
ESTART: 0.00191 [0.00000] - Eet Init
ESTART: 0.00195 [0.00004] - Eet Init Done
ESTART: 0.00195 [0.00000] - Ecore Init
ESTART: 0.01596 [0.01401] - Ecore Init Done
ESTART: 0.05115 [0.03519] - EFX Init
ESTART: 0.05117 [0.00002] - EFX Init Done
ESTART: 0.05119 [0.00002] - EIO Init
[Detaching after fork from child process 847]
[New Thread 0x7fffeeaac700 (LWP 848)]
[Thread 0x7fffeeaac700 (LWP 848) exited]
ESTART: 0.07484 [0.02365] - EIO Init Done
ESTART: 0.07485 [0.00001] - Ecore Event Handlers
ESTART: 0.07486 [0.00001] - Ecore Event Handlers Done
ESTART: 0.07486 [0.00000] - Ecore_File Init
ESTART: 0.07487 [0.00000] - Ecore_File Init Done
ESTART: 0.07487 [0.00000] - Ecore_Con Init
ESTART: 0.07487 [0.00000] - Ecore_Con Init Done
ESTART: 0.07487 [0.00000] - Ecore_Ipc Init
ESTART: 0.07488 [0.00000] - Ecore_Ipc Init Done
ESTART: 0.07489 [0.00001] - Ecore_Evas Init
[New Thread 0x7fffee2ab700 (LWP 849)]
[New Thread 0x7fffedaaa700 (LWP 850)]
ESTART: 0.07721 [0.00233] - Ecore_Evas Init Done
ESTART: 0.07722 [0.00001] - Elementary Init
ESTART: 0.16631 [0.08909] - Elementary Init Done
ESTART: 0.16632 [0.00001] - Emotion Init
ESTART: 0.16668 [0.00036] - Emotion Init Done
ESTART: 0.16669 [0.00001] - Ecore_Evas Engine Check
ESTART: 0.16670 [0.00001] - Ecore_Evas Engine Check Done
ESTART: 0.16671 [0.00001] - E Intl Init
ESTART: 0.16677 [0.00006] - E Intl Init Done
ESTART: 0.16678 [0.00001] - E_Alert Init
ESTART: 0.16678 [0.00000] - E_Alert Init Done
ESTART: 0.16678 [0.00000] - E Directories Init
ESTART: 0.17615 [0.00936] - E Directories Init Done
ESTART: 0.17617 [0.00002] - E_Filereg Init
ESTART: 0.17617 [0.00001] - E_Filereg Init Done
ESTART: 0.17619 [0.00002] - E_Config Init
ESTART: 0.18494 [0.00876] - E_Config Init Done
ESTART: 0.18498 [0.00003] - E_Env Init
ESTART: 0.18500 [0.00002] - E_Env Init Done
ESTART: 0.18501 [0.00002] - E Paths Init
ESTART: 0.18506 [0.00005] - E Paths Init Done
ESTART: 0.18506 [0.00000] - E_Ipc Init
ESTART: 0.18575 [0.00069] - E_Ipc Init Done
ESTART: 0.18578 [0.00002] - E_Font Init
ESTART: 0.18578 [0.00000] - E_Font Init Done
ESTART: 0.18578 [0.00000] - E_Font Apply
ESTART: 0.18590 [0.00012] - E_Font Apply Done
ESTART: 0.18591 [0.00001] - E_Theme Init
ESTART: 0.18597 [0.00006] - E_Theme Init Done
ESTART: 0.18597 [0.00000] - E_Moveresize Init
ESTART: 0.18600 [0.00003] - E_Moveresize Init Done
ESTART: 0.18600 [0.00000] - E_Msgbus Init
ESTART: 0.19218 [0.00617] - E_Msgbus Init Done
ESTART: 0.19219 [0.00001] - Efreet Init
ESTART: 0.19219 [0.00000] - Efreet Init Done
ESTART: 0.19219 [0.00000] - E_Intl Post Init
[Detaching after vfork from child process 854]
ESTART: 0.19635 [0.00415] - E_Intl Post Init Done
ESTART: 0.19636 [0.00001] - E_Configure Init
ESTART: 0.19664 [0.00028] - E_Configure Init Done
ESTART: 0.19668 [0.00004] - E_Actions Init
ESTART: 0.19757 [0.00088] - E_Actions Init Done
ESTART: 0.19765 [0.00008] - E_Powersave Init
ESTART: 0.19765 [0.00001] - E_Powersave Init Done
ESTART: 0.19766 [0.00000] - Screens Init
ESTART: 0.19766 [0.00000] -     screens: client
ESTART: 0.19775 [0.00009] - E_Screensaver Init
ESTART: 0.19779 [0.00004] -     screens: client volume
ESTART: 0.19783 [0.00004] -     screens: win
ESTART: 0.19787 [0.00004] - Compositor Init
[New Thread 0x7fffed1d1700 (LWP 855)]
RRR: ................. info get!
RRR: .... out DVI-I-0
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes (nil)
RRR: .... out DVI-I-1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes (nil)
RRR: .... out DP-0
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x60600003b300
RRR: 'DP-0' 0 840 3840x2160
RRR: .... out DP-1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes (nil)
RRR: .... out HDMI-0
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x60b00007e4d0
RRR: 'HDMI-0' 3840 0 2160x3840
RRR:-------------------------------- 2
RRR: 'DP-0': 0 840 3840x2160
RRR: 'HDMI-0': 3840 0 2160x3840
RRR: result max: 6000x3840
RRR: loaded existing config
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
--------------------------------------------------
RRR: out id=DVI-I-0/:  connected=0
RRR: out id=DVI-I-1/:  connected=0
RRR: out id=DP-0/00ffffffffffff001e6d0777987c0200031d0104b53c227
89e3e31ae5047ac270c50542108007140818081c0a9c0d1c08100010101014dd
000a0f0703e803020650c58542100001a286800a0f0703e800890650c5854210
0001a000000fd00383d1e8738000a202020202020000000fc004c47204844522
0344b0a20202001560203197144900403012309070783010000e305c000e3060
501023a801871382d40582c450058542100001e565e00a0a0a02950302035005
8542100001a00000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000
00000000000000029:  connected=1
RRR: check lid for DP-0...
RRR: store scale mul 0.00000
RRR: out id=DP-1/:  connected=0
RRR: out id=HDMI-0/00ffffffffffff001e6d0677aa880200031d0103803c2
278ea3e31ae5047ac270c50542108007140818081c0a9c0d1c08100010101010
8e80030f2705a80b0588a0058542100001e04740030f2705a80b0588a0058542
100001a000000fd00383d1e873c000a202020202020000000fc004c472048445
220344b0a20202001aa020338714d9022201f1203040161605d5e5f230907076
d030c001000b83c20006001020367d85dc401788003e30f0003e305c000e3060
501023a801871382d40582c450058542100001e565e00a0a0a02950302035005
8542100001a000000ff003930334e54445634573035380a00000000000000000
00000000000000000d7:  connected=1
RRR: check lid for HDMI-0...
RRR: store scale mul 0.00000
--------------------------------------------------
xinerama screen 0 840 3840x2160
xinerama screen 3840 0 2160x3840
xinerama setup............... 2 (nil)
ERR<843>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_im
age_error_check() Error type: ???
ERR<843>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_im
age_error_check() Error type: ???
ERR<843>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_im
age_error_check() Error type: ???
ERR<843>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_im
age_error_check() Error type: ???
[Detaching after fork from child process 859]
ESTART: 0.67390 [0.47603] - E_Dnd Init
ESTART: 0.67453 [0.00063] - E_Dnd Init Done
ESTART: 0.67454 [0.00001] - Screens Init Done
ESTART: 0.67454 [0.00000] - E_Pointer Init
ESTART: 0.67455 [0.00001] - E_Pointer Init Done
ESTART: 0.67529 [0.00074] - E_Scale Init
ESTART: 0.68688 [0.01159] - E_Scale Init Done
ESTART: 0.68688 [0.00001] - E_Splash Init
ESTART: 0.68689 [0.00001] - E_Splash Init Done

================================================================
=
==858==ERROR: LeakSanitizer: detected memory leaks

Direct leak of 1120 byte(s) in 35 object(s) allocated from:
    #0 0x7ffff764fce8 in __interceptor_calloc /build/gcc/src/gcc
/libsanitizer/asan/asan_malloc_linux.cc:153
    #1 0x7ffff70d0453 in _eet_mem_alloc ../src/lib/eet/eet_data.
c:1842
    #2 0x7ffff70da13e in _eet_data_descriptor_decode ../src/lib/
eet/eet_data.c:3494
    #3 0x7ffff70dba50 in eet_data_get_list ../src/lib/eet/eet_da
ta.c:3738
    #4 0x7ffff70db1cd in _eet_data_descriptor_decode ../src/lib/
eet/eet_data.c:3634
    #5 0x7ffff70d2af1 in eet_data_read_cipher ../src/lib/eet/eet
_data.c:2287
    #6 0x7ffff70d31ab in eet_data_read ../src/lib/eet/eet_data.c
:2375
    #7 0x7ffff751b437 in efreet_cache_desktop_find ../src/lib/ef
reet/efreet_cache.c:1045
    #8 0x7ffff74f1fb6 in efreet_desktop_new ../src/lib/efreet/ef
reet_desktop.c:240
    #9 0x555555558922 in cache_add ../src/bin/efreet/efreet_desk
top_cache_create.c:63
    #10 0x55555555b052 in cache_scan ../src/bin/efreet/efreet_de
sktop_cache_create.c:204
    #11 0x55555555c54e in main ../src/bin/efreet/efreet_desktop_
cache_create.c:450
    #12 0x7ffff6ee4ee2 in __libc_start_main (/usr/lib/libc.so.6+
0x26ee2)

SUMMARY: AddressSanitizer: 1120 byte(s) leaked in 35 allocation(
s).
ESTART: 0.73513 [0.04823] - Test File Format Support
<<<< Enlightenment Error >>>>
Enlightenment found Evas can't load 'svg' files. Check Evas has
'svg' loader support.

ESTART: 0.73844 [0.00331] - Test File Format Support Done
ESTART: 0.73847 [0.00003] - E_Acpi Init
[New Thread 0x7fffdfdcd700 (LWP 862)]
ESTART: 0.73945 [0.00099] - E_Acpi Init Done
ESTART: 0.73949 [0.00003] - E_Backlight Init
[Thread 0x7fffdfdcd700 (LWP 862) exited]
[Detaching after fork from child process 863]
ESTART: 0.74810 [0.00862] - E_Backlight Init Done
ESTART: 0.74817 [0.00007] - E_Dpms Init
ESTART: 0.74851 [0.00034] - E_Dpms Init Done
ESTART: 0.74856 [0.00005] - E_Desklock Init
ESTART: 0.74880 [0.00024] - E_Desklock Init Done
ESTART: 0.74885 [0.00005] - Efreet Paths
ESTART: 0.74890 [0.00006] - Efreet Paths Done
ESTART: 0.74893 [0.00003] - E_Sys Init
ESTART: 0.74961 [0.00068] - E_Sys Init Done
ESTART: 0.74963 [0.00002] - E_Exec Init
ESTART: 0.74965 [0.00001] - E_Exec Init Done
ESTART: 0.74965 [0.00000] - E_Comp Freeze
ESTART: 0.74966 [0.00001] - E_Comp Freeze Done
ESTART: 0.74967 [0.00001] - E_Fm2 Init
[New Thread 0x7fffdf5cc700 (LWP 865)]
ESTART: 0.75666 [0.00699] - E_Fm2 Init Done
ESTART: 0.75672 [0.00006] - E_Msg Init
ESTART: 0.75673 [0.00001] - E_Msg Init Done
ESTART: 0.75675 [0.00001] - E_Grabinput Init
ESTART: 0.75675 [0.00000] - E_Grabinput Init Done
ESTART: 0.75685 [0.00010] - E_Module Init
[New Thread 0x7fffdeda5700 (LWP 866)]
[New Thread 0x7fffde58e700 (LWP 867)]
ESTART: 0.76650 [0.00965] - E_Module Init Done
ESTART: 0.76656 [0.00006] - E_Remember Init
ESTART: 0.76696 [0.00040] - E_Remember Init Done
ESTART: 0.76698 [0.00002] - E_Gadget Init
[Thread 0x7fffde58e700 (LWP 867) exited]
[Thread 0x7fffdeda5700 (LWP 866) exited]
[New Thread 0x7fffddd8d700 (LWP 871)]
ESTART: 0.77453 [0.00755] - E_Gadget Init Done
ESTART: 0.77460 [0.00008] - E_Gadcon Init
ESTART: 0.77464 [0.00004] - E_Gadcon Init Done
ESTART: 0.77467 [0.00003] - E_Toolbar Init
ESTART: 0.77468 [0.00002] - E_Toolbar Init Done
ESTART: 0.77480 [0.00012] - E_Bg Init
[Thread 0x7fffddd8d700 (LWP 871) exited]
ESTART: 0.77495 [0.00015] - E_Bg Init Done
ESTART: 0.77500 [0.00004] - E_Mouse Init
ESTART: 0.77528 [0.00028] - E_Mouse Init Done
ESTART: 0.77532 [0.00004] - E_Bindings Init
ESTART: 0.77605 [0.00073] - E_Bindings Init Done
ESTART: 0.77607 [0.00002] - E_Thumb Init
ESTART: 0.77608 [0.00001] - E_Thumb Init Done
ESTART: 0.77608 [0.00000] - E_Icon Init
ESTART: 0.77609 [0.00000] - E_Icon Init Done
ESTART: 0.77609 [0.00000] - E_Update Init
ESTART: 0.77625 [0.00016] - E_Update Init Done
ESTART: 0.77629 [0.00004] - E_Deskenv Init
[Thread 0x7fffdf5cc700 (LWP 865) exited]
[Detaching after fork from child process 872]
ESTART: 0.80359 [0.02730] - E_Deskenv Init Done
ESTART: 0.80367 [0.00008] - E_Order Init
ESTART: 0.80569 [0.00202] - E_Order Init Done
ESTART: 0.80570 [0.00001] - E_Comp_Canvas Keys Grab
ESTART: 0.80622 [0.00052] - E_Comp_Canvas Keys Grab Done
ESTART: 0.80627 [0.00005] - Load Modules
ESTART: 0.80627 [0.00000] - Load Modules Done
ESTART: 0.80627 [0.00000] - Run Startup Apps
ESTART: 0.80661 [0.00033] - Run Startup Apps Done
ESTART: 0.80661 [0.00001] - E_Comp Thaw
ESTART: 0.80689 [0.00027] - E_Comp Thaw Done
ESTART: 0.80689 [0.00000] - E_Test Init
ESTART: 0.80689 [0.00000] - E_Test Done
ESTART: 0.80691 [0.00002] - Bryce Init
ESTART: 0.80749 [0.00059] - Bryce Init Done
ESTART: 0.80752 [0.00003] - E_Shelf Init
ESTART: 0.80754 [0.00002] - E_Shelf Init Done
ESTART: 0.80759 [0.00006] - MAIN LOOP AT LAST
ESTART: 0.81770 [0.01011] - SLEEP
[New Thread 0x7fffdf5cc700 (LWP 884)]
[Detaching after fork from child process 885]
[New Thread 0x7fffddd8d700 (LWP 896)]

================================================================
=
==890==ERROR: LeakSanitizer: detected memory leaks

Direct leak of 1120 byte(s) in 35 object(s) allocated from:
    #0 0x7ffff764fce8 in __interceptor_calloc /build/gcc/src/gcc
/libsanitizer/asan/asan_malloc_linux.cc:153
    #1 0x7ffff70d0453 in _eet_mem_alloc ../src/lib/eet/eet_data.
c:1842
    #2 0x7ffff70da13e in _eet_data_descriptor_decode ../src/lib/
eet/eet_data.c:3494
    #3 0x7ffff70dba50 in eet_data_get_list ../src/lib/eet/eet_da
ta.c:3738
    #4 0x7ffff70db1cd in _eet_data_descriptor_decode ../src/lib/
eet/eet_data.c:3634
    #5 0x7ffff70d2af1 in eet_data_read_cipher ../src/lib/eet/eet
_data.c:2287
    #6 0x7ffff70d31ab in eet_data_read ../src/lib/eet/eet_data.c
:2375
    #7 0x7ffff751b437 in efreet_cache_desktop_find ../src/lib/ef
reet/efreet_cache.c:1045
    #8 0x7ffff74f1fb6 in efreet_desktop_new ../src/lib/efreet/ef
reet_desktop.c:240
    #9 0x555555558922 in cache_add ../src/bin/efreet/efreet_desk
top_cache_create.c:63
    #10 0x55555555b052 in cache_scan ../src/bin/efreet/efreet_de
sktop_cache_create.c:204
    #11 0x55555555c54e in main ../src/bin/efreet/efreet_desktop_
cache_create.c:450
    #12 0x7ffff6ee4ee2 in __libc_start_main (/usr/lib/libc.so.6+
0x26ee2)

SUMMARY: AddressSanitizer: 1120 byte(s) leaked in 35 allocation(
s).
[Detaching after vfork from child process 897]
E: efreet didn't notify about cache update
ERR<843>:evas-gl_x11 ../src/modules/evas/engines/gl_x11/evas_eng
ine.c:2570 eng_image_native_set() eglCreateImage() for Pixmap 0x
20005a failed: 0x300c
ERR<843>:evas-gl_x11 ../src/modules/evas/engines/gl_x11/evas_eng
ine.c:2570 eng_image_native_set() eglCreateImage() for Pixmap 0x
20005a failed: 0x300c
[Detaching after fork from child process 905]
[New Thread 0x7fffdeda5700 (LWP 910)]
[Thread 0x7fffdeda5700 (LWP 910) exited]
[New Thread 0x7fffdeda5700 (LWP 911)]
[Thread 0x7fffdeda5700 (LWP 911) exited]
[New Thread 0x7fffdeda5700 (LWP 912)]
[Thread 0x7fffdeda5700 (LWP 912) exited]
[New Thread 0x7fffdeda5700 (LWP 913)]
[Thread 0x7fffdeda5700 (LWP 913) exited]
[New Thread 0x7fffdeda5700 (LWP 914)]
[Thread 0x7fffdeda5700 (LWP 914) exited]
[New Thread 0x7fffdeda5700 (LWP 915)]
[Thread 0x7fffdeda5700 (LWP 915) exited]
[New Thread 0x7fffdeda5700 (LWP 916)]
[Thread 0x7fffdeda5700 (LWP 916) exited]
[Detaching after fork from child process 918]
ERR<843>:eina_safety ../src/modules/mixer/lib/backends/pulseaudi
o/pulse.c:254 _sink_changed_cb() safety check failed: sink == NU
LL
[New Thread 0x7fffdeda5700 (LWP 938)]
[Thread 0x7fffdeda5700 (LWP 938) exited]
[New Thread 0x7fffde58e700 (LWP 939)]
[Thread 0x7fffde58e700 (LWP 939) exited]
[New Thread 0x7fffe31fa700 (LWP 940)]
[Thread 0x7fffe31fa700 (LWP 940) exited]
[New Thread 0x7fffe29f9700 (LWP 941)]
[Thread 0x7fffe29f9700 (LWP 941) exited]
[New Thread 0x7fffe21e8700 (LWP 942)]
[Thread 0x7fffe21e8700 (LWP 942) exited]
[New Thread 0x7fffe19e7700 (LWP 943)]
[Thread 0x7fffe19e7700 (LWP 943) exited]
[New Thread 0x7fffe19e7700 (LWP 944)]
[Thread 0x7fffe19e7700 (LWP 944) exited]
[New Thread 0x7fffe21e8700 (LWP 945)]
[Thread 0x7fffe21e8700 (LWP 945) exited]
[New Thread 0x7fffe29f9700 (LWP 946)]
[Thread 0x7fffe29f9700 (LWP 946) exited]
[New Thread 0x7fffe31fa700 (LWP 947)]
[Thread 0x7fffe31fa700 (LWP 947) exited]
[New Thread 0x7fffe112f700 (LWP 948)]
[Thread 0x7fffe112f700 (LWP 948) exited]
[New Thread 0x7fffdeda5700 (LWP 949)]
[Thread 0x7fffdeda5700 (LWP 949) exited]
[New Thread 0x7fffde592700 (LWP 950)]
[Thread 0x7fffde592700 (LWP 950) exited]
[New Thread 0x7fffcac2f700 (LWP 951)]
[Thread 0x7fffcac2f700 (LWP 951) exited]
[New Thread 0x7fffcac2f700 (LWP 952)]
[Thread 0x7fffcac2f700 (LWP 952) exited]
[New Thread 0x7fffde592700 (LWP 953)]
[Thread 0x7fffde592700 (LWP 953) exited]
[New Thread 0x7fffdeda5700 (LWP 954)]
[Thread 0x7fffdeda5700 (LWP 954) exited]
[New Thread 0x7fffe112f700 (LWP 955)]
[Thread 0x7fffe112f700 (LWP 955) exited]
[Detaching after fork from child process 956]
[New Thread 0x7fffe112f700 (LWP 958)]
[Thread 0x7fffe112f700 (LWP 958) exited]
app not found atom %U
app not found cinnamon-settings user
app not found xfce4-keyboard-settings
app not found /usr/local/bin/atom --ignore-gpu-blacklist --disab
le-gpu-sandbox %U
app not found kate -b %U
app not found calligragemini %u
app not found chromium --enable-stacked-tab-strip
app not found env __GL_THREADED_OPTIMIZATIONS=1 PCSX2
app not found /opt/brackets/brackets %U
app not found banshee --redirect-log --play-enqueued %U
app not found electron --app=/usr/lib/atom %F
app not found /opt/teamviewer/tv_bin/script/teamviewer
app not found xfce4-mouse-settings
app not found /usr/bin/atom %F
app not found gimp-2.8 %U
app not found solaar
app not found /usr/bin/gparted_polkit %f
app not found chromium
app not found /usr/lib/atom/atom %F
app not found opera %U
app not found xfce4-mime-settings
app not found eovim
app not found xfce4-terminal --preferences
app not found gedit %U
app not found cinnamon-settings fonts
app not found ./Downloads/firefox_nightly/firefox
app not found calligrawords %U
app not found eclipse
app not found xfce4-terminal
app not found oni %F
app not found wireshark-gtk %f
app not found env PYTHON=python2 XMODIFIERS= /usr/share/atom-bet
a/atom %F
app not found /usr/local/share/nylas/nylas %U
app not found geany %F
app not found /usr/bin/atom-beta %U
app not found ~/Downloads/firefox_nightly/firefox
app not found firefox-nightly %u
[New Thread 0x7fffdeda5700 (LWP 959)]
[Thread 0x7fffdeda5700 (LWP 959) exited]
[New Thread 0x7fffde592700 (LWP 960)]
[Thread 0x7fffde592700 (LWP 960) exited]
[New Thread 0x7fffdeda5700 (LWP 961)]
[Thread 0x7fffdeda5700 (LWP 961) exited]
[New Thread 0x7fffde592700 (LWP 962)]
[New Thread 0x7fffdeda5700 (LWP 963)]
[Thread 0x7fffdeda5700 (LWP 963) exited]
[New Thread 0x7fffe112f700 (LWP 964)]
[Thread 0x7fffe112f700 (LWP 964) exited]
[New Thread 0x7fffcac2f700 (LWP 965)]
[Thread 0x7fffcac2f700 (LWP 965) exited]
[New Thread 0x7fffe3183700 (LWP 966)]
[Thread 0x7fffe3183700 (LWP 966) exited]
[New Thread 0x7fffe21e8700 (LWP 967)]
[Thread 0x7fffe21e8700 (LWP 967) exited]
[Thread 0x7fffde592700 (LWP 962) exited]
[New Thread 0x7fffe21e8700 (LWP 968)]
[New Thread 0x7fffde592700 (LWP 969)]
[New Thread 0x7fffe3183700 (LWP 970)]
[Thread 0x7fffe3183700 (LWP 970) exited]
[New Thread 0x7fffcac2f700 (LWP 971)]
[Thread 0x7fffcac2f700 (LWP 971) exited]
[New Thread 0x7fffe112f700 (LWP 972)]
[Thread 0x7fffe112f700 (LWP 972) exited]
[New Thread 0x7fffe19e7700 (LWP 973)]
[Thread 0x7fffe19e7700 (LWP 973) exited]
[New Thread 0x7fffe19e7700 (LWP 974)]
[Thread 0x7fffe19e7700 (LWP 974) exited]
[New Thread 0x7fffe112f700 (LWP 975)]
[Thread 0x7fffe112f700 (LWP 975) exited]
[Thread 0x7fffe21e8700 (LWP 968) exited]
[New Thread 0x7fffcac2f700 (LWP 976)]
[Thread 0x7fffcac2f700 (LWP 976) exited]
[Thread 0x7fffde592700 (LWP 969) exited]
[New Thread 0x7fffe3183700 (LWP 977)]
[Thread 0x7fffe3183700 (LWP 977) exited]
[New Thread 0x7fffdeda5700 (LWP 978)]
[Thread 0x7fffdeda5700 (LWP 978) exited]
[New Thread 0x7fffe112f700 (LWP 979)]
[New Thread 0x7fffdeda5700 (LWP 980)]
[Thread 0x7fffdeda5700 (LWP 980) exited]
[New Thread 0x7fffe3183700 (LWP 981)]
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
[New Thread 0x7fffde592700 (LWP 982)]
[Thread 0x7fffde592700 (LWP 982) exited]
[Thread 0x7fffe3183700 (LWP 981) exited]
[New Thread 0x7fffcac2f700 (LWP 983)]
[New Thread 0x7fffe21e8700 (LWP 984)]
[Thread 0x7fffe21e8700 (LWP 984) exited]
[Thread 0x7fffcac2f700 (LWP 983) exited]
[New Thread 0x7fffcac2f700 (LWP 985)]
[Thread 0x7fffcac2f700 (LWP 985) exited]
[New Thread 0x7fffe21e8700 (LWP 986)]
[Thread 0x7fffe21e8700 (LWP 986) exited]
[New Thread 0x7fffe3183700 (LWP 987)]
[New Thread 0x7fffde592700 (LWP 988)]
[Thread 0x7fffde592700 (LWP 988) exited]
[Thread 0x7fffe112f700 (LWP 979) exited]
[Thread 0x7fffe3183700 (LWP 987) exited]
[New Thread 0x7fffe3183700 (LWP 989)]
[Thread 0x7fffe3183700 (LWP 989) exited]
[New Thread 0x7fffe112f700 (LWP 990)]
[Thread 0x7fffe112f700 (LWP 990) exited]
[New Thread 0x7fffde592700 (LWP 991)]
[Thread 0x7fffde592700 (LWP 991) exited]
[New Thread 0x7fffe21e8700 (LWP 992)]
[Thread 0x7fffe21e8700 (LWP 992) exited]
[New Thread 0x7fffe19e7700 (LWP 993)]
[Thread 0x7fffe19e7700 (LWP 993) exited]
[New Thread 0x7fffdeda5700 (LWP 994)]
[Thread 0x7fffdeda5700 (LWP 994) exited]
[New Thread 0x7fffcac2f700 (LWP 995)]
[Thread 0x7fffcac2f700 (LWP 995) exited]
[New Thread 0x7fffcac2f700 (LWP 996)]
[Thread 0x7fffcac2f700 (LWP 996) exited]
[New Thread 0x7fffcac2f700 (LWP 997)]
[Thread 0x7fffcac2f700 (LWP 997) exited]
plugin exebuf load: evry_exebuf_cache, 10363
[New Thread 0x7fffcac2f700 (LWP 998)]
[Thread 0x7fffcac2f700 (LWP 998) exited]
[New Thread 0x7fffdeda5700 (LWP 999)]
[Thread 0x7fffdeda5700 (LWP 999) exited]
[New Thread 0x7fffe19e7700 (LWP 1000)]
[New Thread 0x7fffe21e8700 (LWP 1001)]
[Thread 0x7fffe21e8700 (LWP 1001) exited]
[New Thread 0x7fffe112f700 (LWP 1002)]
[Thread 0x7fffe112f700 (LWP 1002) exited]
[Thread 0x7fffe19e7700 (LWP 1000) exited]
[New Thread 0x7fffde592700 (LWP 1003)]
[Thread 0x7fffde592700 (LWP 1003) exited]
[New Thread 0x7fffca42e700 (LWP 1004)]
[Thread 0x7fffca42e700 (LWP 1004) exited]
[New Thread 0x7fffca42e700 (LWP 1005)]
[Thread 0x7fffca42e700 (LWP 1005) exited]
[New Thread 0x7fffde592700 (LWP 1006)]
[Thread 0x7fffde592700 (LWP 1006) exited]
[New Thread 0x7fffe112f700 (LWP 1007)]
[Thread 0x7fffe112f700 (LWP 1007) exited]
[New Thread 0x7fffe19e7700 (LWP 1008)]
[Thread 0x7fffe19e7700 (LWP 1008) exited]
[New Thread 0x7fffe21e8700 (LWP 1009)]
[Thread 0x7fffe21e8700 (LWP 1009) exited]
[New Thread 0x7fffdeda5700 (LWP 1010)]
[Thread 0x7fffdeda5700 (LWP 1010) exited]
scan dir: /home/yomi/software/arcanist/bin
scan dir: /usr/local/sbin
scan dir: /usr/local/bin
scan dir: /usr/bin
[New Thread 0x7fffdeda5700 (LWP 1011)]
[Thread 0x7fffdeda5700 (LWP 1011) exited]
================================================================
=
==843==ERROR: AddressSanitizer: heap-buffer-overflow on address
0x6070002df5a1 at pc 0x7fffd89c6ad0 bp 0x7ffffffc3110 sp 0x7ffff
ffc3100
READ of size 1 at 0x6070002df5a1 thread T0
    #0 0x7fffd89c6acf in evry_fuzzy_match ../src/modules/everyth
ing/evry_util.c:185
    #1 0x7fffd89ae9ea in _files_filter ../src/modules/everything
/evry_plug_files.c:245
    #2 0x7fffd89b3ea0 in _fetch ../src/modules/everything/evry_p
lug_files.c:738
    #3 0x7fffd8982673 in _evry_matches_update ../src/modules/eve
rything/evry.c:2951
    #4 0x7fffd897d802 in _evry_cb_update_timer ../src/modules/ev
erything/evry.c:2328
    #5 0x7ffff70d4756 in _ecore_call_task_cb ../src/lib/ecore/ec
ore_private.h:464
    #6 0x7ffff70d5241 in _ecore_timer_legacy_tick ../src/lib/eco
re/ecore_timer.c:160
    #7 0x7ffff43ed973 in _event_callback_call ../src/lib/eo/eo_b
ase_class.c:1737
    #8 0x7ffff43ee2ff in _efl_object_event_callback_call ../src/
lib/eo/eo_base_class.c:1821
    #9 0x7ffff43ee4f7 in efl_event_callback_call ../src/lib/eo/e
o_base_class.c:1824
    #10 0x7ffff70d80ce in _efl_loop_timer_expired_call ../src/li
b/ecore/ecore_timer.c:644
    #11 0x7ffff70d7c46 in _efl_loop_timer_expired_timers_call ..
/src/lib/ecore/ecore_timer.c:597
    #12 0x7ffff701e723 in _ecore_main_loop_iterate_internal ../s
rc/lib/ecore/ecore_main.c:2376
    #13 0x7ffff701885b in _ecore_main_loop_begin ../src/lib/ecor
e/ecore_main.c:1199
    #14 0x7ffff702c65e in _efl_loop_begin ../src/lib/ecore/efl_l
oop.c:57
    #15 0x7ffff7031805 in efl_loop_begin src/lib/ecore/efl_loop.
eo.c:28
    #16 0x7ffff7018c8a in ecore_main_loop_begin ../src/lib/ecore
/ecore_main.c:1284
    #17 0x5555558f14b7 in main ../src/bin/e_main.c:1096
    #18 0x7ffff4ba0ee2 in __libc_start_main (/usr/lib/libc.so.6+
0x26ee2)
    #19 0x55555563528d in _start (/usr/bin/enlightenment+0xe128d
)

0x6070002df5a1 is located 0 bytes to the right of 65-byte region
 [0x6070002df560,0x6070002df5a1)
allocated by thread T0 here:
    #0 0x7ffff764fada in __interceptor_malloc /build/gcc/src/gcc
/libsanitizer/asan/asan_malloc_linux.cc:144
    #1 0x7ffff730a12b in _eina_share_common_head_alloc ../src/li
b/eina/eina_share_common.c:402
    #2 0x7ffff730a16b in _eina_share_common_add_head ../src/lib/
eina/eina_share_common.c:417
    #3 0x7ffff730b5af in eina_share_common_add_length ../src/lib
/eina/eina_share_common.c:754
    #4 0x7ffff731c701 in eina_stringshare_add_length ../src/lib/
eina/eina_stringshare.c:601
    #5 0x7ffff731c739 in eina_stringshare_add ../src/lib/eina/ei
na_stringshare.c:609
    #6 0x7ffff71dbe86 in eet_data_get_unknown ../src/lib/eet/eet
_data.c:4559
    #7 0x7ffff71d51cd in _eet_data_descriptor_decode ../src/lib/
eet/eet_data.c:3634
    #8 0x7ffff71d5a50 in eet_data_get_list ../src/lib/eet/eet_da
ta.c:3738
    #9 0x7ffff71d51cd in _eet_data_descriptor_decode ../src/lib/
eet/eet_data.c:3634
    #10 0x7ffff71d6579 in eet_data_get_hash ../src/lib/eet/eet_d
ata.c:3829
    #11 0x7ffff71d51cd in _eet_data_descriptor_decode ../src/lib
/eet/eet_data.c:3634
    #12 0x7ffff71d6579 in eet_data_get_hash ../src/lib/eet/eet_d
ata.c:3829
    #13 0x7ffff71d51cd in _eet_data_descriptor_decode ../src/lib
/eet/eet_data.c:3634
    #14 0x7ffff71ccaf1 in eet_data_read_cipher ../src/lib/eet/ee
t_data.c:2287
    #15 0x7ffff71cd1ab in eet_data_read ../src/lib/eet/eet_data.
c:2375
    #16 0x55555573e9d1 in e_config_domain_load ../src/bin/e_conf
ig.c:1972
    #17 0x7fffd8990de5 in evry_history_load ../src/modules/every
thing/evry_history.c:197
    #18 0x7fffd896e6c1 in evry_show ../src/modules/everything/ev
ry.c:243
    #19 0x7fffd896d211 in _e_mod_run_defer_cb ../src/modules/eve
rything/e_mod_main.c:537
    #20 0x7ffff7012fd6 in _ecore_call_task_cb ../src/lib/ecore/e
core_private.h:464
    #21 0x7ffff70130b7 in _ecore_factorized_idle_process ../src/
lib/ecore/ecore_idler.c:35
    #22 0x7ffff43ed973 in _event_callback_call ../src/lib/eo/eo_
base_class.c:1737
    #23 0x7ffff43ee2ff in _efl_object_event_callback_call ../src
/lib/eo/eo_base_class.c:1821
    #24 0x7ffff43ee4f7 in efl_event_callback_call ../src/lib/eo/
eo_base_class.c:1824
    #25 0x7ffff701e867 in _ecore_main_loop_iterate_internal ../s
rc/lib/ecore/ecore_main.c:2411
    #26 0x7ffff701885b in _ecore_main_loop_begin ../src/lib/ecor
e/ecore_main.c:1199
    #27 0x7ffff702c65e in _efl_loop_begin ../src/lib/ecore/efl_l
oop.c:57
    #28 0x7ffff7031805 in efl_loop_begin src/lib/ecore/efl_loop.
eo.c:28
    #29 0x7ffff7018c8a in ecore_main_loop_begin ../src/lib/ecore
/ecore_main.c:1284

SUMMARY: AddressSanitizer: heap-buffer-overflow ../src/modules/e
verything/evry_util.c:185 in evry_fuzzy_match
Shadow bytes around the buggy address:
  0x0c0e80053e60: fd fd fa fa fa fa fd fd fd fd fd fd fd fd fd f
d
  0x0c0e80053e70: fa fa fa fa fd fd fd fd fd fd fd fd fd fd fa f
a
  0x0c0e80053e80: fa fa 00 00 00 00 00 00 00 00 01 fa fa fa fa f
a
  0x0c0e80053e90: 00 00 00 00 00 00 00 00 03 fa fa fa fa fa 00 0
0
  0x0c0e80053ea0: 00 00 00 00 00 00 01 fa fa fa fa fa 00 00 00 0
0
=>0x0c0e80053eb0: 00 00 00 00[01]fa fa fa fa fa 00 00 00 00 00 0
0
  0x0c0e80053ec0: 00 00 02 fa fa fa fa fa 00 00 00 00 00 00 00 0
0
  0x0c0e80053ed0: 07 fa fa fa fa fa 00 00 00 00 00 00 00 00 03 f
a
  0x0c0e80053ee0: fa fa fa fa 00 00 00 00 00 00 00 00 00 fa fa f
a
  0x0c0e80053ef0: fa fa 00 00 00 00 00 00 00 00 01 fa fa fa fa f
a
  0x0c0e80053f00: 00 00 00 00 00 00 00 00 04 fa fa fa fa fa 00 0
0
Shadow byte legend (one shadow byte represents 8 application byt
es):
  Addressable:           00
  Partially addressable: 01 02 03 04 05 06 07
  Heap left redzone:       fa
  Freed heap region:       fd
  Stack left redzone:      f1
  Stack mid redzone:       f2
  Stack right redzone:     f3
  Stack after return:      f5
  Stack use after scope:   f8
  Global redzone:          f9
  Global init order:       f6
  Poisoned by user:        f7
  Container overflow:      fc
  Array cookie:            ac
  Intra object redzone:    bb
  ASan internal:           fe
  Left alloca redzone:     ca
  Right alloca redzone:    cb
  Shadow gap:              cc
==843==ABORTING
[Thread 0x7fffddd8d700 (LWP 896) exited]
[Thread 0x7fffdf5cc700 (LWP 884) exited]
[Thread 0x7fffed1d1700 (LWP 855) exited]
[Thread 0x7fffedaaa700 (LWP 850) exited]
[Thread 0x7fffee2ab700 (LWP 849) exited]
[Inferior 1 (process 843) exited with code 01]
(gdb)
================================================================
=
==847==ERROR: LeakSanitizer: detected memory leaks

Direct leak of 384 byte(s) in 3 object(s) allocated from:
    #0 0x7ffff764fce8 in __interceptor_calloc /build/gcc/src/gcc
/libsanitizer/asan/asan_malloc_linux.cc:153
    #1 0x7ffff71203e7 in ecore_ipc_client_add ../src/lib/ecore_i
pc/ecore_ipc.c:295
    #2 0x7ffff712bceb in _ecore_ipc_server_client_add ../src/lib
/ecore_ipc/ecore_ipc.c:1340
    #3 0x7ffff677a973 in _event_callback_call ../src/lib/eo/eo_b
ase_class.c:1737
    #4 0x7ffff677b2ff in _efl_object_event_callback_call ../src/
lib/eo/eo_base_class.c:1821
    #5 0x7ffff677b4f7 in efl_event_callback_call ../src/lib/eo/e
o_base_class.c:1824
    #6 0x7ffff69a4c03 in _efl_net_server_fd_efl_net_server_clien
t_announce ../src/lib/ecore_con/efl_net_server_fd.c:504
    #7 0x7ffff699b219 in efl_net_server_client_announce src/lib/
ecore_con/efl_net_server.eo.c:64
    #8 0x7ffff69effce in _efl_net_server_unix_efl_net_server_fd_
client_add ../src/lib/ecore_con/efl_net_server_unix.c:258
    #9 0x7ffff69a7879 in efl_net_server_fd_client_add src/lib/ec
ore_con/efl_net_server_fd.eo.c:137
    #10 0x7ffff69a492f in _efl_net_server_fd_process_incoming_da
ta ../src/lib/ecore_con/efl_net_server_fd.c:481
    #11 0x7ffff69a757c in efl_net_server_fd_process_incoming_dat
a src/lib/ecore_con/efl_net_server_fd.eo.c:136
    #12 0x7ffff69a23b6 in _efl_net_server_fd_event_read ../src/l
ib/ecore_con/efl_net_server_fd.c:71
    #13 0x7ffff677acb0 in _event_callback_call ../src/lib/eo/eo_
base_class.c:1760
    #14 0x7ffff677b2ff in _efl_object_event_callback_call ../src
/lib/eo/eo_base_class.c:1821
    #15 0x7ffff677b4f7 in efl_event_callback_call ../src/lib/eo/
eo_base_class.c:1824
    #16 0x7ffff71c6d84 in _efl_loop_fd_read_cb ../src/lib/ecore/
efl_loop_fd.c:34
    #17 0x7ffff71a4ea0 in _ecore_call_fd_cb ../src/lib/ecore/eco
re_private.h:514
    #18 0x7ffff71acc24 in _ecore_main_fd_handlers_call ../src/li
b/ecore/ecore_main.c:2112
    #19 0x7ffff71adb65 in _ecore_main_loop_iterate_internal ../s
rc/lib/ecore/ecore_main.c:2487
    #20 0x7ffff71a785b in _ecore_main_loop_begin ../src/lib/ecor
e/ecore_main.c:1199
    #21 0x7ffff71bb65e in _efl_loop_begin ../src/lib/ecore/efl_l
oop.c:57
    #22 0x7ffff71c0805 in efl_loop_begin src/lib/ecore/efl_loop.
eo.c:28
    #23 0x7ffff71a7c8a in ecore_main_loop_begin ../src/lib/ecore
/ecore_main.c:1284
    #24 0x55555555acd0 in main ../src/bin/efreet/efreetd.c:82
    #25 0x7ffff6e82ee2 in __libc_start_main (/usr/lib/libc.so.6+
0x26ee2)

SUMMARY: AddressSanitizer: 384 byte(s) leaked in 3 allocation(s)
.

you have to set the ASAN_OPTIONS to disable leak detection to move on... try that under gdb. but every there seemas to trigger something... try unload the everything module and see if your crash on startup continues (rebuild without asan) ? let me look a bit into that complaint in the meantime

raster added a comment.Aug 7 2019, 4:17 AM

ok. you have gdb attached there where it aborts. specifically i'd love to for to frame 0 - i hope if you do bt in gdb it gives you the same backtrace as asan does for the invalid read of size 1. i.e.:

READ of size 1 at 0x6070002df5a1 thread T0
    #0 0x7fffd89c6acf in evry_fuzzy_match ../src/modules/everything/evry_util.c:185
    #1 0x7fffd89ae9ea in _files_filter ../src/modules/everything/evry_plug_files.c:245
    #2 0x7fffd89b3ea0 in _fetch ../src/modules/everything/evry_plug_files.c:738
    #3 0x7fffd8982673 in _evry_matches_update ../src/modules/everything/evry.c:2951
    #4 0x7fffd897d802 in _evry_cb_update_timer ../src/modules/everything/evry.c:2328
    #5 0x7ffff70d4756 in _ecore_call_task_cb ../src/lib/ecore/ecore_private.h:464
    ...

now we want to do these things in gdb:

bt
fr 0
p str
p match
p m_cnt
p m_num
p m
p m[0]
p ii

you get the idea - i want to know what is going on and the state of variables. i'm wondering if you somehow have an invalid utf8 sequence and it's causing it to somehow jump beyond the end of the string? it shouldn't... but... ? your crash seems to have to do with data files everything has. this shouldn't cause it to crash as it ... just shouldn't, so it needs a fix... but i need to know WHAT is going on there

raster added a comment.Aug 7 2019, 4:51 AM

can u try apply this patch to e btw to see if the issue goes away (with everything module enabled):

diff --git a/src/bin/e_int_menus.c b/src/bin/e_int_menus.c
index c7b00306d..48fbd82ba 100644
--- a/src/bin/e_int_menus.c
+++ b/src/bin/e_int_menus.c
@@ -1642,7 +1642,10 @@ _e_int_menus_clients_title_abbrv(const char *title)
    /* Advance to the end of the first half of the string. */
    len = 0;
    for (len2 = (max_len / 2); len2; len2--)
-     if (!eina_unicode_utf8_next_get(title, &len)) break;
+     {
+        Eina_Unicode u = eina_unicode_utf8_next_get(title, &len);
+        if ((!u) || ((u >= 0xdc80) && (u <= 0xdcff))) break;
+     }

    strncat(abbvptr, title, len);
    abbvptr += len;
diff --git a/src/modules/everything/evry_util.c b/src/modules/everything/evry_util.c
index 6c8c1178b..cfc8f9db4 100644
--- a/src/modules/everything/evry_util.c
+++ b/src/modules/everything/evry_util.c
@@ -49,6 +49,14 @@ evry_util_file_detail_set(Evry_Item_File *file)
    E_FREE(dir);
 }

+static inline Eina_Unicode
+_evry_utf8_next(const char *buf, int *iindex)
+{
+   Eina_Unicode u = eina_unicode_utf8_next_get(buf, iindex);
+   if ((!u) || ((u >= 0xdc80) && (u <= 0xdcff))) return 0;
+   return u;
+}
+
 int
 evry_fuzzy_match(const char *str, const char *match)
 {
@@ -131,7 +139,7 @@ evry_fuzzy_match(const char *str, const char *match)
                        ii = 0;
                        /* go to next word */
                        for (; (*p != 0) && ((isspace(*p) || (ip && ispunct(*p)))); p += ii)
-                         if (!eina_unicode_utf8_next_get(p, &ii)) break;
+                         if (!_evry_utf8_next(p, &ii)) break;
                        cnt++;
                        next = p;
                        m_cnt = 0;
@@ -167,7 +175,7 @@ evry_fuzzy_match(const char *str, const char *match)

                   /* try next char of match */
                   ii = 0;
-                  if (!eina_unicode_utf8_next_get(m, &ii)) continue;
+                  if (!_evry_utf8_next(m, &ii)) continue;
                   m += ii;
                   if (*m != 0 && !isspace(*m))
                     continue;
@@ -183,7 +191,7 @@ evry_fuzzy_match(const char *str, const char *match)
                   ii = 0;
                   /* go to next match */
                   for (; (m[0] && m[ii]) && !isspace(*m); m += ii)
-                    if (!eina_unicode_utf8_next_get(m, &ii)) break;
+                    if (!_evry_utf8_next(m, &ii)) break;
                }

              if (m_cnt < m_num - 1)
@@ -191,7 +199,7 @@ evry_fuzzy_match(const char *str, const char *match)
                   ii = 0;
                   /* test next match */
                   for (; (m[0] && m[ii]) && !isspace(*m); m += ii)
-                    if (!eina_unicode_utf8_next_get(m, &ii)) break;
+                    if (!_evry_utf8_next(m, &ii)) break;
                   m_cnt++;
                   break;
                }
@@ -203,14 +211,14 @@ evry_fuzzy_match(const char *str, const char *match)
                        !((isspace(*p) || (ip && ispunct(*p))));
                        p += ii)
                     {
-                       if (!eina_unicode_utf8_next_get(p, &ii)) break;
+                       if (!_evry_utf8_next(p, &ii)) break;
                     }
                   ii = 0;
                   for (; (p[0] && (s_len - (p - str) >= (unsigned int)ii)) &&
                        ((isspace(*p) || (ip && ispunct(*p))));
                        p += ii)
                     {
-                       if (!eina_unicode_utf8_next_get(p, &ii)) break;
+                       if (!_evry_utf8_next(p, &ii)) break;
                     }
                   cnt++;
                   next = p;
Thread 1 "enlightenment" received signal SIGABRT, Aborted.
0x00007ffff4bdd755 in raise () from /usr/lib/libc.so.6
(gdb) set logging eEVRY.txt
Undefined set logging command: "eEVRY.txt".  Try "help set logging".
(gdb) set logging on eEVRY.txt
Copying output to eEVRY.txt.
(gdb) set logging on
Already logging to eEVRY.txt.
(gdb) bt
#0  0x00007ffff4bdd755 in raise () at /usr/lib/libc.so.6
#1  0x00007ffff4bc8851 in abort () at /usr/lib/libc.so.6
#2  0x00007ffff766df14 in __sanitizer::Abort() () at /build/gcc/src/gcc/libsanitizer/sanitizer_common/sanitizer_posix_libcdep.cc:155
#3  0x00007ffff7678f7d in __sanitizer::Die() () at /build/gcc/src/gcc/libsanitizer/sanitizer_common/sanitizer_termination.cc:57
#4  0x00007ffff7659bae in __asan::ScopedInErrorReport::~ScopedInErrorReport() (this=0x7ffffffc24a6, __in_chrg=<optimized out>)
    at /build/gcc/src/gcc/libsanitizer/asan/asan_report.cc:185
#5  0x00007ffff7659609 in __asan::ReportGenericError(unsigned long, unsigned long, unsigned long, unsigned long, bool, unsigned long, unsigned int, bool)
    (pc=140737081957072, bp=bp@entry=140737488105760, sp=sp@entry=140737488105744, addr=106034153281009, is_write=is_write@entry=false, access_size=access_siz
e@entry=1, exp=0, fatal=true) at /build/gcc/src/gcc/libsanitizer/asan/asan_report.cc:192
#6  0x00007ffff765a12c in __asan::__asan_report_load1(__sanitizer::uptr) (addr=<optimized out>) at /build/gcc/src/gcc/libsanitizer/asan/asan_rtl.cc:116
#7  0x00007fffe7c6dad0 in evry_fuzzy_match (str=0x6070004f597c "htpcvpnconfig", match=0x6070000a55ec "dsao") at ../src/modules/everything/evry_util.c:185
#8  0x00007fffe7c559eb in _files_filter (p=0x613000038200) at ../src/modules/everything/evry_plug_files.c:245
#9  0x00007fffe7c5aea1 in _fetch (plugin=0x613000038200, input=0x61100053d300 "dsao") at ../src/modules/everything/evry_plug_files.c:738
#10 0x00007fffe7c29674 in _evry_matches_update (sel=0x60b0000bc640, async=1) at ../src/modules/everything/evry.c:2951
#11 0x00007fffe7c24803 in _evry_cb_update_timer (data=0x60b0000bc640) at ../src/modules/everything/evry.c:2328
#12 0x00007ffff70d4757 in _ecore_call_task_cb (func=0x7fffe7c247de <_evry_cb_update_timer>, data=0x60b0000bc640) at ../src/lib/ecore/ecore_private.h:464
#13 0x00007ffff70d5242 in _ecore_timer_legacy_tick (data=0x6030013e3460, event=0x7ffffffc4610) at ../src/lib/ecore/ecore_timer.c:160
#14 0x00007ffff43d9974 in _event_callback_call
    (obj_id=0x4000001b31e3, pd=0x6110001aa840, desc=0x7ffff714de60 <_EFL_LOOP_TIMER_EVENT_TIMER_TICK>, event_info=0x0, legacy_compare=0 '\000')
    at ../src/lib/eo/eo_base_class.c:1737
#15 0x00007ffff43da300 in _efl_object_event_callback_call
    (obj_id=0x4000001b31e3, pd=0x6110001aa840, desc=0x7ffff714de60 <_EFL_LOOP_TIMER_EVENT_TIMER_TICK>, event_info=0x0) at ../src/lib/eo/eo_base_class.c:1821
#16 0x00007ffff43da4f8 in efl_event_callback_call (obj=0x4000001b31e3, desc=0x7ffff714de60 <_EFL_LOOP_TIMER_EVENT_TIMER_TICK>, event_info=0x0)
    at ../src/lib/eo/eo_base_class.c:1824
#17 0x00007ffff70d80cf in _efl_loop_timer_expired_call (obj=0x4000000001a9, pd=0x615000001a30, when=2273.9093132100002) at ../src/lib/ecore/ecore_timer.c:644
#18 0x00007ffff70d7c47 in _efl_loop_timer_expired_timers_call (obj=0x4000000001a9, pd=0x615000001a30, when=2273.9093132100002)
    at ../src/lib/ecore/ecore_timer.c:597
#19 0x00007ffff701e724 in _ecore_main_loop_iterate_internal (obj=0x4000000001a9, pd=0x615000001a30, once_only=0) at ../src/lib/ecore/ecore_main.c:2376
#20 0x00007ffff701885c in _ecore_main_loop_begin (obj=0x4000000001a9, pd=0x615000001a30) at ../src/lib/ecore/ecore_main.c:1199
#21 0x00007ffff702c65f in _efl_loop_begin (obj=0x4000000001a9, pd=0x615000001a30) at ../src/lib/ecore/efl_loop.c:57
#22 0x00007ffff7031806 in efl_loop_begin (obj=0x4000000001a9) at src/lib/ecore/efl_loop.eo.c:28
#23 0x00007ffff7018c8b in ecore_main_loop_begin () at ../src/lib/ecore/ecore_main.c:1284
#24 0x00005555558f14b8 in main (argc=1, argv=0x7fffffffe918) at ../src/bin/e_main.c:1096
(gdb) fr 0
#0  0x00007ffff4bdd755 in raise () from /usr/lib/libc.so.6
(gdb) p str
No symbol "str" in current context.
(gdb) p match
$1 = {{mask = 4, ev_file_code = 0x555555c18684 <EIO_MONITOR_FILE_MODIFIED>, ev_dir_code = 0x7ffff63cef00 <EIO_MONITOR_DIRECTORY_MODIFIED>}, {mask = 8,
    ev_file_code = 0x7ffff63cef20 <EIO_MONITOR_FILE_CLOSED>, ev_dir_code = 0x7ffff63cef08 <EIO_MONITOR_DIRECTORY_CLOSED>}, {mask = 2,
    ev_file_code = 0x555555c18684 <EIO_MONITOR_FILE_MODIFIED>, ev_dir_code = 0x7ffff63cef00 <EIO_MONITOR_DIRECTORY_MODIFIED>}, {mask = 64,
    ev_file_code = 0x555555c189a4 <EIO_MONITOR_FILE_DELETED>, ev_dir_code = 0x555555c185a4 <EIO_MONITOR_DIRECTORY_DELETED>}, {mask = 128,
    ev_file_code = 0x7ffff63cef28 <EIO_MONITOR_FILE_CREATED>, ev_dir_code = 0x555555c189a8 <EIO_MONITOR_DIRECTORY_CREATED>}, {mask = 512,
    ev_file_code = 0x555555c189a4 <EIO_MONITOR_FILE_DELETED>, ev_dir_code = 0x555555c185a4 <EIO_MONITOR_DIRECTORY_DELETED>}, {mask = 256,
    ev_file_code = 0x7ffff63cef28 <EIO_MONITOR_FILE_CREATED>, ev_dir_code = 0x555555c189a8 <EIO_MONITOR_DIRECTORY_CREATED>}, {mask = 1024,
    ev_file_code = 0x555555c180c4 <EIO_MONITOR_SELF_DELETED>, ev_dir_code = 0x555555c180c4 <EIO_MONITOR_SELF_DELETED>}, {mask = 2048,
    ev_file_code = 0x555555c180c4 <EIO_MONITOR_SELF_DELETED>, ev_dir_code = 0x555555c180c4 <EIO_MONITOR_SELF_DELETED>}, {mask = 8192,
    ev_file_code = 0x555555c180c4 <EIO_MONITOR_SELF_DELETED>, ev_dir_code = 0x555555c180c4 <EIO_MONITOR_SELF_DELETED>}}
(gdb) p m_cnt
No symbol "m_cnt" in current context.
(gdb) p m_num
No symbol "m_num" in current context.
(gdb) p m
No symbol "m" in current context.
(gdb) p m[0]
No symbol "m" in current context.
(gdb) p ii
No symbol "ii" in current context.
(gdb) fr 7
#7  0x00007fffe7c6dad0 in evry_fuzzy_match (str=0x6070004f597c "htpcvpnconfig", match=0x6070000a55ec "dsao") at ../src/modules/everything/evry_util.c:185
185                       for (; (m[0] && m[ii]) && !isspace(*m); m += ii)
(gdb) p str
$2 = 0x6070004f597c "htpcvpnconfig"
(gdb) p match
$3 = 0x6070000a55ec "dsao"
(gdb) p m_cnt
$4 = 0
(gdb) p m_num
$5 = 1
(gdb) p m
$6 = 0x6070000a55ef "o"
(gdb) p m[0]
$7 = 111 'o'
(gdb) p ii
$8 = 2
(gdb) l == list
Function "== list" not defined.
(gdb)

Eanimator crash on startup.

GNU gdb (GDB) 8.3
Copyright (C) 2019 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from enlightenment...
(gdb) r
Starting program: /usr/bin/enlightenment
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
ESTART: 0.00000 [0.00000] - Begin Startup
ESTART: 0.00003 [0.00003] - Signal Trap
ESTART: 0.00005 [0.00002] - Signal Trap Done
ESTART: 0.00008 [0.00003] - Eina Init
ESTART: 0.00068 [0.00060] - Eina Init Done
ESTART: 0.00069 [0.00001] - Determine Prefix
ESTART: 0.00148 [0.00080] - Determine Prefix Done
ESTART: 0.00151 [0.00003] - Environment Variables
ESTART: 0.00155 [0.00004] - Environment Variables Done
ESTART: 0.00157 [0.00002] - Parse Arguments
ESTART: 0.00158 [0.00001] - Parse Arguments Done
ESTART: 0.00158 [0.00000] - Eet Init
ESTART: 0.00163 [0.00005] - Eet Init Done
ESTART: 0.00163 [0.00000] - Ecore Init
ESTART: 0.01595 [0.01432] - Ecore Init Done
ESTART: 0.06009 [0.04414] - EFX Init
ESTART: 0.06012 [0.00003] - EFX Init Done
ESTART: 0.06014 [0.00002] - EIO Init
[Detaching after fork from child process 722]
[New Thread 0x7fffef1d1700 (LWP 723)]
[Thread 0x7fffef1d1700 (LWP 723) exited]
ESTART: 0.08311 [0.02298] - EIO Init Done
ESTART: 0.08313 [0.00001] - Ecore Event Handlers
ESTART: 0.08313 [0.00001] - Ecore Event Handlers Done
ESTART: 0.08314 [0.00000] - Ecore_File Init
ESTART: 0.08316 [0.00002] - Ecore_File Init Done
ESTART: 0.08316 [0.00000] - Ecore_Con Init
ESTART: 0.08316 [0.00000] - Ecore_Con Init Done
ESTART: 0.08316 [0.00000] - Ecore_Ipc Init
ESTART: 0.08317 [0.00000] - Ecore_Ipc Init Done
ESTART: 0.08318 [0.00001] - Ecore_Evas Init
[New Thread 0x7fffee9d0700 (LWP 724)]
[New Thread 0x7fffee1cf700 (LWP 725)]
ESTART: 0.08430 [0.00112] - Ecore_Evas Init Done
ESTART: 0.08431 [0.00001] - Elementary Init
ESTART: 0.17807 [0.09376] - Elementary Init Done
ESTART: 0.17808 [0.00001] - Emotion Init
ESTART: 0.17831 [0.00023] - Emotion Init Done
ESTART: 0.17832 [0.00001] - Ecore_Evas Engine Check
ESTART: 0.17832 [0.00000] - Ecore_Evas Engine Check Done
ESTART: 0.17833 [0.00000] - E Intl Init
ESTART: 0.17836 [0.00003] - E Intl Init Done
ESTART: 0.17836 [0.00000] - E_Alert Init
ESTART: 0.17836 [0.00000] - E_Alert Init Done
ESTART: 0.17836 [0.00000] - E Directories Init
ESTART: 0.19245 [0.01408] - E Directories Init Done
ESTART: 0.19246 [0.00001] - E_Filereg Init
ESTART: 0.19247 [0.00001] - E_Filereg Init Done
ESTART: 0.19247 [0.00000] - E_Config Init
ESTART: 0.20157 [0.00910] - E_Config Init Done
ESTART: 0.20159 [0.00002] - E_Env Init
ESTART: 0.20160 [0.00001] - E_Env Init Done
ESTART: 0.20160 [0.00001] - E Paths Init
ESTART: 0.20164 [0.00003] - E Paths Init Done
ESTART: 0.20164 [0.00000] - E_Ipc Init
ESTART: 0.20197 [0.00033] - E_Ipc Init Done
ESTART: 0.20198 [0.00001] - E_Font Init
ESTART: 0.20198 [0.00000] - E_Font Init Done
ESTART: 0.20198 [0.00000] - E_Font Apply
ESTART: 0.20210 [0.00011] - E_Font Apply Done
ESTART: 0.20210 [0.00000] - E_Theme Init
ESTART: 0.20213 [0.00003] - E_Theme Init Done
ESTART: 0.20213 [0.00000] - E_Moveresize Init
ESTART: 0.20214 [0.00001] - E_Moveresize Init Done
ESTART: 0.20214 [0.00000] - E_Msgbus Init
ESTART: 0.20669 [0.00455] - E_Msgbus Init Done
ESTART: 0.20672 [0.00003] - Efreet Init
ESTART: 0.20678 [0.00006] - Efreet Init Done
ESTART: 0.20678 [0.00001] - E_Intl Post Init
[Detaching after vfork from child process 729]
ESTART: 0.21061 [0.00383] - E_Intl Post Init Done
ESTART: 0.21062 [0.00001] - E_Configure Init
ESTART: 0.21079 [0.00017] - E_Configure Init Done
ESTART: 0.21080 [0.00001] - E_Actions Init
ESTART: 0.21147 [0.00067] - E_Actions Init Done
ESTART: 0.21209 [0.00061] - E_Powersave Init
ESTART: 0.21210 [0.00002] - E_Powersave Init Done
ESTART: 0.21212 [0.00002] - Screens Init
ESTART: 0.21212 [0.00000] -     screens: client
ESTART: 0.21216 [0.00004] - E_Screensaver Init
ESTART: 0.21218 [0.00001] -     screens: client volume
ESTART: 0.21221 [0.00003] -     screens: win
ESTART: 0.21222 [0.00001] - Compositor Init
[New Thread 0x7fffed8e5700 (LWP 730)]
RRR: ................. info get!
RRR: .... out DVI-I-0
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes (nil)
RRR: .... out DVI-I-1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes (nil)
RRR: .... out DP-0
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x60600003b300
RRR: 'DP-0' 0 840 3840x2160
RRR: .... out DP-1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes (nil)
RRR: .... out HDMI-0
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x60b00007e9a0
RRR: 'HDMI-0' 3840 0 2160x3840
RRR:-------------------------------- 2
RRR: 'DP-0': 0 840 3840x2160
RRR: 'HDMI-0': 3840 0 2160x3840
RRR: result max: 6000x3840
RRR: loaded existing config
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
--------------------------------------------------
RRR: out id=DVI-I-0/:  connected=0
RRR: out id=DVI-I-1/:  connected=0
RRR: out id=DP-0/00ffffffffffff001e6d0777987c0200031d0104b53c22789e3e31ae5047ac270c50542108007140818081c0a9c0d1c08100010101014dd000a0f0703e803020650c585421000
01a286800a0f0703e800890650c58542100001a000000fd00383d1e8738000a202020202020000000fc004c472048445220344b0a20202001560203197144900403012309070783010000e305c000e
3060501023a801871382d40582c450058542100001e565e00a0a0a029503020350058542100001a0000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000029:  connected=1
RRR: check lid for DP-0...
RRR: store scale mul 0.00000
RRR: out id=DP-1/:  connected=0
RRR: out id=HDMI-0/00ffffffffffff001e6d0677aa880200031d0103803c2278ea3e31ae5047ac270c50542108007140818081c0a9c0d1c081000101010108e80030f2705a80b0588a005854210
0001e04740030f2705a80b0588a0058542100001a000000fd00383d1e873c000a202020202020000000fc004c472048445220344b0a20202001aa020338714d9022201f1203040161605d5e5f23090
7076d030c001000b83c20006001020367d85dc401788003e30f0003e305c000e3060501023a801871382d40582c450058542100001e565e00a0a0a029503020350058542100001a000000ff0039303
34e54445634573035380a0000000000000000000000000000000000d7:  connected=1
RRR: check lid for HDMI-0...
RRR: store scale mul 0.00000
--------------------------------------------------
xinerama screen 0 840 3840x2160
xinerama screen 3840 0 2160x3840
xinerama setup............... 2 (nil)
ERR<718>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_image_error_check() Error type: ???
ERR<718>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_image_error_check() Error type: ???
ERR<718>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_image_error_check() Error type: ???
ERR<718>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_image_error_check() Error type: ???
[Detaching after fork from child process 733]
ESTART: 0.64909 [0.43687] - E_Dnd Init
ESTART: 0.64930 [0.00021] - E_Dnd Init Done
ESTART: 0.64931 [0.00001] - Screens Init Done
ESTART: 0.64931 [0.00000] - E_Pointer Init
ESTART: 0.64932 [0.00001] - E_Pointer Init Done
ESTART: 0.64933 [0.00001] - E_Scale Init
ESTART: 0.65786 [0.00853] - E_Scale Init Done
ESTART: 0.65787 [0.00001] - E_Splash Init
ESTART: 0.65788 [0.00001] - E_Splash Init Done
ESTART: 0.70682 [0.04894] - Test File Format Support
<<<< Enlightenment Error >>>>
Enlightenment found Evas can't load 'svg' files. Check Evas has 'svg' loader support.

ESTART: 0.70986 [0.00304] - Test File Format Support Done
ESTART: 0.70988 [0.00002] - E_Acpi Init
[New Thread 0x7fffdff79700 (LWP 735)]
ESTART: 0.71062 [0.00074] - E_Acpi Init Done
ESTART: 0.71066 [0.00004] - E_Backlight Init
[Thread 0x7fffdff79700 (LWP 735) exited]
[Detaching after fork from child process 736]
ESTART: 0.75309 [0.04243] - E_Backlight Init Done
ESTART: 0.75314 [0.00006] - E_Dpms Init
ESTART: 0.75340 [0.00026] - E_Dpms Init Done
ESTART: 0.75344 [0.00004] - E_Desklock Init
ESTART: 0.75356 [0.00012] - E_Desklock Init Done
ESTART: 0.75359 [0.00003] - Efreet Paths
ESTART: 0.75362 [0.00003] - Efreet Paths Done
ESTART: 0.75365 [0.00003] - E_Sys Init
ESTART: 0.75410 [0.00045] - E_Sys Init Done
ESTART: 0.75413 [0.00003] - E_Exec Init
ESTART: 0.75415 [0.00002] - E_Exec Init Done
ESTART: 0.75415 [0.00001] - E_Comp Freeze
ESTART: 0.75416 [0.00001] - E_Comp Freeze Done
ESTART: 0.75418 [0.00002] - E_Fm2 Init
[New Thread 0x7fffdf778700 (LWP 738)]
ESTART: 0.75969 [0.00551] - E_Fm2 Init Done
ESTART: 0.75975 [0.00006] - E_Msg Init
ESTART: 0.75976 [0.00002] - E_Msg Init Done
ESTART: 0.75978 [0.00002] - E_Grabinput Init
ESTART: 0.75978 [0.00000] - E_Grabinput Init Done
ESTART: 0.75981 [0.00003] - E_Module Init
[New Thread 0x7fffdef51700 (LWP 739)]
[New Thread 0x7fffde73a700 (LWP 740)]
ESTART: 0.76038 [0.00057] - E_Module Init Done
ESTART: 0.76045 [0.00007] - E_Remember Init
[Thread 0x7fffdef51700 (LWP 739) exited]
[Thread 0x7fffdf778700 (LWP 738) exited]
ESTART: 0.76081 [0.00036] - E_Remember Init Done
ESTART: 0.76085 [0.00004] - E_Gadget Init
[New Thread 0x7fffddf23700 (LWP 741)]
ESTART: 0.76640 [0.00555] - E_Gadget Init Done
ESTART: 0.76645 [0.00005] - E_Gadcon Init
ESTART: 0.76647 [0.00002] - E_Gadcon Init Done
ESTART: 0.76649 [0.00002] - E_Toolbar Init
ESTART: 0.76651 [0.00002] - E_Toolbar Init Done
ESTART: 0.76652 [0.00001] - E_Bg Init
ESTART: 0.76660 [0.00008] - E_Bg Init Done
ESTART: 0.76662 [0.00002] - E_Mouse Init
[Thread 0x7fffddf23700 (LWP 741) exited]
ESTART: 0.76680 [0.00018] - E_Mouse Init Done
ESTART: 0.76684 [0.00003] - E_Bindings Init
ESTART: 0.76734 [0.00050] - E_Bindings Init Done
ESTART: 0.76735 [0.00002] - E_Thumb Init
ESTART: 0.76736 [0.00001] - E_Thumb Init Done
ESTART: 0.76737 [0.00000] - E_Icon Init
ESTART: 0.76737 [0.00000] - E_Icon Init Done
ESTART: 0.76737 [0.00000] - E_Update Init
ESTART: 0.76741 [0.00003] - E_Update Init Done
ESTART: 0.76742 [0.00002] - E_Deskenv Init
[Detaching after fork from child process 742]
[Thread 0x7fffde73a700 (LWP 740) exited]
ESTART: 0.79789 [0.03046] - E_Deskenv Init Done
ESTART: 0.79797 [0.00008] - E_Order Init
ESTART: 0.80423 [0.00626] - E_Order Init Done
ESTART: 0.80424 [0.00001] - E_Comp_Canvas Keys Grab
ESTART: 0.80465 [0.00041] - E_Comp_Canvas Keys Grab Done
ESTART: 0.80469 [0.00004] - Load Modules
ESTART: 0.80470 [0.00001] - Load Modules Done
ESTART: 0.80470 [0.00000] - Run Startup Apps
ESTART: 0.80494 [0.00024] - Run Startup Apps Done
ESTART: 0.80495 [0.00001] - E_Comp Thaw
ESTART: 0.80508 [0.00012] - E_Comp Thaw Done
ESTART: 0.80508 [0.00001] - E_Test Init
ESTART: 0.80509 [0.00000] - E_Test Done
ESTART: 0.80512 [0.00003] - Bryce Init
ESTART: 0.80550 [0.00039] - Bryce Init Done
ESTART: 0.80554 [0.00004] - E_Shelf Init
ESTART: 0.80559 [0.00004] - E_Shelf Init Done
ESTART: 0.80567 [0.00008] - MAIN LOOP AT LAST
ESTART: 0.82257 [0.01690] - SLEEP
[Detaching after fork from child process 755]
[Detaching after fork from child process 757]
[Detaching after fork from child process 758]
[Detaching after fork from child process 759]
[New Thread 0x7fffde73a700 (LWP 790)]
[Detaching after fork from child process 820]
[New Thread 0x7fffddf23700 (LWP 926)]
[Detaching after vfork from child process 927]
[New Thread 0x7fffdf778700 (LWP 928)]
[New Thread 0x7fffdef51700 (LWP 929)]
[Thread 0x7fffdf778700 (LWP 928) exited]
[New Thread 0x7fffd640f700 (LWP 930)]
[Thread 0x7fffdef51700 (LWP 929) exited]
[New Thread 0x7fffd05a6700 (LWP 931)]
[Thread 0x7fffd640f700 (LWP 930) exited]
[New Thread 0x7fffcfda5700 (LWP 933)]
[Thread 0x7fffd05a6700 (LWP 931) exited]
[Thread 0x7fffcfda5700 (LWP 933) exited]
[New Thread 0x7fffcfda5700 (LWP 946)]
[Thread 0x7fffcfda5700 (LWP 946) exited]
[New Thread 0x7fffd05a6700 (LWP 947)]
[Thread 0x7fffd05a6700 (LWP 947) exited]
[New Thread 0x7fffd05a6700 (LWP 1088)]
[Thread 0x7fffd05a6700 (LWP 1088) exited]
ERR<718>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_image_error_check() Error type: ???
ERR<718>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_image_error_check() Error type: ???
ERR<718>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_image_error_check() Error type: ???
ERR<718>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_image_error_check() Error type: ???
[Detaching after fork from child process 1233]
[Detaching after fork from child process 1487]
[New Thread 0x7fffd05a6700 (LWP 1489)]
[New Thread 0x7fffcfda5700 (LWP 1490)]
[New Thread 0x7fffd640f700 (LWP 1491)]
[Thread 0x7fffd640f700 (LWP 1491) exited]
[Thread 0x7fffd05a6700 (LWP 1489) exited]
[Thread 0x7fffcfda5700 (LWP 1490) exited]
ERR<718>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_image_error_check() Error type: ???
ERR<718>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_image_error_check() Error type: ???
ERR<718>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_image_error_check() Error type: ???
ERR<718>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_image_error_check() Error type: ???
ERR<718>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_image_error_check() Error type: ???
ERR<718>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_image_error_check() Error type: ???
ERR<718>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_image_error_check() Error type: ???
ERR<718>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_image_error_check() Error type: ???
ERR<718>:eo ../src/lib/eo/eo.c:578 _efl_object_call_resolve() in src/lib/edje/efl_layout_signal.eo.c:4: func 'efl_layout_signal_emit' (930) could not be resol
ved for class 'Efl.Canvas.Group'.
ERR<718>:eo ../src/lib/eo/eo.c:578 _efl_object_call_resolve() in src/lib/edje/efl_layout_signal.eo.c:4: func 'efl_layout_signal_emit' (930) could not be resol
ved for class 'Efl.Canvas.Group'.
ERR<718>:eo ../src/lib/eo/eo.c:578 _efl_object_call_resolve() in src/lib/edje/efl_layout_signal.eo.c:4: func 'efl_layout_signal_emit' (930) could not be resol
ved for class 'Efl.Canvas.Group'.
ERR<718>:eo ../src/lib/eo/eo.c:578 _efl_object_call_resolve() in src/lib/edje/efl_layout_signal.eo.c:4: func 'efl_layout_signal_emit' (930) could not be resol
ved for class 'Efl.Canvas.Group'.
E: Begin Shutdown Procedure!
[Detaching after vfork from child process 1717]
[Thread 0x7fffddf23700 (LWP 926) exited]
[Thread 0x7fffee1cf700 (LWP 725) exited]
[Thread 0x7fffee9d0700 (LWP 724) exited]
[Thread 0x7ffff27bfd80 (LWP 718) exited]
[Thread 0x7fffed8e5700 (LWP 730) exited]
[Inferior 1 (process 718) exited normally]
(gdb) r
Starting program: /usr/bin/enlightenment
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
ESTART: 0.00000 [0.00000] - Begin Startup
ESTART: 0.00005 [0.00004] - Signal Trap
ESTART: 0.00005 [0.00001] - Signal Trap Done
ESTART: 0.00009 [0.00003] - Eina Init
ESTART: 0.00065 [0.00056] - Eina Init Done
ESTART: 0.00066 [0.00001] - Determine Prefix
ESTART: 0.00077 [0.00012] - Determine Prefix Done
ESTART: 0.00080 [0.00002] - Environment Variables
ESTART: 0.00082 [0.00002] - Environment Variables Done
ESTART: 0.00082 [0.00000] - Parse Arguments
ESTART: 0.00083 [0.00001] - Parse Arguments Done
ESTART: 0.00083 [0.00000] - Eet Init
ESTART: 0.00090 [0.00006] - Eet Init Done
ESTART: 0.00090 [0.00000] - Ecore Init
ESTART: 0.01023 [0.00933] - Ecore Init Done
ESTART: 0.03991 [0.02968] - EFX Init
ESTART: 0.03995 [0.00003] - EFX Init Done
ESTART: 0.03996 [0.00002] - EIO Init
[Detaching after fork from child process 1733]
[New Thread 0x7fffef1d1700 (LWP 1734)]
[Thread 0x7fffef1d1700 (LWP 1734) exited]
ESTART: 0.05980 [0.01983] - EIO Init Done
ESTART: 0.05981 [0.00002] - Ecore Event Handlers
ESTART: 0.05982 [0.00001] - Ecore Event Handlers Done
ESTART: 0.05982 [0.00000] - Ecore_File Init
ESTART: 0.05983 [0.00001] - Ecore_File Init Done
ESTART: 0.05983 [0.00000] - Ecore_Con Init
ESTART: 0.05983 [0.00000] - Ecore_Con Init Done
ESTART: 0.05984 [0.00000] - Ecore_Ipc Init
ESTART: 0.05984 [0.00000] - Ecore_Ipc Init Done
ESTART: 0.05986 [0.00001] - Ecore_Evas Init
[New Thread 0x7fffee9d0700 (LWP 1735)]
[New Thread 0x7fffee1cf700 (LWP 1736)]
ESTART: 0.06089 [0.00103] - Ecore_Evas Init Done
ESTART: 0.06089 [0.00001] - Elementary Init
ESTART: 0.11563 [0.05473] - Elementary Init Done
ESTART: 0.11564 [0.00001] - Emotion Init
ESTART: 0.11588 [0.00024] - Emotion Init Done
ESTART: 0.11589 [0.00001] - Ecore_Evas Engine Check
ESTART: 0.11589 [0.00000] - Ecore_Evas Engine Check Done
ESTART: 0.11589 [0.00000] - E Intl Init
ESTART: 0.11592 [0.00003] - E Intl Init Done
ESTART: 0.11593 [0.00000] - E_Alert Init
ESTART: 0.11594 [0.00002] - E_Alert Init Done
ESTART: 0.11594 [0.00000] - E Directories Init
ESTART: 0.11604 [0.00009] - E Directories Init Done
ESTART: 0.11604 [0.00000] - E_Filereg Init
ESTART: 0.11604 [0.00000] - E_Filereg Init Done
ESTART: 0.11604 [0.00000] - E_Config Init
ESTART: 0.12149 [0.00545] - E_Config Init Done
ESTART: 0.12151 [0.00002] - E_Env Init
ESTART: 0.12152 [0.00000] - E_Env Init Done
ESTART: 0.12152 [0.00001] - E Paths Init
ESTART: 0.12157 [0.00004] - E Paths Init Done
ESTART: 0.12157 [0.00000] - E_Ipc Init
ESTART: 0.12188 [0.00031] - E_Ipc Init Done
ESTART: 0.12189 [0.00001] - E_Font Init
ESTART: 0.12189 [0.00000] - E_Font Init Done
ESTART: 0.12189 [0.00000] - E_Font Apply
ESTART: 0.12201 [0.00012] - E_Font Apply Done
ESTART: 0.12201 [0.00000] - E_Theme Init
ESTART: 0.12203 [0.00002] - E_Theme Init Done
ESTART: 0.12203 [0.00000] - E_Moveresize Init
ESTART: 0.12204 [0.00001] - E_Moveresize Init Done
ESTART: 0.12204 [0.00000] - E_Msgbus Init
ESTART: 0.12276 [0.00072] - E_Msgbus Init Done
ESTART: 0.12277 [0.00001] - Efreet Init
ESTART: 0.12277 [0.00000] - Efreet Init Done
ESTART: 0.12278 [0.00000] - E_Intl Post Init
[Detaching after vfork from child process 1739]
ESTART: 0.12576 [0.00298] - E_Intl Post Init Done
ESTART: 0.12577 [0.00001] - E_Configure Init
ESTART: 0.12591 [0.00014] - E_Configure Init Done
ESTART: 0.12592 [0.00001] - E_Actions Init
ESTART: 0.12654 [0.00062] - E_Actions Init Done
ESTART: 0.12659 [0.00005] - E_Powersave Init
ESTART: 0.12661 [0.00002] - E_Powersave Init Done
ESTART: 0.12661 [0.00000] - Screens Init
ESTART: 0.12661 [0.00000] -     screens: client
ESTART: 0.12667 [0.00005] - E_Screensaver Init
ESTART: 0.12668 [0.00001] -     screens: client volume
ESTART: 0.12669 [0.00002] -     screens: win
ESTART: 0.12670 [0.00001] - Compositor Init
[New Thread 0x7fffed8e5700 (LWP 1740)]
=================================================================
==1732==ERROR: AddressSanitizer: heap-use-after-free on address 0x61f000002240 at pc 0x7ffff72c61ed bp 0x7fffed8e3270 sp 0x7fffed8e3260
READ of size 1 at 0x61f000002240 thread T4 (Eanimator-timer)
RRR: ................. info get!
RRR: .... out DVI-I-0
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes (nil)
RRR: .... out DVI-I-1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes (nil)
RRR: .... out DP-0
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x60600003d220
RRR: 'DP-0' 0 840 3840x2160
RRR: .... out DP-1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes (nil)
RRR: .... out HDMI-0
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x60b00007ea50
RRR: 'HDMI-0' 3840 0 2160x3840
RRR:-------------------------------- 2
RRR: 'DP-0': 0 840 3840x2160
RRR: 'HDMI-0': 3840 0 2160x3840
RRR: result max: 6000x3840
RRR: loaded existing config
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
--------------------------------------------------
RRR: out id=DVI-I-0/:  connected=0
RRR: out id=DVI-I-1/:  connected=0
RRR: out id=DP-0/00ffffffffffff001e6d0777987c0200031d0104b53c22789e3e31ae5047ac270c50542108007140818081c0a9c0d1c08100010101014dd000a0f0703e803020650c585421000
01a286800a0f0703e800890650c58542100001a000000fd00383d1e8738000a202020202020000000fc004c472048445220344b0a20202001560203197144900403012309070783010000e305c000e
3060501023a801871382d40582c450058542100001e565e00a0a0a029503020350058542100001a0000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000029:  connected=1
RRR: check lid for DP-0...
RRR: store scale mul 0.00000
RRR: out id=DP-1/:  connected=0
RRR: out id=HDMI-0/00ffffffffffff001e6d0677aa880200031d0103803c2278ea3e31ae5047ac270c50542108007140818081c0a9c0d1c081000101010108e80030f2705a80b0588a005854210
0001e04740030f2705a80b0588a0058542100001a000000fd00383d1e873c000a202020202020000000fc004c472048445220344b0a20202001aa020338714d9022201f1203040161605d5e5f23090
7076d030c001000b83c20006001020367d85dc401788003e30f0003e305c000e3060501023a801871382d40582c450058542100001e565e00a0a0a029503020350058542100001a000000ff0039303
34e54445634573035380a0000000000000000000000000000000000d7:  connected=1
RRR: check lid for HDMI-0...
RRR: store scale mul 0.00000
--------------------------------------------------
xinerama screen 0 840 3840x2160
xinerama screen 3840 0 2160x3840
xinerama setup............... 2 (nil)
    #0 0x7ffff72c61ec in eina_log_print_unlocked ../src/lib/eina/eina_log.c:1428
    #1 0x7ffff72c8ffc in eina_log_print ../src/lib/eina/eina_log.c:2262
    #2 0x7ffff7001ba3 in _timer_tick_core ../src/lib/ecore/ecore_anim.c:212
    #3 0x7ffff70dc938 in _ecore_direct_worker ../src/lib/ecore/ecore_thread.c:481
    #4 0x7ffff731daf4 in _eina_internal_call ../src/lib/eina/eina_thread.c:151
    #5 0x7ffff4d7157e in start_thread (/usr/lib/libpthread.so.0+0x957e)
    #6 0x7ffff4c9f0e2 in __clone (/usr/lib/libc.so.6+0xfc0e2)

0x61f000002240 is located 1472 bytes inside of 3456-byte region [0x61f000001c80,0x61f000002a00)
freed by thread T0 here:
    #0 0x7ffff764ff40 in __interceptor_realloc /build/gcc/src/gcc/libsanitizer/asan/asan_malloc_linux.cc:163
    #1 0x7ffff72c544f in eina_log_domain_register_unlocked ../src/lib/eina/eina_log.c:1245
    #2 0x7ffff72c7116 in eina_log_domain_register ../src/lib/eina/eina_log.c:1897
    #3 0x7ffff4dcb680 in _ecore_x_init1 ../src/lib/ecore_x/ecore_x.c:362
    #4 0x7ffff4dcd451 in ecore_x_init ../src/lib/ecore_x/ecore_x.c:743
    #5 0x555555aab25b in e_comp_x_init ../src/bin/e_comp_x.c:5814
    #6 0x5555556d0317 in e_comp_init ../src/bin/e_comp.c:1118
    #7 0x5555558f4e96 in _e_main_screens_init ../src/bin/e_main.c:1641
    #8 0x5555558edaa5 in main ../src/bin/e_main.c:732
    #9 0x7ffff4bc9ee2 in __libc_start_main (/usr/lib/libc.so.6+0x26ee2)

previously allocated by thread T0 here:
    #0 0x7ffff764ff40 in __interceptor_realloc /build/gcc/src/gcc/libsanitizer/asan/asan_malloc_linux.cc:163
    #1 0x7ffff72c544f in eina_log_domain_register_unlocked ../src/lib/eina/eina_log.c:1245
    #2 0x7ffff72c7116 in eina_log_domain_register ../src/lib/eina/eina_log.c:1897
    #3 0x7ffff5225bc1 in edje_init ../src/lib/edje/edje_main.c:46
    #4 0x7ffff5a61014 in elm_quicklaunch_init ../src/lib/elementary/elm_main.c:799
    #5 0x7ffff5a602ed in elm_init ../src/lib/elementary/elm_main.c:428
    #6 0x5555558eba1f in main ../src/bin/e_main.c:465
    #7 0x7ffff4bc9ee2 in __libc_start_main (/usr/lib/libc.so.6+0x26ee2)

Thread T4 (Eanimator-timer) created by T0 here:
    #0 0x7ffff7579367 in __interceptor_pthread_create /build/gcc/src/gcc/libsanitizer/asan/asan_interceptors.cc:208
    #1 0x7ffff731d645 in _eina_thread_create ../src/lib/eina/eina_thread.c:98
    #2 0x7ffff731de16 in eina_thread_create ../src/lib/eina/eina_thread.c:190
    #3 0x7ffff70deeb5 in ecore_thread_feedback_run ../src/lib/ecore/ecore_thread.c:955
    #4 0x7ffff7002f9b in _timer_tick_begin ../src/lib/ecore/ecore_anim.c:406
    #5 0x7ffff7003140 in _begin_tick ../src/lib/ecore/ecore_anim.c:452
    #6 0x7ffff70036af in _ecore_animator_add ../src/lib/ecore/ecore_anim.c:532
    #7 0x7ffff70036d8 in ecore_animator_add ../src/lib/ecore/ecore_anim.c:541
    #8 0x5555556d1e57 in e_comp_new ../src/bin/e_comp.c:1377
    #9 0x5555556d008c in e_comp_init ../src/bin/e_comp.c:1079
    #10 0x5555558f4e96 in _e_main_screens_init ../src/bin/e_main.c:1641
    #11 0x5555558edaa5 in main ../src/bin/e_main.c:732
    #12 0x7ffff4bc9ee2 in __libc_start_main (/usr/lib/libc.so.6+0x26ee2)

SUMMARY: AddressSanitizer: heap-use-after-free ../src/lib/eina/eina_log.c:1428 in eina_log_print_unlocked
Shadow bytes around the buggy address:
  0x0c3e7fff83f0: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
  0x0c3e7fff8400: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
  0x0c3e7fff8410: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
  0x0c3e7fff8420: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
  0x0c3e7fff8430: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
=>0x0c3e7fff8440: fd fd fd fd fd fd fd fd[fd]fd fd fd fd fd fd fd
  0x0c3e7fff8450: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
  0x0c3e7fff8460: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
  0x0c3e7fff8470: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
  0x0c3e7fff8480: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
  0x0c3e7fff8490: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
Shadow byte legend (one shadow byte represents 8 application bytes):
  Addressable:           00
  Partially addressable: 01 02 03 04 05 06 07
  Heap left redzone:       fa
  Freed heap region:       fd
  Stack left redzone:      f1
  Stack mid redzone:       f2
  Stack right redzone:     f3
  Stack after return:      f5
  Stack use after scope:   f8
  Global redzone:          f9
  Global init order:       f6
  Poisoned by user:        f7
  Container overflow:      fc
  Array cookie:            ac
  Intra object redzone:    bb
  ASan internal:           fe
  Left alloca redzone:     ca
  Right alloca redzone:    cb
  Shadow gap:              cc
==1732==ABORTING

Thread 5 "Eanimator-timer" received signal SIGABRT, Aborted.
[Switching to Thread 0x7fffed8e5700 (LWP 1740)]
0x00007ffff4bdd755 in raise () from /usr/lib/libc.so.6
(gdb) bt
#0  0x00007ffff4bdd755 in raise () at /usr/lib/libc.so.6
#1  0x00007ffff4bc8851 in abort () at /usr/lib/libc.so.6
#2  0x00007ffff766df14 in __sanitizer::Abort() () at /build/gcc/src/gcc/libsanitizer/sanitizer_common/sanitizer_posix_libcdep.cc:155
#3  0x00007ffff7678f7d in __sanitizer::Die() () at /build/gcc/src/gcc/libsanitizer/sanitizer_common/sanitizer_termination.cc:57
#4  0x00007ffff7659bae in __asan::ScopedInErrorReport::~ScopedInErrorReport() (this=0x7fffed8e25f6, __in_chrg=<optimized out>)
    at /build/gcc/src/gcc/libsanitizer/asan/asan_report.cc:185
#5  0x00007ffff7659609 in __asan::ReportGenericError(unsigned long, unsigned long, unsigned long, unsigned long, bool, unsigned long, unsigned int, bool)
    (pc=140737340269037, bp=bp@entry=140737178907248, sp=sp@entry=140737178907232, addr=107683420054080, is_write=is_write@entry=false, access_size=access_siz
e@entry=1, exp=0, fatal=true) at /build/gcc/src/gcc/libsanitizer/asan/asan_report.cc:192
#6  0x00007ffff765a12c in __asan::__asan_report_load1(__sanitizer::uptr) (addr=<optimized out>) at /build/gcc/src/gcc/libsanitizer/asan/asan_rtl.cc:116
#7  0x00007ffff72c61ed in eina_log_print_unlocked
    (domain=30, level=EINA_LOG_LEVEL_DBG, file=0x7ffff710f440 "../src/lib/ecore/ecore_anim.c", fnc=0x7ffff710fe60 <__FUNCTION__.21310> "_timer_tick_core", lin
e=212, fmt=0x7ffff710f640 "------- timer_event_is_busy=%i", args=0x7fffed8e44e0) at ../src/lib/eina/eina_log.c:1428
#8  0x00007ffff72c8ffd in eina_log_print
    (domain=30, level=EINA_LOG_LEVEL_DBG, file=0x7ffff710f440 "../src/lib/ecore/ecore_anim.c", fnc=0x7ffff710fe60 <__FUNCTION__.21310> "_timer_tick_core", lin
e=212, fmt=0x7ffff710f640 "------- timer_event_is_busy=%i") at ../src/lib/eina/eina_log.c:2262
#9  0x00007ffff7001ba4 in _timer_tick_core (data=0x0, thread=0x611000037cc0) at ../src/lib/ecore/ecore_anim.c:212
#10 0x00007ffff70dc939 in _ecore_direct_worker (work=0x611000037cc0) at ../src/lib/ecore/ecore_thread.c:481
#11 0x00007ffff731daf5 in _eina_internal_call (context=0x6030000928f0) at ../src/lib/eina/eina_thread.c:151
#12 0x00007ffff4d7157f in start_thread () at /usr/lib/libpthread.so.0
#13 0x00007ffff4c9f0e3 in clone () at /usr/lib/libc.so.6
(gdb) fr 7
#7  0x00007ffff72c61ed in eina_log_print_unlocked (domain=30, level=EINA_LOG_LEVEL_DBG, file=0x7ffff710f440 "../src/lib/ecore/ecore_anim.c",
    fnc=0x7ffff710fe60 <__FUNCTION__.21310> "_timer_tick_core", line=212, fmt=0x7ffff710f640 "------- timer_event_is_busy=%i", args=0x7fffed8e44e0)
    at ../src/lib/eina/eina_log.c:1428
1428       if (EINA_UNLIKELY(d->deleted))
(gdb) l
1423         }
1424
1425    #endif
1426       d = _log_domains + domain;
1427    #ifdef EINA_SAFETY_CHECKS
1428       if (EINA_UNLIKELY(d->deleted))
1429         {
1430            if ((!d->level) || (level > d->level))
1431              fprintf(stderr, "ERR<%u>:eina_log %s:%d %s() log domain %d was deleted\n",
1432                      eina_log_pid_get(), file, line, fnc, domain);
(gdb) p d
$1 = (Eina_Log_Domain *) 0x61f000002220
(gdb) set logging file eAnim.txt
(gdb) set logging on
Copying output to eAnim.txt.
(gdb) bt
#0  0x00007ffff4bdd755 in raise () at /usr/lib/libc.so.6
#1  0x00007ffff4bc8851 in abort () at /usr/lib/libc.so.6
#2  0x00007ffff766df14 in __sanitizer::Abort() () at /build/gcc/src/gcc/libsanitizer/sanitizer_common/sanitizer_posix_libcdep.cc:155
#3  0x00007ffff7678f7d in __sanitizer::Die() () at /build/gcc/src/gcc/libsanitizer/sanitizer_common/sanitizer_termination.cc:57
#4  0x00007ffff7659bae in __asan::ScopedInErrorReport::~ScopedInErrorReport() (this=0x7fffed8e25f6, __in_chrg=<optimized out>)
    at /build/gcc/src/gcc/libsanitizer/asan/asan_report.cc:185
#5  0x00007ffff7659609 in __asan::ReportGenericError(unsigned long, unsigned long, unsigned long, unsigned long, bool, unsigned long, unsigned int, bool)
    (pc=140737340269037, bp=bp@entry=140737178907248, sp=sp@entry=140737178907232, addr=107683420054080, is_write=is_write@entry=false, access_size=access_siz
e@entry=1, exp=0, fatal=true) at /build/gcc/src/gcc/libsanitizer/asan/asan_report.cc:192
#6  0x00007ffff765a12c in __asan::__asan_report_load1(__sanitizer::uptr) (addr=<optimized out>) at /build/gcc/src/gcc/libsanitizer/asan/asan_rtl.cc:116
#7  0x00007ffff72c61ed in eina_log_print_unlocked
    (domain=30, level=EINA_LOG_LEVEL_DBG, file=0x7ffff710f440 "../src/lib/ecore/ecore_anim.c", fnc=0x7ffff710fe60 <__FUNCTION__.21310> "_timer_tick_core", lin
e=212, fmt=0x7ffff710f640 "------- timer_event_is_busy=%i", args=0x7fffed8e44e0) at ../src/lib/eina/eina_log.c:1428
#8  0x00007ffff72c8ffd in eina_log_print
    (domain=30, level=EINA_LOG_LEVEL_DBG, file=0x7ffff710f440 "../src/lib/ecore/ecore_anim.c", fnc=0x7ffff710fe60 <__FUNCTION__.21310> "_timer_tick_core", lin
e=212, fmt=0x7ffff710f640 "------- timer_event_is_busy=%i") at ../src/lib/eina/eina_log.c:2262
#9  0x00007ffff7001ba4 in _timer_tick_core (data=0x0, thread=0x611000037cc0) at ../src/lib/ecore/ecore_anim.c:212
#10 0x00007ffff70dc939 in _ecore_direct_worker (work=0x611000037cc0) at ../src/lib/ecore/ecore_thread.c:481
#11 0x00007ffff731daf5 in _eina_internal_call (context=0x6030000928f0) at ../src/lib/eina/eina_thread.c:151
#12 0x00007ffff4d7157f in start_thread () at /usr/lib/libpthread.so.0
#13 0x00007ffff4c9f0e3 in clone () at /usr/lib/libc.so.6
(gdb) fr 7
#7  0x00007ffff72c61ed in eina_log_print_unlocked (domain=30, level=EINA_LOG_LEVEL_DBG, file=0x7ffff710f440 "../src/lib/ecore/ecore_anim.c",
    fnc=0x7ffff710fe60 <__FUNCTION__.21310> "_timer_tick_core", line=212, fmt=0x7ffff710f640 "------- timer_event_is_busy=%i", args=0x7fffed8e44e0)
    at ../src/lib/eina/eina_log.c:1428
1428       if (EINA_UNLIKELY(d->deleted))
(gdb) l
1423         }
1424
1425    #endif
1426       d = _log_domains + domain;
1427    #ifdef EINA_SAFETY_CHECKS
1428       if (EINA_UNLIKELY(d->deleted))
1429         {
1430            if ((!d->level) || (level > d->level))
1431              fprintf(stderr, "ERR<%u>:eina_log %s:%d %s() log domain %d was deleted\n",
1432                      eina_log_pid_get(), file, line, fnc, domain);
(gdb) p d
$2 = (Eina_Log_Domain *) 0x61f000002220
(gdb) p _lo
_load                            _log_domains_count               _logind_dbus_close               _logind_session_active_send
_load_do                         _log_level                       _logind_dbus_open                _logind_session_object_path_get
_load_module                     _log_main                        _logind_dbus_setup               _logind_session_vt_get
_load_scripts                    _log_mutex                       _logind_device_pause_complete    _logind_vt_set
_loaded_timeout_cb               _log_timing                      _logind_device_release           _long_press_cb
_local_transform                 _logic_free                      _logind_device_take              _long_tap_timeout
_locale_envs_unset               _logical_manager_change          _logind_device_take_async        _long_tap_timeout_cb
_locale_get                      _logical_movement                _logind_device_take_cb           _longjmp
_lock                            _logical_parent_eval             _logind_disconnect               _longjmp_type
_log_count                       _logind_activate                 _logind_interface                _longjmp_unwind
_log_dom                         _logind_close                    _logind_open                     _look_at_set
_log_domain                      _logind_connect                  _logind_open_async               _lookup_next_chunk
_log_domains                     _logind_control_release          _logind_pipe_write_fd            _lookup_next_token
_log_domains_allocated           _logind_control_take             _logind_session_active_cb_free   _loop_content_set
(gdb) p _lo
_load                            _log_domains_count               _logind_dbus_close               _logind_session_active_send
_load_do                         _log_level                       _logind_dbus_open                _logind_session_object_path_get
_load_module                     _log_main                        _logind_dbus_setup               _logind_session_vt_get
_load_scripts                    _log_mutex                       _logind_device_pause_complete    _logind_vt_set
_loaded_timeout_cb               _log_timing                      _logind_device_release           _long_press_cb
_local_transform                 _logic_free                      _logind_device_take              _long_tap_timeout
_locale_envs_unset               _logical_manager_change          _logind_device_take_async        _long_tap_timeout_cb
_locale_get                      _logical_movement                _logind_device_take_cb           _longjmp
_lock                            _logical_parent_eval             _logind_disconnect               _longjmp_type
_log_count                       _logind_activate                 _logind_interface                _longjmp_unwind
_log_dom                         _logind_close                    _logind_open                     _look_at_set
_log_domain                      _logind_connect                  _logind_open_async               _lookup_next_chunk
_log_domains                     _logind_control_release          _logind_pipe_write_fd            _lookup_next_token
_log_domains_allocated           _logind_control_take             _logind_session_active_cb_free   _loop_content_set
(gdb) p _log_dom
_log_dom                _log_domain             _log_domains            _log_domains_allocated  _log_domains_count
(gdb) p _log_domains
$3 = (Eina_Log_Domain *) 0x62000004f080
(gdb) p domain
$4 = 30
(gdb) p level
$5 = EINA_LOG_LEVEL_DBG
(gdb) p d
$6 = (Eina_Log_Domain *) 0x61f000002220
(gdb)
abyomi0 added a comment.EditedAug 7 2019, 12:34 PM
» export DISPLAY=:2 ; export E_START=1 ; export ASAN_OPTIONS="detect_leaks=0:abort_on_error=1"
» gdb enlightenment
GNU gdb (GDB) 8.3
Copyright (C) 2019 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/lice
nses/gpl.html>
This is free software: you are free to change and redistribute
it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at
:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from enlightenment...
(gdb) r2
Undefined command: "r2".  Try "help".
(gdb) r
Starting program: /usr/bin/enlightenment
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
ESTART: 0.00000 [0.00000] - Begin Startup
ESTART: 0.00004 [0.00004] - Signal Trap
ESTART: 0.00005 [0.00001] - Signal Trap Done
ESTART: 0.00008 [0.00003] - Eina Init
ESTART: 0.00097 [0.00089] - Eina Init Done
ESTART: 0.00097 [0.00001] - Determine Prefix
ESTART: 0.00177 [0.00079] - Determine Prefix Done
ESTART: 0.00178 [0.00001] - Environment Variables
ESTART: 0.00183 [0.00005] - Environment Variables Done
ESTART: 0.00183 [0.00000] - Parse Arguments
ESTART: 0.00184 [0.00001] - Parse Arguments Done
ESTART: 0.00184 [0.00000] - Eet Init
ESTART: 0.00188 [0.00004] - Eet Init Done
ESTART: 0.00188 [0.00000] - Ecore Init
ESTART: 0.01546 [0.01357] - Ecore Init Done
ESTART: 0.05038 [0.03492] - EFX Init
ESTART: 0.05041 [0.00003] - EFX Init Done
ESTART: 0.05043 [0.00002] - EIO Init
[Detaching after fork from child process 800]
[New Thread 0x7fffef1d1700 (LWP 801)]
[Thread 0x7fffef1d1700 (LWP 801) exited]
ESTART: 0.07470 [0.02427] - EIO Init Done
ESTART: 0.07472 [0.00001] - Ecore Event Handlers
ESTART: 0.07472 [0.00001] - Ecore Event Handlers Done
ESTART: 0.07473 [0.00000] - Ecore_File Init
ESTART: 0.07473 [0.00000] - Ecore_File Init Done
ESTART: 0.07473 [0.00000] - Ecore_Con Init
ESTART: 0.07474 [0.00000] - Ecore_Con Init Done
ESTART: 0.07474 [0.00000] - Ecore_Ipc Init
ESTART: 0.07474 [0.00000] - Ecore_Ipc Init Done
ESTART: 0.07475 [0.00001] - Ecore_Evas Init
[New Thread 0x7fffee9d0700 (LWP 802)]
[New Thread 0x7fffee1cf700 (LWP 803)]
ESTART: 0.07632 [0.00157] - Ecore_Evas Init Done
ESTART: 0.07633 [0.00001] - Elementary Init
ESTART: 0.16834 [0.09201] - Elementary Init Done
ESTART: 0.16835 [0.00001] - Emotion Init
ESTART: 0.16909 [0.00074] - Emotion Init Done
ESTART: 0.16909 [0.00001] - Ecore_Evas Engine Check
ESTART: 0.16910 [0.00001] - Ecore_Evas Engine Check Done
ESTART: 0.16911 [0.00001] - E Intl Init
ESTART: 0.16915 [0.00004] - E Intl Init Done
ESTART: 0.16915 [0.00000] - E_Alert Init
ESTART: 0.16915 [0.00000] - E_Alert Init Done
ESTART: 0.16915 [0.00000] - E Directories Init
ESTART: 0.17883 [0.00967] - E Directories Init Done
ESTART: 0.17884 [0.00001] - E_Filereg Init
ESTART: 0.17885 [0.00001] - E_Filereg Init Done
ESTART: 0.17885 [0.00000] - E_Config Init
ESTART: 0.18775 [0.00890] - E_Config Init Done
ESTART: 0.18777 [0.00002] - E_Env Init
ESTART: 0.18778 [0.00001] - E_Env Init Done
ESTART: 0.18779 [0.00001] - E Paths Init
ESTART: 0.18782 [0.00003] - E Paths Init Done
ESTART: 0.18782 [0.00000] - E_Ipc Init
ESTART: 0.18825 [0.00043] - E_Ipc Init Done
ESTART: 0.18826 [0.00001] - E_Font Init
ESTART: 0.18826 [0.00000] - E_Font Init Done
ESTART: 0.18826 [0.00000] - E_Font Apply
ESTART: 0.18839 [0.00013] - E_Font Apply Done
ESTART: 0.18840 [0.00001] - E_Theme Init
ESTART: 0.18843 [0.00003] - E_Theme Init Done
ESTART: 0.18843 [0.00000] - E_Moveresize Init
ESTART: 0.18844 [0.00001] - E_Moveresize Init Done
ESTART: 0.18845 [0.00001] - E_Msgbus Init
ESTART: 0.19427 [0.00582] - E_Msgbus Init Done
ESTART: 0.19428 [0.00001] - Efreet Init
ESTART: 0.19428 [0.00000] - Efreet Init Done
ESTART: 0.19429 [0.00000] - E_Intl Post Init
[Detaching after vfork from child process 807]
ESTART: 0.19853 [0.00424] - E_Intl Post Init Done
ESTART: 0.19853 [0.00001] - E_Configure Init
ESTART: 0.19882 [0.00029] - E_Configure Init Done
ESTART: 0.19884 [0.00001] - E_Actions Init
ESTART: 0.19980 [0.00096] - E_Actions Init Done
ESTART: 0.20051 [0.00071] - E_Powersave Init
ESTART: 0.20052 [0.00001] - E_Powersave Init Done
ESTART: 0.20052 [0.00000] - Screens Init
ESTART: 0.20052 [0.00000] -     screens: client
ESTART: 0.20058 [0.00006] - E_Screensaver Init
ESTART: 0.20059 [0.00001] -     screens: client volume
ESTART: 0.20064 [0.00005] -     screens: win
ESTART: 0.20065 [0.00001] - Compositor Init
[New Thread 0x7fffed8e5700 (LWP 808)]
RRR: ................. info get!
RRR: .... out DVI-I-0
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes (nil)
RRR: .... out DVI-I-1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes (nil)
RRR: .... out DP-0
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x60600003b300
RRR: 'DP-0' 0 840 3840x2160
RRR: .... out DP-1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes (nil)
RRR: .... out HDMI-0
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x60b00007e8f0
RRR: 'HDMI-0' 3840 0 2160x3840
RRR:-------------------------------- 2
RRR: 'DP-0': 0 840 3840x2160
RRR: 'HDMI-0': 3840 0 2160x3840
RRR: result max: 6000x3840
RRR: loaded existing config
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
RRR: check lid for DP-0...
RRR: check lid for HDMI-0...
--------------------------------------------------
RRR: out id=DVI-I-0/:  connected=0
RRR: out id=DVI-I-1/:  connected=0
RRR: out id=DP-0/00ffffffffffff001e6d0777987c0200031d0104b53c22
789e3e31ae5047ac270c50542108007140818081c0a9c0d1c08100010101014
dd000a0f0703e803020650c58542100001a286800a0f0703e800890650c5854
2100001a000000fd00383d1e8738000a202020202020000000fc004c4720484
45220344b0a20202001560203197144900403012309070783010000e305c000
e3060501023a801871382d40582c450058542100001e565e00a0a0a02950302
0350058542100001a0000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000029:  connected=1
RRR: check lid for DP-0...
RRR: store scale mul 0.00000
RRR: out id=DP-1/:  connected=0
RRR: out id=HDMI-0/00ffffffffffff001e6d0677aa880200031d0103803c
2278ea3e31ae5047ac270c50542108007140818081c0a9c0d1c081000101010
108e80030f2705a80b0588a0058542100001e04740030f2705a80b0588a0058
542100001a000000fd00383d1e873c000a202020202020000000fc004c47204
8445220344b0a20202001aa020338714d9022201f1203040161605d5e5f2309
07076d030c001000b83c20006001020367d85dc401788003e30f0003e305c00
0e3060501023a801871382d40582c450058542100001e565e00a0a0a0295030
20350058542100001a000000ff003930334e54445634573035380a000000000
0000000000000000000000000d7:  connected=1
RRR: check lid for HDMI-0...
RRR: store scale mul 0.00000
--------------------------------------------------
xinerama screen 0 840 3840x2160
xinerama screen 3840 0 2160x3840
xinerama setup............... 2 (nil)
ERR<796>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_i
mage_error_check() Error type: ???
ERR<796>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_i
mage_error_check() Error type: ???
ERR<796>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_i
mage_error_check() Error type: ???
ERR<796>:edje ../src/lib/edje/edje_calc.c:655 _edje_real_part_i
mage_error_check() Error type: ???
[Detaching after fork from child process 811]
ESTART: 0.63290 [0.43225] - E_Dnd Init
ESTART: 0.63347 [0.00057] - E_Dnd Init Done
ESTART: 0.63348 [0.00001] - Screens Init Done
ESTART: 0.63380 [0.00032] - E_Pointer Init
ESTART: 0.63415 [0.00034] - E_Pointer Init Done
ESTART: 0.63418 [0.00003] - E_Scale Init
ESTART: 0.64358 [0.00940] - E_Scale Init Done
ESTART: 0.64359 [0.00001] - E_Splash Init
ESTART: 0.64360 [0.00001] - E_Splash Init Done
ESTART: 0.69267 [0.04907] - Test File Format Support
<<<< Enlightenment Error >>>>
Enlightenment found Evas can't load 'svg' files. Check Evas has
 'svg' loader support.

ESTART: 0.69541 [0.00273] - Test File Format Support Done
ESTART: 0.69543 [0.00002] - E_Acpi Init
[New Thread 0x7fffe042b700 (LWP 813)]
ESTART: 0.69671 [0.00129] - E_Acpi Init Done
ESTART: 0.69674 [0.00003] - E_Backlight Init
[Thread 0x7fffe042b700 (LWP 813) exited]
[Detaching after fork from child process 814]
ESTART: 0.70581 [0.00907] - E_Backlight Init Done
ESTART: 0.70585 [0.00005] - E_Dpms Init
ESTART: 0.70621 [0.00035] - E_Dpms Init Done
ESTART: 0.70626 [0.00005] - E_Desklock Init
ESTART: 0.70639 [0.00013] - E_Desklock Init Done
ESTART: 0.70645 [0.00006] - Efreet Paths
ESTART: 0.70653 [0.00008] - Efreet Paths Done
ESTART: 0.70654 [0.00002] - E_Sys Init
ESTART: 0.70701 [0.00047] - E_Sys Init Done
ESTART: 0.70703 [0.00002] - E_Exec Init
ESTART: 0.70705 [0.00001] - E_Exec Init Done
ESTART: 0.70705 [0.00000] - E_Comp Freeze
ESTART: 0.70705 [0.00001] - E_Comp Freeze Done
ESTART: 0.70707 [0.00001] - E_Fm2 Init
[New Thread 0x7fffdfc2a700 (LWP 816)]
ESTART: 0.71281 [0.00575] - E_Fm2 Init Done
ESTART: 0.71291 [0.00010] - E_Msg Init
ESTART: 0.71293 [0.00002] - E_Msg Init Done
ESTART: 0.71295 [0.00002] - E_Grabinput Init
ESTART: 0.71296 [0.00001] - E_Grabinput Init Done
ESTART: 0.71299 [0.00003] - E_Module Init
[New Thread 0x7fffdf403700 (LWP 817)]
[New Thread 0x7fffdebec700 (LWP 818)]
ESTART: 0.72124 [0.00825] - E_Module Init Done
ESTART: 0.72131 [0.00007] - E_Remember Init
[Thread 0x7fffdf403700 (LWP 817) exited]
[Thread 0x7fffdebec700 (LWP 818) exited]
ESTART: 0.72216 [0.00085] - E_Remember Init Done
ESTART: 0.72221 [0.00005] - E_Gadget Init
[New Thread 0x7fffde3eb700 (LWP 820)]
ESTART: 0.72932 [0.00711] - E_Gadget Init Done
ESTART: 0.72948 [0.00016] - E_Gadcon Init
ESTART: 0.72952 [0.00004] - E_Gadcon Init Done
ESTART: 0.72953 [0.00001] - E_Toolbar Init
ESTART: 0.72955 [0.00003] - E_Toolbar Init Done
ESTART: 0.72959 [0.00004] - E_Bg Init
[Thread 0x7fffde3eb700 (LWP 820) exited]
ESTART: 0.72967 [0.00008] - E_Bg Init Done
ESTART: 0.72968 [0.00001] - E_Mouse Init
ESTART: 0.72989 [0.00021] - E_Mouse Init Done
ESTART: 0.72991 [0.00002] - E_Bindings Init
ESTART: 0.73054 [0.00063] - E_Bindings Init Done
ESTART: 0.73056 [0.00001] - E_Thumb Init
ESTART: 0.73056 [0.00000] - E_Thumb Init Done
ESTART: 0.73058 [0.00002] - E_Icon Init
ESTART: 0.73058 [0.00000] - E_Icon Init Done
ESTART: 0.73058 [0.00000] - E_Update Init
ESTART: 0.73062 [0.00004] - E_Update Init Done
ESTART: 0.73063 [0.00002] - E_Deskenv Init
[Detaching after fork from child process 821]
[Thread 0x7fffdfc2a700 (LWP 816) exited]
ESTART: 0.75655 [0.02591] - E_Deskenv Init Done
ESTART: 0.75664 [0.00009] - E_Order Init
ESTART: 0.75727 [0.00063] - E_Order Init Done
ESTART: 0.75728 [0.00001] - E_Comp_Canvas Keys Grab
ESTART: 0.75797 [0.00069] - E_Comp_Canvas Keys Grab Done
ESTART: 0.75801 [0.00004] - Load Modules
ESTART: 0.75801 [0.00001] - Load Modules Done
ESTART: 0.75801 [0.00000] - Run Startup Apps
ESTART: 0.75832 [0.00031] - Run Startup Apps Done
ESTART: 0.75833 [0.00001] - E_Comp Thaw
ESTART: 0.75850 [0.00017] - E_Comp Thaw Done
ESTART: 0.75851 [0.00001] - E_Test Init
ESTART: 0.75851 [0.00000] - E_Test Done
ESTART: 0.75853 [0.00003] - Bryce Init
ESTART: 0.75889 [0.00036] - Bryce Init Done
ESTART: 0.75894 [0.00004] - E_Shelf Init
ESTART: 0.75896 [0.00002] - E_Shelf Init Done
ESTART: 0.75904 [0.00008] - MAIN LOOP AT LAST
ESTART: 0.76884 [0.00979] - SLEEP
[Detaching after fork from child process 833]
[Detaching after fork from child process 835]
[Detaching after fork from child process 836]
[Detaching after fork from child process 837]
[New Thread 0x7fffdfc2a700 (LWP 838)]
[Detaching after fork from child process 849]
ERR<796>:evas-gl_x11 ../src/modules/evas/engines/gl_x11/evas_en
gine.c:2570 eng_image_native_set() eglCreateImage() for Pixmap
0x20001c failed: 0x300c
ERR<796>:evas-gl_x11 ../src/modules/evas/engines/gl_x11/evas_en
gine.c:2570 eng_image_native_set() eglCreateImage() for Pixmap
0x20001c failed: 0x300c
ERR<796>:evas-gl_x11 ../src/modules/evas/engines/gl_x11/evas_en
gine.c:2570 eng_image_native_set() eglCreateImage() for Pixmap
0x200021 failed: 0x300c
ERR<796>:evas-gl_x11 ../src/modules/evas/engines/gl_x11/evas_en
gine.c:2570 eng_image_native_set() eglCreateImage() for Pixmap
0x200021 failed: 0x300c
[New Thread 0x7fffde3eb700 (LWP 997)]
[Detaching after vfork from child process 1011]
ERR<796>:evas-gl_x11 ../src/modules/evas/engines/gl_x11/evas_en
gine.c:2570 eng_image_native_set() eglCreateImage() for Pixmap
0x200069 failed: 0x300c
ERR<796>:evas-gl_x11 ../src/modules/evas/engines/gl_x11/evas_en
gine.c:2570 eng_image_native_set() eglCreateImage() for Pixmap
0x200069 failed: 0x300c
ERR<796>:evas-gl_x11 ../src/modules/evas/engines/gl_x11/evas_en
gine.c:2570 eng_image_native_set() eglCreateImage() for Pixmap
0x20006f failed: 0x300c
ERR<796>:evas-gl_x11 ../src/modules/evas/engines/gl_x11/evas_en
gine.c:2570 eng_image_native_set() eglCreateImage() for Pixmap
0x20006f failed: 0x300c
ERR<796>:evas-gl_x11 ../src/modules/evas/engines/gl_x11/evas_en
gine.c:2570 eng_image_native_set() eglCreateImage() for Pixmap
0x200074 failed: 0x300c
ERR<796>:evas-gl_x11 ../src/modules/evas/engines/gl_x11/evas_en
gine.c:2570 eng_image_native_set() eglCreateImage() for Pixmap
0x200074 failed: 0x300c
ERR<796>:evas-gl_x11 ../src/modules/evas/engines/gl_x11/evas_en
gine.c:2570 eng_image_native_set() eglCreateImage() for Pixmap
0x20007b failed: 0x300c
ERR<796>:evas-gl_x11 ../src/modules/evas/engines/gl_x11/evas_en
gine.c:2570 eng_image_native_set() eglCreateImage() for Pixmap
0x200080 failed: 0x300c
===============================================================
==
==796==ERROR: AddressSanitizer: heap-buffer-overflow on address
 0x7fffc9d71270 at pc 0x7ffff75dbab4 bp 0x7ffffffc3540 sp 0x7ff
ffffc2ce8
READ of size 4 at 0x7fffc9d71270 thread T0
    #0 0x7ffff75dbab3 in __interceptor_memcpy /build/gcc/src/gc
c/libsanitizer/sanitizer_common/sanitizer_common_interceptors.i
nc:790
    #1 0x7fffeaf8ea35  (/usr/lib/../lib/libnvidia-eglcore.so.43
0.40+0x9d4a35)
    #2 0x7fffeaf99659  (/usr/lib/../lib/libnvidia-eglcore.so.43
0.40+0x9df659)
    #3 0x7fffeb1082c2  (/usr/lib/../lib/libnvidia-eglcore.so.43
0.40+0xb4e2c2)
    #4 0x7fffeb0d4b73  (/usr/lib/../lib/libnvidia-eglcore.so.43
0.40+0xb1ab73)
    #5 0x7fffeb0d6496  (/usr/lib/../lib/libnvidia-eglcore.so.43
0.40+0xb1c496)
    #6 0x7fffeb0ea966  (/usr/lib/../lib/libnvidia-eglcore.so.43
0.40+0xb30966)
    #7 0x7fffeca79613 in _tex_sub_2d ../src/modules/evas/engine
s/gl_common/evas_gl_common.h:964
    #8 0x7fffeca82cac in evas_gl_common_texture_upload ../src/m
odules/evas/engines/gl_common/evas_gl_texture.c:1203
    #9 0x7fffeca86708 in evas_gl_common_texture_update ../src/m
odules/evas/engines/gl_common/evas_gl_texture.c:1542
    #10 0x7fffeca7c949 in evas_gl_common_texture_new ../src/mod
ules/evas/engines/gl_common/evas_gl_texture.c:589
    #11 0x7fffeca99091 in evas_gl_common_image_alpha_set ../src
/modules/evas/engines/gl_common/evas_gl_image.c:498
    #12 0x7fffeca0fca9 in eng_image_alpha_set ../src/modules/ev
as/engines/gl_generic/evas_engine.c:287
    #13 0x7ffff673a698 in _efl_canvas_image_internal_efl_gfx_bu
ffer_alpha_set ../src/lib/evas/canvas/evas_object_image.c:1172
    #14 0x7ffff4295921 in efl_gfx_buffer_alpha_set src/lib/efl/
interfaces/efl_gfx_buffer.eo.c:20
    #15 0x7ffff671eb3e in evas_object_image_alpha_set ../src/li
b/evas/canvas/evas_image_legacy.c:106
    #16 0x55555570f298 in e_comp_object_dirty ../src/bin/e_comp
_object.c:4111
    #17 0x5555556c60c3 in _e_comp_client_update ../src/bin/e_co
mp.c:332
    #18 0x5555556c6d43 in _e_comp_cb_update ../src/bin/e_comp.c
:390
    #19 0x5555556c85ec in _e_comp_cb_job ../src/bin/e_comp.c:53
4
    #20 0x7ffff7013be7 in _ecore_job_event_handler ../src/lib/e
core/ecore_job.c:95
    #21 0x7ffff702537c in _ecore_event_message_handler_efl_loop
_message_handler_message_call ../src/lib/ecore/ecore_event_mess
age_handler.c:362
    #22 0x7ffff7043e48 in efl_loop_message_handler_message_call
 src/lib/ecore/efl_loop_message_handler.eo.c:14
    #23 0x7ffff703050b in _efl_loop_message_process ../src/lib/
ecore/efl_loop.c:577
    #24 0x7ffff7030a43 in efl_loop_message_process ../src/lib/e
core/efl_loop.c:607
    #25 0x7ffff701ebcc in _ecore_main_loop_iterate_internal ../
src/lib/ecore/ecore_main.c:2492
    #26 0x7ffff701885b in _ecore_main_loop_begin ../src/lib/eco
re/ecore_main.c:1199
    #27 0x7ffff702c65e in _efl_loop_begin ../src/lib/ecore/efl_
loop.c:57
    #28 0x7ffff7031805 in efl_loop_begin src/lib/ecore/efl_loop
.eo.c:28
    #29 0x7ffff7018c8a in ecore_main_loop_begin ../src/lib/ecor
e/ecore_main.c:1284
    #30 0x5555558f14b7 in main ../src/bin/e_main.c:1096
    #31 0x7ffff4bc9ee2 in __libc_start_main (/usr/lib/libc.so.6
+0x26ee2)
    #32 0x55555563528d in _start (/usr/bin/enlightenment+0xe128
d)

0x7fffc9d71270 is located 753 bytes to the right of 960383-byte
 region [0x7fffc9c86800,0x7fffc9d70f7f)
allocated by thread T0 here:
    #0 0x7ffff764fada in __interceptor_malloc /build/gcc/src/gc
c/libsanitizer/asan/asan_malloc_linux.cc:144
    #1 0x7fffeb39027b  (/usr/lib/../lib/libnvidia-eglcore.so.43
0.40+0xdd627b)

SUMMARY: AddressSanitizer: heap-buffer-overflow /build/gcc/src/
gcc/libsanitizer/sanitizer_common/sanitizer_common_interceptors
.inc:790 in __interceptor_memcpy
Shadow bytes around the buggy address:
  0x1000793a61f0: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
fa
  0x1000793a6200: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
fa
  0x1000793a6210: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
fa
  0x1000793a6220: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
fa
  0x1000793a6230: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
fa
=>0x1000793a6240: fa fa fa fa fa fa fa fa fa fa fa fa fa fa[fa]
fa
  0x1000793a6250: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
fa
  0x1000793a6260: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
fa
  0x1000793a6270: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
fa
  0x1000793a6280: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
fa
  0x1000793a6290: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
fa
Shadow byte legend (one shadow byte represents 8 application by
tes):
  Addressable:           00
  Partially addressable: 01 02 03 04 05 06 07
  Heap left redzone:       fa
  Freed heap region:       fd
  Stack left redzone:      f1
  Stack mid redzone:       f2
  Stack right redzone:     f3
  Stack after return:      f5
  Stack use after scope:   f8
  Global redzone:          f9
  Global init order:       f6
  Poisoned by user:        f7
  Container overflow:      fc
  Array cookie:            ac
  Intra object redzone:    bb
  ASan internal:           fe
  Left alloca redzone:     ca
  Right alloca redzone:    cb
  Shadow gap:              cc
==796==ABORTING

Thread 1 "enlightenment" received signal SIGABRT, Aborted.
0x00007ffff4bdd755 in raise () from /usr/lib/libc.so.6
(gdb) bt
#0  0x00007ffff4bdd755 in raise () at /usr/lib/libc.so.6
#1  0x00007ffff4bc8851 in abort () at /usr/lib/libc.so.6
#2  0x00007ffff766df14 in __sanitizer::Abort() () at /build/gcc
/src/gcc/libsanitizer/sanitizer_common/sanitizer_posix_libcdep.
cc:155
#3  0x00007ffff7678f7d in __sanitizer::Die() () at /build/gcc/s
rc/gcc/libsanitizer/sanitizer_common/sanitizer_termination.cc:5
7
#4  0x00007ffff7659bae in __asan::ScopedInErrorReport::~ScopedI
nErrorReport() (this=0x7ffffffc2046, __in_chrg=<optimized out>)
    at /build/gcc/src/gcc/libsanitizer/asan/asan_report.cc:185
#5  0x00007ffff7659609 in __asan::ReportGenericError(unsigned l
ong, unsigned long, unsigned long, unsigned long, bool, unsigne
d long, unsigned int, bool)
    (pc=140737343503028, bp=bp@entry=140737488106816, sp=sp@ent
ry=140737488104680, addr=addr@entry=140736579703408, is_write=i
s_write@entry=false, access_size=access_size@entry=4, exp=0, fa
tal=false) at /build/gcc/src/gcc/libsanitizer/asan/asan_report.
cc:192
#6  0x00007ffff75dbad4 in __interceptor_memcpy(void*, void cons
t*, __sanitizer::uptr) (dst=0x7fffc9d70150, src=0x7fffc9d71270,
 size=4)
    at /build/gcc/src/gcc/libsanitizer/sanitizer_common/sanitiz
er_common_interceptors.inc:790
#7  0x00007fffeaf8ea36 in  () at /usr/lib/../lib/libnvidia-eglc
ore.so.430.40
#8  0x00007fffeaf9965a in  () at /usr/lib/../lib/libnvidia-eglc
ore.so.430.40
#9  0x00007fffeb1082c3 in  () at /usr/lib/../lib/libnvidia-eglc
ore.so.430.40
#10 0x00007fffeb0d4b74 in  () at /usr/lib/../lib/libnvidia-eglc
ore.so.430.40
#11 0x00007fffeb0d6497 in  () at /usr/lib/../lib/libnvidia-eglc
ore.so.430.40
#12 0x00007fffeb0ea967 in  () at /usr/lib/../lib/libnvidia-eglc
ore.so.430.40
#13 0x00007fffeca79614 in _tex_sub_2d (gc=0x624000106100, x=0,
y=528, w=1, h=1, fmt=32993, type=5121, pix=0x7fffc9d71270)
    at ../src/modules/evas/engines/gl_common/evas_gl_common.h:9
64
#14 0x00007fffeca82cad in evas_gl_common_texture_upload (tex=0x
6110001ff080, im=0x616000329a80, bytes_count=4)
    at ../src/modules/evas/engines/gl_common/evas_gl_texture.c:
1203
#15 0x00007fffeca86709 in evas_gl_common_texture_update (tex=0x
6110001ff080, im=0x616000329a80)
    at ../src/modules/evas/engines/gl_common/evas_gl_texture.c:
1542
#16 0x00007fffeca7c94a in evas_gl_common_texture_new (gc=0x6240
00106100, im=0x616000329a80, disable_atlas=0 '\000')
    at ../src/modules/evas/engines/gl_common/evas_gl_texture.c:
589
#17 0x00007fffeca99092 in evas_gl_common_image_alpha_set (im=0x
612000096940, alpha=1) at ../src/modules/evas/engines/gl_common
/evas_gl_image.c:498
#18 0x00007fffeca0fcaa in eng_image_alpha_set (engine=0x6070000
26a50, image=0x612000096940, has_alpha=1)
    at ../src/modules/evas/engines/gl_generic/evas_engine.c:287
#19 0x00007ffff673a699 in _efl_canvas_image_internal_efl_gfx_bu
ffer_alpha_set (eo_obj=0x40000019aa2f, o=0x616000329640, has_al
pha=1 '\001')
    at ../src/lib/evas/canvas/evas_object_image.c:1172
#20 0x00007ffff4295922 in efl_gfx_buffer_alpha_set (obj=0x40000
019aa2f, alpha=1 '\001') at src/lib/efl/interfaces/efl_gfx_buff
er.eo.c:20
#21 0x00007ffff671eb3f in evas_object_image_alpha_set (obj=0x40
000019aa2f, alpha=1 '\001') at ../src/lib/evas/canvas/evas_imag
e_legacy.c:106
#22 0x000055555570f299 in e_comp_object_dirty (obj=0x4000000db9
31) at ../src/bin/e_comp_object.c:4111
#23 0x00005555556c60c4 in _e_comp_client_update (ec=0x61b0000ce
f80) at ../src/bin/e_comp.c:332
#24 0x00005555556c6d44 in _e_comp_cb_update () at ../src/bin/e_
comp.c:390
#25 0x00005555556c85ed in _e_comp_cb_job (data=0x61d0000b4080)
at ../src/bin/e_comp.c:534
#26 0x00007ffff7013be8 in _ecore_job_event_handler (data=0x0, t
ype=15, ev=0x6030001ec760) at ../src/lib/ecore/ecore_job.c:95
#27 0x00007ffff702537d in _ecore_event_message_handler_efl_loop
_message_handler_message_call (obj=0x400000000f99, pd=0x6110000
018a0, message=0x4000001a6e59)
    at ../src/lib/ecore/ecore_event_message_handler.c:362
#28 0x00007ffff7043e49 in efl_loop_message_handler_message_call
 (obj=0x400000000f99, message=0x4000001a6e59)
    at src/lib/ecore/efl_loop_message_handler.eo.c:14
#29 0x00007ffff703050c in _efl_loop_message_process (obj=0x4000
00000396, pd=0x615000001a30) at ../src/lib/ecore/efl_loop.c:577
--Type <RET> for more, q to quit, c to continue without paging-
-
#30 0x00007ffff7030a44 in efl_loop_message_process (obj=0x40000
0000396) at ../src/lib/ecore/efl_loop.c:607
#31 0x00007ffff701ebcd in _ecore_main_loop_iterate_internal (ob
j=0x400000000396, pd=0x615000001a30, once_only=0) at ../src/lib
/ecore/ecore_main.c:2492
#32 0x00007ffff701885c in _ecore_main_loop_begin (obj=0x4000000
00396, pd=0x615000001a30) at ../src/lib/ecore/ecore_main.c:1199
#33 0x00007ffff702c65f in _efl_loop_begin (obj=0x400000000396,
pd=0x615000001a30) at ../src/lib/ecore/efl_loop.c:57
#34 0x00007ffff7031806 in efl_loop_begin (obj=0x400000000396) a
t src/lib/ecore/efl_loop.eo.c:28
#35 0x00007ffff7018c8b in ecore_main_loop_begin () at ../src/li
b/ecore/ecore_main.c:1284
#36 0x00005555558f14b8 in main (argc=1, argv=0x7fffffffe8d8) at
 ../src/bin/e_main.c:1096
(gdb) frame 13
#13 0x00007fffeca79614 in _tex_sub_2d (gc=0x624000106100, x=0,
y=528, w=1, h=1, fmt=32993, type=5121, pix=0x7fffc9d71270)
    at ../src/modules/evas/engines/gl_common/evas_gl_common.h:9
64
964        glTexSubImage2D(GL_TEXTURE_2D, 0, x, y, w, h, fmt, t
ype, pix);
(gdb) print((int *)pix)[w * h] -1]
Junk after end of expression.
(gdb) print ((int *)pix)[(w * h) - 1]
$1 = 0
(gdb) print ((int *)pix)[0]
$2 = 0
(gdb) l
959     static inline void
960     _tex_sub_2d(Evas_Engine_GL_Context *gc, int x, int y, i
nt w, int h, int fmt, int type, const void *pix)
961     {
962        if ((w > gc->shared->info.max_texture_size) ||
963            (h > gc->shared->info.max_texture_size)) return;
964        glTexSubImage2D(GL_TEXTURE_2D, 0, x, y, w, h, fmt, t
ype, pix);
965     }
966
967     static inline void
968     _comp_tex_sub_2d(Evas_Engine_GL_Context *gc, int x, int
 y, int w, int h, int fmt, int imgsize, const void *pix)
(gdb)

yaaaaaaaaaaaaaaaaaaaaaaaaargh!

the elusive hesienbug.

raster added a comment.Aug 8 2019, 1:28 AM

well some good news. i found that everything issue. fixed it. pushed fixes. :) we still have the original core issue though...

can i ask a question... do you have under settings -> compositor -> advanced -> rendering -> ... is texture from pixmap enabled or disabled?

well some good news. i found that everything issue. fixed it. pushed fixes. :) we still have the original core issue though...

can i ask a question... do you have under settings -> compositor -> advanced -> rendering -> ... is texture from pixmap enabled or disabled?

Glad to hear it.

Texture from pixmap appears to be enabled.

raster added a comment.Aug 8 2019, 3:02 AM

hmmm ok. well ... there goes that idea/path

its uploading it seems a full pixel surface is being uploaded tho... like its 528 pixels high at least it seems... which just should not be happening if we're doing texture from pixmap... i wonder if somehow we're setting a ptr from e as the data and evas it just using it and its basically.. wrong. we free it or something. maybe its not an evas bug (we freed the data) but just some bad path from e that should not be happening... i need to go over the e comp code and see...

this was happening before, but usually, it'd crash with this on the screen.

http://www.enlightenment.org/ss/e-5d4c79ef0b8f23.13518681.png